debconf (1.5.87ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix uninitialized value on "EOF" (^D) (Closes: #723843, LP: #1899343)
  * Chery-pick Colin's fix from debconf git:
    - Use /usr/lib/apt/apt-extracttemplates if available (closes: #1087523)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 20 Nov 2024 16:22:24 +0100

debconf (1.5.87) unstable; urgency=medium

  * dpkg-preconfigure: Change directory to /, to avoid problems if the
    current working directory does not exist (closes: #1043465).
  * Apply X-Style: black.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Jul 2024 13:12:50 +0100

debconf (1.5.86ubuntu1) noble; urgency=medium

  * Fix uninitialized value on "EOF" (^D) (Closes: #723843, LP: #1899343)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 12 Apr 2024 14:40:53 +0200

debconf (1.5.86) unstable; urgency=medium

  * Fix stdin/stdout handling regression in Debconf::DbDriver::Pipe (thanks,
    Dan Bungert; closes: #1063817, LP: #2052982).

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Feb 2024 09:35:03 +0000

debconf (1.5.85) unstable; urgency=medium

  * Revert 'Use ":encoding(UTF-8)" in Debconf::FrontEnd::Passthrough rather
    than ":utf8"'; this requires PerlIO, which is not available when only
    perl-base is installed.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Jan 2024 10:15:49 +0000

debconf (1.5.84) unstable; urgency=medium

  [ Colin Watson ]
  * perlcritic fixes:
    - Move "use strict" above all code.
    - Avoid declaring variables in conditional statements.
    - Don't use bareword file/directory handles.
    - Make all loop iterators lexical.
    - Don't modify $_ in list functions.
    - Use bare return rather than "return undef".
    - Avoid two-argument open.
    - Use a temporary variable rather than "return sort ...".
    - Use ":encoding(UTF-8)" in Debconf::FrontEnd::Passthrough rather than
      ":utf8", since the latter does not validate the input data.
    - Avoid string eval in a couple of places.
    - Enable warnings lexically rather than using "perl -w".
    - Use the block form of grep and map.
    - Avoid combining low- and high-precedence boolean operators.
    - Avoid comma-separated statements.
    - Avoid indirect object call syntax for "new".
  * Reformat debconf.py using pyupgrade, black, and isort.
  * Adjust shell code to pass shellcheck.
  * Fix parsing error that resulted in some nonsense in hierarchy.txt.
  * dpkg-preconfigure: Print "Extracting templates from packages" to stdout,
    not stderr (closes: #797071).  Also improves error messages if
    apt-extracttemplates fails (closes: #754123).
  * debconf-apt-progress: Handle the case of failing to exec the requested
    command (closes: #682508).
  * debconf.py: Don't pass sys.executable as an argument to the frontend
    (closes: #304572).  This may break compatibility if the importing
    program isn't an executable with a #!, but that seems unlikely for
    programs shipped in Debian.

  [ Gioele Barabucci ]
  * Remove previous_module from confmodules again (cf. 1.4.27/1.4.28;
    closes: #1040127).

  [ Debconf translations ]
  * Romanian (Remus-Gabriel Chelu; closes: #1039068).

  [ Programs translations ]
  * Romanian (Remus-Gabriel Chelu; closes: #1039069).

 -- Colin Watson <cjwatson@debian.org>  Wed, 24 Jan 2024 16:20:13 +0000

debconf (1.5.83) unstable; urgency=medium

  [ Ani Hay ]
  * Recompress debian-logo.png.

  [ Alexandre Detiste ]
  * debconf.py: Add typing information to ease apt-listchanges testing.
  * Rename debian/postinst to debian/debconf.postinst for debhelper 14/15
    compatibility.

  [ Colin Watson ]
  * Avoid Perl's unsafe "<>" operator (closes: #1041329).

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Dec 2023 12:34:57 +0000

debconf (1.5.82) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Don't remove /var/cache/debconf/tmp.ci, to avoid warnings if it's a
    mountpoint (closes: #1028128).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Jan 2023 21:50:51 +0000

debconf (1.5.81) unstable; urgency=medium

  [ martin f krafft ]
  * confmodule: Allow use from scripts with "set -u" (closes: #369953).

  [ Colin Watson ]
  * dpkg-preconfigure: Extract into /var/cache/debconf/tmp.ci, to avoid
    problems if /tmp is mounted noexec (closes: #223683, LP: #90085).
  * dpkg-reconfigure: Document --terse (closes: #737392).

  [ Jakub Wilk ]
  * debconf-get-selections: Sort output by question name (closes: #968814).

  [ Matthijs Kooijman ]
  * Display unsupported commands in debug logging (closes: #657626).

  [ Anders Kaseorg ]
  * Make Readline frontend check that stdin is a tty (closes: #929417).

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Jan 2023 20:27:59 +0000

debconf (1.5.80) unstable; urgency=medium

  [ Colin Watson ]
  * Simplify a debhelper override slightly.
  * debconf: Drop version constraint on ubiquity and update-notifier-common
    in Breaks.

  [ Programs translations ]
  * Indonesian (Andika Triwidada; closes: #1007991).
  * Russian (Ukraine) (Bohdan Horbeshko).
  * French (Baptiste Jammet; closes: #1008655).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on po4a.
    + Build-Depends-Indep: Drop versioned constraint on gettext, perl and
      python3.
    + debconf: Drop versioned constraint on debconf-kde-helper in Suggests.
    + debconf: Drop versioned constraint on apt-utils in Recommends.
    + debconf: Drop versioned constraint on perl-base in Pre-Depends.
    + debconf: Drop versioned constraint on apt, cdebconf, debconf-utils,
      dialog, menu and whiptail in Conflicts.
    + debconf: Drop versioned constraint on apt-listchanges in Breaks.
    + debconf-i18n: Drop versioned constraint on debconf-utils in Conflicts.
    + debconf-i18n: Drop versioned constraint on debconf and debconf-utils in
      Replaces.
    + debconf-doc: Drop versioned constraint on debian-policy in Suggests.
    + debconf-doc: Drop versioned constraint on debconf in Conflicts.
    + debconf-utils: Drop versioned constraint on debconf in Conflicts.
    + debconf-utils: Drop versioned constraint on debconf in Replaces.
    + python3-debconf: Drop versioned constraint on debconf in Replaces.
    + python3-debconf: Drop versioned constraint on debconf in Breaks.

  [ Dave Jones ]
  * dpkg-reconfigure: fix restart of services declared with
    --no-restart-after-upgrade (closes: #1006147, LP: #1959054).

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Nov 2022 20:39:29 +0000

debconf (1.5.79) unstable; urgency=medium

  [ Colin Watson ]
  * Restore a minimal postinst that just loads the confmodule (closes:
    #998068).
  * Remove obsolete Qt entries from debian/copyright.
  * Convert debian/po/tr.po to UTF-8 to pacify Lintian.

  [ Programs translations ]
  * Occitan (Quentin PAGÈS).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Oct 2021 14:04:59 +0100

debconf (1.5.78) unstable; urgency=medium

  [ Colin Watson ]
  * debconf-set-selections: Disable non-fatal warnings when loading database
    in --checkonly mode (closes: #587380).

  [ Helmut Grohne ]
  * delete debconf postinst script and transition_db.pl as they only handle
    upgrades from pre-etch (closes: #989567)

  [ Johannes Schauer Marin Rodrigues ]
  * add support for DPKG_ROOT set in maintainer scripts (closes: #983425)

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Oct 2021 13:28:56 +0100

debconf (1.5.77) unstable; urgency=medium

  [ Programs translations ]
  * Dutch (Frans Spiesschaert; closes: #986167).
  * Polish (Mmobilea; closes: #976044).

  [ Debconf translations ]
  * Fix double UTF-8 encoding in Finnish translation (closes: #989692).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Jun 2021 18:17:49 +0100

debconf (1.5.76) unstable; urgency=medium

  [ Colin Watson ]
  * Check that whiptail or dialog is actually usable (closes: #985572).

  [ Programs translations ]
  * Dutch (Frans Spiesschaert; closes: #906948).

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Mar 2021 13:14:50 +0000

debconf (1.5.75) unstable; urgency=medium

  [ Philip Hands ]
  * Replace broken debian-logo.png with proper version (closes: #983200).

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Feb 2021 17:51:28 +0000

debconf (1.5.74) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Add missing colon in closes line.
  * Fix day-of-week for changelog entries 0.1.43.

  [ Fabrice BAUZAC ]
  * Teletype mode: add support for range-based selection.

  [ Programs translations ]
  * German (Helge Kreutzmann).

  [ Niels Thykier ]
  * Remove some obsolete maintainer script code.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Apr 2020 12:10:08 +0100

debconf (1.5.73) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Remove ancient X-Python-Version field.
  * Drop Python 2 support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Aug 2019 11:51:13 +0100

debconf (1.5.72) unstable; urgency=medium

  [ Manpages translations ]
  * Portuguese (Américo Monteiro; closes: #927421).

  [ Heitor Alves de Siqueira ]
  * Fix readline prompts when run via run-parts (closes: #928182).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 May 2019 13:45:57 +0100

debconf (1.5.71) unstable; urgency=medium

  [ Kevin Locke ]
  * Dialog: Fix whiptail ellipsized selections (closes: #922279).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Feb 2019 09:30:35 +0000

debconf (1.5.70) unstable; urgency=medium

  [ Colin Watson ]
  * When using whiptail, trim select/multiselect items to fit if necessary
    (closes: #478281).

  [ Manpages translations ]
  * French (Jean-Philippe MENGUAL; closes: #916598).

  [ Programs translations ]
  * French (Baptiste Jammet; closes: #918939).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Jan 2019 10:02:24 +0000

debconf (1.5.69) unstable; urgency=medium

  [ Manpages translations ]
  * German.

  [ Programs translations ]
  * Dutch (Frans Spiesschaert; closes: #874287).

  [ Colin Watson ]
  * Remove the Qt frontend (formerly Kde), as qt4-perl is on its way out
    (closes: #629405).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jul 2018 09:42:35 +0100

debconf (1.5.68) unstable; urgency=medium

  [ Modestas Vainius ]
  * Rename current Kde frontend to Qt.
  * Add Debian/{FrontEnd,Element}/Qt* to debian/copyright.
  * Add new Kde frontend that is driven by debconf-kde-helper (and requires
    package of the same name). libqtcore4-perl and libqtgui4-perl packages
    are no longer necessary and can be safely removed. (Closes: #631769)

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Jul 2018 11:00:56 +0100

debconf (1.5.67) unstable; urgency=medium

  [ Translations ]
  * Russian (Yuri Kozlov; closes: #898134).

  [ Colin Watson ]
  * Chase Vcs-Git redirection (thanks, Raphaël Hertzog).
  * Adjust IFS handling in confmodule to work around #901185.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Jun 2018 06:16:03 +0100

debconf (1.5.66) unstable; urgency=medium

  [ Programs translations ]
  * French (Baptiste Jammet; closes: #887754).

  [ Colin Watson ]
  * Move VCS to salsa.debian.org.
  * Mark debconf-doc Multi-Arch: foreign.
  * Port the Gnome frontend to GTK+ 3 (closes: #883442, LP: #1736618).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Feb 2018 09:50:20 +0000

debconf (1.5.65) unstable; urgency=medium

  * Declare Breaks on update-notifier-common (<< 3.187~) for the move of
    debconf.py to separate binary packages (thanks, Steve Langasek; closes:
    #881574).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Nov 2017 15:26:13 +0000

debconf (1.5.64) unstable; urgency=medium

  [ Colin Watson ]
  * Split debconf.py out to new python-debconf and python3-debconf binary
    packages (closes: #709198).
  * debconf.py: Allow the Debconf class to be used as a context manager
    (closes: #877096).
  * Simplify creation of documentation directory symlinks using
    "dh_installdocs --link-doc".

  [ Programs translations ]
  * German (Helge Kreutzmann).

  [ Debconf translations ]
  * Albanian (Eva Vranici).

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Oct 2017 11:52:50 +0100

debconf (1.5.63) unstable; urgency=medium

  * "Change directory to / before executing maintainer scripts" from 1.5.62
    was too intrusive due to changing Debconf::ConfModule, and broke some
    existing maintainer scripts that e.g. ran ucf with relative paths.
    Instead, just chdir to / before running maintainer scripts in
    dpkg-reconfigure and chdir back afterwards (closes: #608648).
  * In the Gnome frontend, hide the cancel button, and prompt for
    confirmation when the close button is pressed (closes: #501767).
    Original idea by Michael Vogt with an amendment by Joey Hess; some code
    by Martin Pitt.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Jul 2017 02:23:47 +0100

debconf (1.5.62) unstable; urgency=medium

  * Upgrade to debhelper v9 and dh-exec.
  * Make debconf provide python-debconf and python3-debconf, in preparation
    for splitting those out to separate binary packages (see #709198).
  * dpkg-preconfigure: Don't write "Extracting templates from packages:"
    progress output if stderr is not a terminal (closes: #701818).
  * Change directory to / before executing maintainer scripts (closes:
    #608648).
  * Install to $Config{vendorlib} rather than hardcoding /usr/share/perl5.
  * Upgrade to copyright-format 1.0.
  * Policy version 4.0.0.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jul 2017 06:38:14 +0100

debconf (1.5.61) unstable; urgency=medium

  [ Niko Tyni ]
  * Use File::Temp instead of the deprecated POSIX::tmpnam() in
    Debconf::TmpFile (closes: #863071).

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 May 2017 18:08:30 +0100

debconf (1.5.60) unstable; urgency=medium

  [ Christian Perrier ]
  * French manpages translation. Thanks to Baptiste Jammet.
    Closes: #849394

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jan 2017 12:58:59 +0000

debconf (1.5.59) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Set source format to 3.0 (native).
  * frontend: Load templates when we're being run from any maintainer
    script, not just preinst/postinst (closes: #817083).

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Mar 2016 10:59:28 +0000

debconf (1.5.58) unstable; urgency=medium

  * Don't update po/debconf.pot unless doing so changes something other than
    the POT-Creation-Date header.  The basic approach here is from gettext,
    though implemented a bit more simply since we can assume perl.
  * Show choices for teletype/readline boolean questions (closes: #802840).
  * Move bash completion file to /usr/share/bash-completion/completions/.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Nov 2015 03:27:10 +0000

debconf (1.5.57) unstable; urgency=medium

  [ Colin Watson ]
  * Drop alternative Suggests on gnome-utils (closes: #792219).  It hasn't
    existed since squeeze, it dropped gdialog in 2003, and debconf only
    supported gdialog for about three weeks in 1999 anyway.
  * Escape braces in regexes to avoid deprecation warning with Perl 5.22
    (closes: #786705).
  * When creating a new template and finding that it already exists in the
    database, ensure that a question of the same name exists too (closes:
    #518322, #779920).

  [ Jérémy Bobbio ]
  * Use UTC when running xgettext for build reproducibility. Closes: #783255

  [ Debconf translations ]
  * Brazilian Portuguese (Adriano Rafael Gomes). Closes: #785464

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2015 12:33:36 +0100

debconf (1.5.56) unstable; urgency=medium

  [ Helmut Grohne ]
  * Tighten dependency on debconf for packages sharing their /usr/share/doc
    to comply with Debian policy 12.3 (closes: #779420).

  [ Colin Watson ]
  * Make Debconf::DbDriver::File stop trying to mkdir the empty string if
    configured with a path that does not contain a slash (closes: #682959).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Mar 2015 00:54:33 +0000

debconf (1.5.55) unstable; urgency=low

  * Team upload

  [ Programs translations ]
  * Dutch updated. Closes: #771731
  * Spanish updated. Closes: #771847
  * Indonesian updated
  * Catalan updated
  * Japanese updated. Closes: #771886
  * Basque updated. Closes: #771899
  * Romanian updated. Closes: #772065
  * Bulgarian updated. Closes: #772077
  * Polish updated
  * Swedish updated
  * Esperanto updated
  * Portuguese updated. Closes: #772582
  * Turkish updated. Closes: #772813
  * Brazilian Portuguese updated. Closes: #773076
  * Thai updated. Closes: #772967

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Dec 2014 08:43:06 +0100

debconf (1.5.54) unstable; urgency=medium

  * Team upload

  [ Colin Watson ]
  * Update Vcs-* to current canonical URLs.

  [ Manpages translations ]
  * Portuguese updated. Closes: #756178

  [ Programs translations ]
  * Czech updated. Closes: #764054
  * Russian updated. Closes: #765914
  * Slovenian updated. Closes: #766199
  * Fix typo in Hungarian translation. Closes: #770803

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Nov 2014 11:06:08 +0100

debconf (1.5.53) unstable; urgency=low

  [ Apollon Oikonomopoulos ]
  * Teletype: page only if screen has more than two rows
    Closes: #745504

  [ Programs translations ]
  * German.
  * French (Christian Perrier).
  * Danish (Joe Hansen). Closes: #732167

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Apr 2014 20:03:26 -0400

debconf (1.5.52) unstable; urgency=low

  [Joey Hess]
  * Remove dpkg-reconfigure -a, which existed only to accumulate bug
    reports about bugs in other packages.
    Closes: #721329, #664825, #558262, #617618, #707987
  * Fix bad uses of length @array. Closes: #723841

  [ Programs translations ]
  * Russian (Yuri Kozlov). Closes: #718188

  [ Manpages translations ]
  * French updated. Closes: #697458
  * German updated.

 -- Joey Hess <joeyh@debian.org>  Sun, 03 Nov 2013 14:15:51 -0400

debconf (1.5.51) unstable; urgency=low

  * Fix warning when /var/cache/debconf is missing.
    Closes: #709928
  * debconf-set-selections: Do not change the default template
    value when overriding the value of existing questions. Closes: #711693

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 13:26:46 -0400

debconf (1.5.50) unstable; urgency=low

  * KDE frontend: Work around multiple bugs in the perl code generated
    by puic4. The frontend works again. Closes: #702210
  * doc/Makefile: Avoid adding duplicated =encoding to pod files.
    Closes: #704866
  * Avoid find -perm +mode breakage caused by findutils 4.5.11,
    by instead using -perm /mode. Thanks, Oron Peled

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:45:04 -0400

debconf (1.5.49) unstable; urgency=low

  * frontend: Don't set title in the maintainer script case when the
    action is “triggered”. This totally confuses the Debian Installer
    (“Configuring man-db” instead of “Configuring grub-pc”, notably).
    Closes: #679327

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Dec 2012 02:02:36 +0100

debconf (1.5.48) unstable; urgency=low

  * dpkg-reconfigure: Fix incorrect scoping of control_path that broke
    handling of multiple packages (closes: #690755, LP: #1076322).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2012 13:31:38 +0000

debconf (1.5.47) unstable; urgency=low

  [ Manpages translations ]
  * German updated.

  [ Joey Hess ]
  * GTK frontend: Do additional probing in child process to catch cases
    where trying to use GTK will cause an otherwise uncatchable crash.
    Closes: #690776 Thanks, James Hunt
  * debconf-devel.7: Mention that CAPB capabilities are separated with spaces.
    Closes: #694626

  [ Colin Watson ]
  * dpkg-reconfigure: Fix trigger processing to cope properly if some of the
    triggered packages use debconf (closes: #686071).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2012 13:18:46 +0000

debconf (1.5.46) unstable; urgency=low

  [ Manpages translations ]
  * Put the Danish translation of manpages from #664901 in the right
    place (and also convert its encoding that was broken by a BTS bug)
  * Activate Danish translation of manpages by adding the needed addenda
    Closes: #664901

  [ Programs translations ]
  * Danish (Joe Dalton). Closes: #683191
  * Fix typo in the french translation of debconf-show(1)
    LP: #1025045
  * Polish (Marcin Owsiany). Closes: #683207
  * Japanese (Kenshi Muto). Closes: #683223
  * Bengali PO file header fixed
  * Esperanto updated (Felipe Castro).
  * Indonesian updated (Andika Triwidada).
  * Simplified Chinese updated (Xingyou Chen).
  * Bulgarian updated (Damyan Ivanov). Closes: #683245
  * Russian (Yuri Kozlov). Closes: #683306
  * Slovak (Ivan Masár). Closes: #683341
  * French (Steve Petruzzello).
  * Basque (Iñaki Larrañaga Murgoitio). Closes: #683527
  * Czech (Miroslav Kure). Closes: #683548
  * Thai (Theppitak Karoonboonyanan). Closes: #683585
  * Portuguese (Miguel Figueiredo). Closes: #683615
  * Finnish (Tommi Vainikainen). Closes: #683967
  * Catalan (Jordi Mallach).
  * Vietnamese (Nguyễn Vũ Hưng).
  * Arabic (Ossama Khayat).
  * Hebrew (Lior Kaplan).

  [ David Prévot ]
  * Make sure to keep the previous strings while updating PO files.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Aug 2012 13:17:14 +0100

debconf (1.5.45) unstable; urgency=low

  [ Programs translations ]
  * German updated.

  [ Colin Watson ]
  * dpkg-reconfigure: Fix dpkg-query parsing when detecting which triggers
    are pending (LP: #1018884).

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jul 2012 15:57:38 +0100

debconf (1.5.44) unstable; urgency=low

  [ Debconf translations ]
  * Vietnamese (Hai Lang)
  * Latvian (Rūdolfs Mazurs).  Closes: #674707
  * Lithuanian (Rimas Kudelis).  Closes: #675699
  * Welsh (Daffyd Tomos).

  [ Joey Hess ]
  * File DbDriver: Get actual filename, following symlinks.
    This makes it possible to switch back and forth between
    debconf and cdebconf. Thanks, Regis Boudin

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jun 2012 19:03:42 -0400

debconf (1.5.43) unstable; urgency=low

  [ Programs translations ]
  * Danish updated. Closes: #664901

  [ Debconf translations ]
  * Uyghur (Sahran). Closes: #627013
  * Serbian Latin (Janos Guljas). Closes: #600143

  [ Colin Watson ]
  * Make debconf.py Python 3-compatible directly, which only requires
    dropping pre-2.6 support (2.6 was in squeeze), and drop the separate
    debconf3.py implementation.  The previous Python 3 implementation
    expected read and write to be binary files, while this expects them to
    be text files.  Technically this is an interface break, but since
    'import debconf; debconf.Debconf()' was failing (since sys.stdin and
    sys.stdout are text files), I claim that nobody was using this until now
    anyway.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 May 2012 18:57:59 +0100

debconf (1.5.42) unstable; urgency=low

  [ Joey Hess ]
  * File DbDriver now creates the directory for the file if it is missing.
    (All other DbDrivers that write files already did this.) Closes: #636621

  [ Emmet Hikory ]
  * Display error messages in noninteractive frontend (Closes: #367497)

  [ Debconf translations ]
  * Polish (Michał Kułach).  Closes: #657264

  [ Manpages translations ]
  * German updated.
  * Portugese updated (Américo Monteiro).
  * Spanish updated. Closes: #636241
  * Sinhala; (Danishka Navin).  Closes: #641106
  * Russian updated. Closes: #656110

  [ Programs translations ]
  * Norwegian Bokmål updated. Closes: #654798

  [ Joey Hess ]
  * Add a belt-and-suspenders test that Text::CharWidth::mblen is not
    returning bogus values, before using Text::WrapI18n. See #641957
  * Avoid an uninitialized value warning when a blank line is received
    from the client. Closes: #651642

  [ Colin Watson ]
  * Remove all hardcoded executable paths, using a new Debconf::Path module.

  [ Raphaël Hertzog ]
  * Set environment variables expected by maintainer scripts. Closes:
    #560317
  * Do not hardcode the path of maintainer scripts, in order to support the
    multiarch layout.

  [ Colin Watson ]
  * Process any newly pending triggers after running maintainer scripts.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Mar 2012 09:08:49 +0000

debconf (1.5.41) unstable; urgency=low

  [ Colin Watson ]
  * Make sure __pycache__ is removed on clean (from local python3 tests).

  [ Joey Hess ]
  * Fix IFS sanitization. Really fixes #381619.
  * dpkg-reconfigure, dpkg-preconfigure: Call cdebconf versions if
    the DEBCONF_USE_CDEBCONF variable is set. (Regis Boudin)

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Jul 2011 12:35:06 +0200

debconf (1.5.40) unstable; urgency=low

  [ Joey Hess ]
  * Updated Russian man page translation. Closes: #625935
  * Updated Galician translation of program po file. Closes: #626475
  * Add back documenation for the kde frontend.

  [ Martin Pitt ]
  * Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to Gtk2::Assistant.
    Original patch by Jani Monoses, thanks! (Closes: #542175, LP: #415038)
  * Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
  * debian/control: Change libgnome2-perl suggestion to libgtk2-perl
    accordingly.

  [ Colin Watson ]
  * Fix Gnome frontend to honour backup capability again, and make backup
    page handling work properly.
  * Version libgtk2-perl Suggests to match the upstream version where
    Gtk2::Assistant was introduced.
  * Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
  * Make sure you can't press Forward on a progress bar in the Gnome
    frontend.
  * debconf.py: Drop popen2 compatibility code.  subprocess has been
    available since Python 2.4, which is old enough that it was dropped from
    squeeze.
  * Build for all currently supported Python 2 versions (closes: #584844,
    #626706).
  * Convert to dh_python2 (closes: #603965, #616786).
  * Add Python 3 support.
  * Perl gets a bit confused by Debconf::Config and Debconf::Priority using
    each other, and objects to bareword use of priority_list in
    Debconf::Config if you do 'use strict; use Debconf::Priority' before
    Debconf::Config is loaded.  Work around this.  Thanks to James Hunt for
    pointing this out.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Jun 2011 22:50:23 +0100

debconf (1.5.39) unstable; urgency=low

  [ Joey Hess ]
  * Moved to a git repository. Updated control file fields.
  * Removed debconf-english dummy package, and dropped debconf-i18n to a
    Recommends. Debootstrap will still install debconf-i18n as it is
    priority Required.
  * debconf-set-selections: Fix comment handling to match description.
    In particular, continued lines that start with a "#" are not comments.
    And, comments only occur at the start of a line (possibly with some
    whitespace before). Closes: #589519
  * Updated Danish translation of program po file. Closes: #624645

  [ Steve Langasek ]
  * Mark debconf Multi-Arch: foreign to indicate that it satisfies the
    dependencies of packages from other than the native arch.  Closes:
    #614197

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Apr 2011 12:21:12 -0400

debconf (1.5.38) unstable; urgency=low

  [ Colin Watson ]
  * Correctly handle disabling the backup capability in a confmodule after
    it was previously enabled.

  [ Christian Perrier ]
  * Fix encoding in Spanish translation. Closes: #607688
  * Fix encoding in Hebrew debconf translation.

  [ Joey Hess ]
  * Update copyright file to use DEP5 syntax, and expand with some
    historical data.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Jan 2011 19:46:27 -0400

debconf (1.5.37) unstable; urgency=low

  [ Manpages translation ]
  * Spanish added (huge thanks to Omar Campagne). Closes: #599401
  * French completed (Christian Perrier).

  [ Debconf translations ]
  * Icelandic (Sveinn í Felli).
  * Serbian (Janos Guljas).  Closes: #600142
  * Catalan (Jordi Mallach).  Closes: #600626
  * Dutch (Eric Spreen).  Closes: #603953
  * Greek (Emmanuel Galatoulas).  Closes: #604451
  * Dzongkha (dawa pemo).  Closes: #604458

  [ Helge Kreutzmann ]
  * Fix (mostly) typos. Thanks Florian Rehnisch <eixman@gmx.de> for noticing.
    Addresses: #518395.
    Also unfuzzy all translations as far as possible.
  * Update German translation where unfuzzing was not enough (actually a no-op
    as Florian already translated appropriately).

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Nov 2010 18:11:22 +0000

debconf (1.5.36) unstable; urgency=low

  [ Debconf translation updates ]
  * Spanish (Javier Fernández-Sanguino Peña).  Closes: #592176
  * Icelandic added (Sveinn í Felli).
  * Telugu (Arjuna Rao Chavala).  Closes: #593095
  * Arabic (Ossama Khayat).  Closes: #595453
  * Danish (Joe Hansen).  Closes: #595439
  * Turkish (Recai Oktas).
  * Malayalam (Saji Nediyanchath).
  * Hindi (Kumar Appaiah).
  * Japanese (Kenshi Muto).  Closes: #595469
  * Korean (Changwoo Ryu).  Closes: #595517
  * Indonesian (Arief S Fitrianto).  Closes: #596197
  * Lithuanian (Kęstutis Biliūnas).  Closes: #596204
  * Portuguese (Miguel Figueiredo).  Closes: #596508
  * Persian (Behrad Eslamifar).  Closes: #590697

  [ Programs translation updates ]
  * Spanish (Javier Fernández-Sanguino Peña).  Closes: #592178

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Oct 2010 13:27:50 +0100

debconf (1.5.35) unstable; urgency=low

  [ Sune Vuorela ]
  * Resurrect the Kde frontend, ported to libqt4-perl.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Aug 2010 16:20:05 +0100

debconf (1.5.34) unstable; urgency=low

  [ Debconf translation updates ]
  * Bosnian (Armin Beširović).
  * Kazakh added (Baurzhan Muftakhidinov).  Closes: #589006
  * Belarusian (Viktar Siarheichyk).  Closes: #591668

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Handle ll[_CC]@modifier as a locale name.  Closes: #591633

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Aug 2010 17:53:52 +0100

debconf (1.5.33) unstable; urgency=low

  [ Debconf translation updates ]
  * Tamil added. Closes: #578280
  * Irish added. Closes: #578281
  * Romanian (Eddy Petrișor).  Closes: #582556
  * Khmer (Khoem Sokhem).
  * Traditional Chinese (Tetralet).  Closes: #587194
  * Galician (Jorge Barreiro).  Closes: #587795
  * Croatian (Josip Rodin).

  [ Manpages translation updates ]
  * Portuguese added. Closes: #588652

  [ Programs translation updates ]
  * Portuguese. Closes: #577586
  * Slovenian added. Closes: #585115
  * Traditional Chinese (Tetralet).  Closes: #587195
  * Slovak (Ivan Masár).  Closes: #587806

  [ Joey Hess ]
  * Fix new initialized value warning from perl 5.12.
    Closes: #578849

  [ Colin Watson ]
  * Remove carriage return characters from Swedish programs translation.  In
    some cases these were in the middle of a line, breaking the format for
    strict parsers.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Jul 2010 13:10:04 +0100

debconf (1.5.32) unstable; urgency=low

  * File: Avoid using filetest to test if database can be written to, as that
    is not in perl-base. Instead, try to open database for read+write,
    and if it fails, open readonly without locking. Closes: #577632

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Apr 2010 13:53:46 -0400

debconf (1.5.31) unstable; urgency=low

  [ Colin Watson ]
  * Squash chomp warning in Debconf::FrontEnd::Teletype on EOF or error.
  * Test database writability more carefully to avoid breaking use of
    debconf under fakeroot.  Closes: #577299

  [ Joey Hess ]
  * Fix uninitialized value warning if debconf -f is not followed by
    another parameter. Closes: #575870

  [ Programs translation updates ]
  * Simplified Chinese (soyi).

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Apr 2010 22:05:07 +0100

debconf (1.5.30) unstable; urgency=low

  * Don't open file databases read-write if the database is read-only, or if
    the file isn't writable (e.g. running debconf as non-root).  Closes:
    #575070

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Mar 2010 10:18:00 +0000

debconf (1.5.29) unstable; urgency=low

  [ Programs translation update ]
  * Bulgarian (Damyan Ivanov). Closes: #558085
  * German (Helge Kreutzmann)
  * Portuguese (Miguel Figueiredo). Closes: #569254
  * Hebrew (Lior Kaplan).
  * Japanese (Kenshi Muto). Closes: #573057
  * Finnish (Tommi Vainikainen). Closes: #573053
  * Vietnamese (Clytie Siddall). Closes: #573122
  * Polish (Marcin Owsiany). Closes: #573124
  * Russian (Yuri Kozlov). Closes: #573195
  * Czech (Miroslav Kure). Closes: #573984
  * Asturian (Marcos).
  * Dutch (Frans Pop).
  * Swedish (Daniel Nylander).
  * Khmer (Khoem Sokhem).
  * Bengali (Md. Rezwan Shahid).
  * Indonesian (Parlin Imanuel).
  * Catalan (Guillem Jover).
  * Esperanto (Felipe Castro).
  * Traditional Chinese (Kan-Ru Chen).

  [ Manpage translation updates ]
  * French (Florentin Duneau). Closes: #573867
  * German (Helge Kreutzmann)
  * Russian (Yuri Kozlov). Closes: #556275, #573202

  [ Debconf translations ]
  * Bengali (Sadia Afroz).
  * Italian (Milo Casagrande). Closes: #559500
  * Norwegian Bokmål (Hans Fredrik Nordhaug).  Closes: #558659
  * Swedish (Martin Bagge).  Closes: #551945
  * Simplified Chinese (苏运强).
  * Thai (Theppitak Karoonboonyanan).  Closes: #568368
  * Vietnamese (Clytie Siddall).  Closes: #568976
  * Gujarati (Kartik Mistry).  Closes: #571680
  * Slovenian (Vanja Cvelbar).  Closes: #570345

  [ Joey Hess ]
  * debconf-devel(7): Note why SETTITLE is generally used rather than TITLE.
    Closes: #560323 (Thanks, Frans Pop)
  * DbDriver::File: Open file read-write so exclusive flock locking can be
    done portably. Fixes issue on Solaris. (Thanks, James Lee)
    Closes: #563577
  * Prevent dialog from escaping "\n" to a liternal newline in the text
    it displays by doing some tricky things with UTF-8 zero-width characters.
    Closes: #566954 (Thanks, Ben Hutchings)

  [ Colin Watson ]
  * Build for Python 2.6. Closes: #574759

  [ Joey Hess ]
  * Clean up use of POSIX perl module, which exports a large amount
    of stuff by default. Closes: #574573

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Mar 2010 20:51:30 +0000

debconf (1.5.28) unstable; urgency=low

  [ Colin Watson ]
  * Put debconf-i18n in Section: localization, to match overrides.
  * Remove unused subcommand parameter from
    Debconf::FrontEnd::Passthrough::progress_data().
  * Override Lintian warning about debconf's postrm not calling db_purge;
    debconf itself is a special case here.
  * Declare "Media change" string as needing translation. (apt gives us
    translated messages for substitution into the extended description here,
    but not for the short description.)
  * Remove unused 'use I18N::Langinfo' from Debconf::Element::Gnome
    (LP: #387112).
  * Upgrade to debhelper v7. In the process, convert to python-central with
    DH_PYCENTRAL=nomove (since we need our modules to be usable even when
    debconf is unconfigured; at the moment, the effect of this use of
    python-central is only to add a Python-Versions control field).

  [ Christian Perrier ]
  * Add translation of "-a" in "man dpkg-reconfigure".
    Patch by Simon Paillard.
  * Suggest reporting bugs related to French translations in the French
    l10n mailing list. Patch by Simon Paillard.
  * French debconf translation update

  [ Joey Hess ]
  * document --terse in relevant man pages and show --no-reload in
    dpkg-reconfigure usage. Closes: #548994
  * German man page addendum fixed. Closes: #546789
  * Dropped the KDE frontend. libqt-perl is uninstallable, and
    work on the new qt4 perl bindings and a new KDE frontend based on
    them is not ready. If the KDE frontend is specified, debconf will
    now attempt to fall back to the Gnome frontend, or failing that,
    to dialog. Closes: #522580
  * Enable set -e in debconf-utils postinst.

  [ Programs translation updates ]
  * Portuguese (Miguel Figueiredo). Closes: #551379

  [ Debconf translation updates ]
  * Asturian (Marcos Alvarez Costales).
  * Bulgarian (Damyan Ivanov).
  * Finnish (Tapio Lehtonen).
  * Czech (Miroslav Kure).
  * Esperanto (Felipe Castro).
  * Simplified Chinese (Carlos Z.F. Liu).
  * Slovak (Ivan Masár).
  * German (Holger Wansing).
  * Bengali (Md. Rezwan Shahid).
  * Basque (Piarres Beobide).
  * Japanese (Kenshi Muto).
  * Russian (Yuri Kozlov).

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Oct 2009 20:14:23 -0400

debconf (1.5.27) unstable; urgency=low

  * Fix Plural-Forms header in Tagalog translation.
  * debconf-apt-progress: If we didn't start the debconf frontend ourselves,
    then it's unlikely that the passthrough child will be able to start
    debconf normally, so tell it to use a pipe database in that case and
    rely on passthrough to save answers (LP: #337306).
  * debconf-apt-progress: DEBIAN_HAS_FRONTEND is always set here at some
    point, even if only on the second run after starting debconf, so we need
    to invert our handling of the check for whether we started the debconf
    frontend ourselves (LP: #347648).
  * Minor GET optimisation: fetch the question value only once rather than
    twice.
  * debconf-apt-progress: If we get cancelled very early on before managing
    to start the process we're controlling, make sure that we don't carry on
    and start it anyway, and that we still return 30.
  * debconf-apt-progress: Handle cancellation right at the end. We don't
    have a process to kill at this point, but we should at least return the
    correct exit code.

  [ Manpages translations ]
  * Completed german man page translation. Closes: #518396
  * Completed French man page translation. Closes: #520787

  [ Debconf translations ]
  * Added Asturian. Closes: #518977
  * Added Bengali

  [ Programs translations ]
  * Added Asturian. Closes: #518977
  * Added Bengali

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jul 2009 14:36:50 +0100

debconf (1.5.26) unstable; urgency=low

  * Use 'key not in dict' rather than 'not dict.has_key(key)' in debconf.py;
    dict.has_key is deprecated in Python 2.6.
  * debconf-apt-progress: Don't send STOP if we didn't start the debconf
    frontend ourselves; in that case the application calling us should
    arrange to stop itself.
  * debconf.py: Use subprocess rather than popen2 if it's available. popen2
    is deprecated in Python 2.6.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Mar 2009 16:33:57 +0000

debconf (1.5.25) unstable; urgency=low

  [ Joey Hess ]
  * debconf-devel(7): Fix state machine example to handle case where user
    backs out of first question.

  [ Colin Watson ]
  * Support overriding frontend's package name determination (used to set
    the owner) using the DEBCONF_PACKAGE environment variable. Useful for
    applications driving debconf other than by way of package installation.
  * Refer to po-debconf(7) rather than its README (thanks, James R. Van
    Zandt). Closes: #505392
  * Refer to debconf-show(1) from dpkg-reconfigure(8) for those who just
    want to see the current configuration. Closes: #506070
  * Only use -C fields when explicitly disabling internationalisation within
    debconf (or when DEBCONF_C_VALUES=true), not merely when in the C
    locale. Based on a patch by Frans Pop, for which thanks! Closes: #476873
  * Force fallback to the default template if we encounter 'en' in the
    locale list and no language-specific template for English was
    found,since English text is usually found in a plain field rather than
    something like Choices-en.UTF-8. This allows you to override other
    locale variables for a different language with LANGUAGE=en. Thanks again
    to Frans Pop. Closes: #496631

  [ Manpages translations ]
  * Completed german man page translation.

  [ Debconf translations ]
  * Corrections in german translation with apologies for
    forgetting this bug report. Closes: #462302

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Feb 2009 00:04:02 +0000

debconf (1.5.24) unstable; urgency=low

  [ Joey Hess ]
  * debconf(7): Clarify reason for libterm-readline-gnu-perl being recommended
    for users of readline frontend. Closes: #497357

  [ Manpages translations ]
  * Updated german man page translation. Closes: #492370
  * German proofread by  Helge Kreutzmann. Copyright fixed to include
    Florian Rehnisch
  * Corrected French manpages translation wrt "interactive".
    Closes: #496555

  [ Debconf translations ]
  * Hindi updated.
  * Greek updated. Closes: #498580

  [ Programs translations ]
  * Hindi updated.
  * Greek updated. Closes: #498577

  [ Joey Hess ]
  * debconf.7: Remove whitespace in manrefs. Closes: #498446

  [ Colin Watson ]
  * Fall back to untranslated fields if asking explicitly for any
    nonexistent translated field, not just Choices-C. For example, asking
    for Choices-en.UTF-8 should fall back to Choices if Choices-en.UTF-8
    doesn't exist. LP: #271652
  * Remove some dead code in Debconf::Template::AUTOLOAD.
  * Add an AUTHOR section to debconf-escape(1) to make the German po4a
    translations work better.
  * Add missing =back to debconf-apt-progress(1)'s OPTIONS section.
  * Use =head1 in German POD addendum, not =HEAD1. Together with switching
    output to UTF-8 (below), this fixes various problems with German manual
    page output. Closes: #492368
  * Recode all manual pages to UTF-8 and re-enable Russian manual page
    generation, now that pod2man has a --utf8 option. Requires perl (>=
    5.10.0-16) as bug #500210 broke the Russian pages. Closes: #485756

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2008 18:07:17 +0100

debconf (1.5.23) unstable; urgency=low

  [ Manpages Translations ]
  * Russian updated. Closes: #482288
  * French updated.
  * German added. Closes: #486869

  [ Debconf translations ]
  * Macedonian. Closes: #485993
  * Romanian. Closes: #488530
  * Korean. Closes: #491515

  [ Programs translations ]
  * Catalan. Closes: #486714
  * Romanian. Closes: #488530
  * Korean. Closes: #491515

  [ Joey Hess ]
  * Typo. Closes: #486870
  * Disable Russian man pages until the encoding issue affecting them can be
    fixed.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:18:49 -0400

debconf (1.5.22) unstable; urgency=low

  * Improve LDAP KeyByKey option by setting the LDAP search base to the exact
    key that is requested. Patch from Davor Ocelic.
  * Initial support for storing templates database in LDAP. (i18n not
    supported). Patch from Davor Ocelic. Closes: #477531

  [ Manpages Translations ]
  * Russian updated. Closes: #462780

  [ Debconf Translations ]
  * Bulgarian updated.
  * Polish updated. Closes: #478041

  [ Programs Translations ]
  * Bulgarian added. Closes: #478431

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2008 19:36:48 -0400

debconf (1.5.21) unstable; urgency=low

  * Fix method call in LDAP dbdriver. Closes: #475545

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:55:08 -0400

debconf (1.5.20) unstable; urgency=low

  * Use signal names rather than numbers in debconf-apt-progress.
  * Fix use of 'next' rather than 'return' in debconf-apt-progress
    handle_status.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Mar 2008 14:38:28 +0000

debconf (1.5.19) unstable; urgency=low

  * Add a hack to the teletype frontend to allow typing "q" at a "[More]"
    prompt and break out of the 'pager'. Useful when ucf's diff turns out
    to be many many pages in length. There's no UI indication that "q" works
    here, but it's the same as in other pagers like less.
  * Add (experimental, nonstandard) implementation of the X_LOADTEMPLATEFILE
    protocol command. Should be compatible with cdebconf's. Closes: #427091

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 19:59:34 -0500

debconf (1.5.18) unstable; urgency=low

  [ Søren Hansen ]
  * debconf-apt-progress sometimes gets captured by buggy daemons, causing
    tasksel to hang because $debconf_command_eof never becomes true.
    STATUS_READ should be the last fd to close, so checking $status_eof is
    sufficient (LP: #141601).

  [ Joey Hess ]
  * debconf(1): Document that this command is rarely used. Closes: #457598
  * Add missing newlines to some error messages. Closes: #457609

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jan 2008 14:08:27 +0000

debconf (1.5.17) unstable; urgency=low

  * Partial support for cancelable progress bars. While the dialog frontend
    cannot support them due to limitations in whiptail(1) and dialog(1),
    and I haven't implemented support in frontends like gnome or kde,
    the confmodule does now check to see if the frontend's progress bar
    methods return nonzero, and will pass that nonzero status along
    to the caller.
  * Implemented support for cancelable progress bars in the passthrough
    frontend.
  * debconf-apt-progress: Check for the progress bar being canceled, and if
    this happens, try to kill the apt process. Users of debconf-apt-progress
    that want a cancelable progress bar can thus just set the progresscancel
    capb before calling it and everything should work. Of course, this should
    only be done when the apt operation being run is one that can be cleanly
    killed.
  * debconf-apt-progress: Notice if the child exited abnormally, and exit
    nonzero.
  * Avoid setting a default title of "Configuring " when starting up the
    frontend if no package name could be determined.
  * Fix the passthrough frontend to not clear the capb on startup.
  * debconf-apt-progress: Add --dlwaypoint option.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Nov 2007 01:57:15 -0500

debconf (1.5.16) unstable; urgency=low

  * Drop python 2.3. Closes: #447864
  * debconf-apt-progress: Add --no-progress option intended to be used
    by apt-install in d-i.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Oct 2007 06:01:13 -0400

debconf (1.5.15) unstable; urgency=low

  [ Colin Watson ]
  * Add manual page description for debconf-set-selections. Closes: #435954
  * Ignore AttributeError in the Python DebconfCommunicator destructor, so
    that you don't get a confusing exception message if you give the wrong
    number of arguments to the constructor.
  * Don't use dh_python's postinst fragment (and copy its prerm fragment by
    hand). debconf is too important to fail because some random python
    module wouldn't compile. Closes: #225384, #293820

  [ Debconf Translations ]
  * Nepali updated. Closes: #435388

  [ Programs Translations ]
  * Nepali added. Closes: #435389

  [ Joey Hess ]
  * Applied Davor Ocelic's patch adding a keybykey option to the LDAP
    DbDriver. Closes: #440857
    (Note that it currently has some minor uninitialised value warnings.)
  * TERM isn't set if run from synaptic, avoid uninitialised value in Readline
    frontend. Closes: #307568

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:26:20 -0400

debconf (1.5.14) unstable; urgency=low

  [ Colin Watson ]
  * Retry flock() on EINTR. Failing that, print the errno if flock() fails
    so that we have a better chance of working out why.
  * Install Python confmodule for python2.5 as well.
  * Add confmodule bindings for the DATA command.
  * Somebody looking at confmodule(3) probably actually wants
    debconf-devel(7). Add a reference in SEE ALSO.
  * Make sure that apt status commands and debconf protocol commands under
    debconf-apt-progress are properly interleaved. Closes: #425397

  [ Debconf Translations ]
  * Marathi added. Closes: #416805
  * Basque updated. Closes: #418897

  [ Programs Translations ]
  * Marathi added. Closes: #416805
  * Punjabi added. Closes: #427327
  * Basque updated. Closes: #418902
  * Esperanto added. Closes: #428275

  [ Joey Hess ]
  * Increase selectspacer to 13 for dialog. May be needed due to changes in
    new versions of dialog.
  * Update url to web site in README.

  [ Trent Buck ]
  * Fix bash_completion syntax. Closes: #425676

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jul 2007 14:58:39 +0100

debconf (1.5.13) unstable; urgency=low

  [ Man pages translations ]
    - French updated

  [ Joey Hess ]
  * Fix kde frontend to "show" noninteractive elements so they can handle
    setting their values appropriately. Closes: #413509 (except possibly for
    the strange and unreproducible bits)
  * Avoid initialising kde until the first question is found that needs to be
    displayed using it. The Qt module could fail in some ugly ways during
    destruction if kde stuff was initialised but never used. (See #413509)

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 12:53:58 -0500

debconf (1.5.12) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Esperanto. Closes: #404588
    - Updated Slovenian. Closes: #405581
    - Added Malayalam. Closes: #405910

  [ Joey Hess ]
  * Bubulle requested I include a copy of debconf.pot in the source, rather
    than cleaning it, so here it is. Note that it's not included in svn, to
    avoid churn.

  [ Christian Perrier ]
  * Fix typos in debconf-devel(7) and debconf(7). Closes: #410168, #410169

  [ Joey Hess ]
  * po/Makefile: Smarter detection of no-op changes to po files.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2007 20:46:20 -0500

debconf (1.5.11) unstable; urgency=low

  [ Programs Translations ]
    - Updated Dutch. Closes: #391311
    - Updated Portuguese. Closes: #392703

  [ Joey Hess ]
  * Add need_tty field to frontend objects. dpkg-preconfigure can test
    this if it fails to reopen /dev/tty, and avoid dying if the frontend
    doesn't care about the tty, as happens in g-i when preconfiguring using
    the passthrough frontend. Closes: #401876

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Dec 2006 13:30:50 -0500

debconf (1.5.10) unstable; urgency=low

  [ Christian Perrier ]
  * Better support for locale aliases. Thanks to Nicolas François
    for the patch. Closes: #232044

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Dec 2006 17:26:50 -0500

debconf (1.5.9) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Bosnian. Closes: #396654
    - Updated Greek
    - Updated Nepali.
    - Updated Bulgarian. Closes: #397778

  [ Programs Translations ]
    - Added Bosnian. Closes: #397282

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Nov 2006 18:35:19 -0500

debconf (1.5.8) unstable; urgency=low

  * Fix passthrough frontend's handling of noninteractive elements.
    Instead of duplicating the code in their show method, which varies for
    some types (select), just call the show method. Closes: #396147

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Oct 2006 23:57:34 -0500

debconf (1.5.7) unstable; urgency=low

  [ Programs Translations ]
    - Updated Chinese (Simplified)
    - Updated Danish. Closes: #392194
    - Updated Dutch. Closes: #392192
    - Updated Hebrew. Closes: #391155
    - Updated Korean. Closes: #393615
    - Updated Kurdish.
    - Updated Portuguese.
    - Added Thai. Closes: #394633
    - Updated Vietnamese.

  [ Debconf Translations ]
    - Updated Albanian
    - Updated Belarusian
    - Updated Chinese (Traditional)
    - Updated Greek. Closes: #392192
    - Updated Indonesian.
    - Added Thai. Closes: #394631

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Oct 2006 20:32:07 -0400

debconf (1.5.6) unstable; urgency=medium

  [ Joey Hess ]
  * Fix names of Kde and Gnome frontends in the frontend selection question.
    Closes: #389939, #388679, #391650
  * Set IFS to a sane value before calling printf, in case the maintainer
    script does something nasty to it. Closes: #381619
  * Dialog backtitle unbranding. Closes: #376116

  [ Christian Perrier ]
  * Correct a grammar error in the french man page translation

  [ Programs Translations ]
    - Updated French.
    - Updated Khmer. Closes: #375064
    - Updated Galician. Closes: #391173
    - Updated Spanish.
    - Updated Catalan.
    - Updated Slovak.
    - Updated Dzongkha.
    - Updated Norwegian Bokmal.
    - Updated Ukrainian
    - Updated Swedish
    - Updated Basque
    - Updated Dutch
    - Updated Brazilian Portuguese
    - Updated Hungarian
    - Updated Finnish
    - Updated Japanese
    - Updated Czech
    - Updated German
    - Updated Romanian
    - Updated Turkish
    - Updated Polish
    - Updated Italian. Closes: #391559
    - Updated Traditional Chinese
    - Updated Arabic. Closes: #391614
    - Updated Russian

  [ Debconf Translations ]
    - Updated Dzongkha. Closes: #388016
    - Added Nepali. Closes: #374950

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 14:09:45 -0400

debconf (1.5.5) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Wolof

  [ Programs Translations ]
    - Added Kurdish. Closes: #387811
    - Fixed typos in Italian. Closes: #387820

  [ Colin Watson ]
  * debconf-apt-progress: Die if debconf-apt-progress/media-change can't be
    displayed.
  * debconf-apt-progress: Avoid falling through to generic progress updating
    code from media-change handling.
  * When asking for a Choices-C field in a template, fall back to Choices
    (etc.); if i18n is disabled then asking for Choices tries Choices-C
    first. This lets you say "Choices: ${CHOICES-TRANS}" and "Choices-C:
    ${CHOICES}" to substitute reliably into translated and untranslated
    templates without having to ensure that ${CHOICES-TRANS} is translated
    to the same thing in every language.
  * Make sure that languages whose codes are prefixes of other language
    codes don't accidentally match those languages. This is mostly
    significant for C, but could also be a problem once translations for
    languages with three-letter codes start being widely deployed.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Sep 2006 17:26:43 -0400

debconf (1.5.4) unstable; urgency=low

  [ Christian Perrier ]
  * Split out Choices in templates. Sorry, translators.
  * Activate the generation of Russian man pages by po4a, KOI8-R encoded
    Closes: #385549
  * Translations:
    - Updated French
    - Added Welsh (from D-I translations)
    - Added Dzongkha (from D-I translations)

  [ Luk Claes ]
  * Translations:
    - Updated Catalan debconf translation (Closes: #380344).
    - Updated Estonian debconf translation (Closes: #380352).
    - Updated Italian debconf translation.
    - Updated Simplified Chinese debconf translation.
    - Updated Tagalog debconf translation.
    - Updated Norwegian Bokmal debconf translation.
    - Updated Korean debconf translation (Closes: #380378).
    - Updated Arabic debconf translation (Closes: #380381).
    - Updated Danish debconf translation (Closes: #382002).
    - Updated Hungarian debconf translation.
    - Updated Malagasi debconf translation.
    - Updated Russian debconf translation (Closes: #380427).
    - Updated Slovak debconf translation (Closes: #380432).
    - Updated Czech debconf translation (Closes: #380437).
    - Updated Finnish debconf translation (Closes: #380453).
    - Updated Hebrew debconf translation.
    - Updated Brazillian Portuguese debconf translation.
    - Updated Japanese debconf translation (Closes: #380477).
    - Updated Romanian debconf translation (Closes: #380495).
    - Updated Latvian debconf translation.
    - Updated Turkish debconf translation.
    - Updated Galician debconf translation (Closes: #380592).
    - Updated Lithuanian debconf translation.
    - Updated Punjabi debconf translation.
    - Updated Portuguese debconf translation.
    - New Khmer debconf translation (Closes: #375064).
    - New Khmer programs translation (Closes: #375066).
    - Updated Vietnamese debconf translation (Closes: #382328).
    - Updated Basque debconf translation (Closes: #382459).
    - Updated Ukrainian debconf translation (Closes: #382504).
    - New Dzongkha programs translation (Closes: #382623).
    - Updated Spanish debconf translation (Closes: #382713).
    - Updated German debconf translation (Closes: #384370).
    - Updated Swedish debconf translation (Closes: #386509).

  [ Joey Hess ]
  * Add support for media-change in debconf-apt-progress.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Sep 2006 14:44:33 -0400

debconf (1.5.3) unstable; urgency=low

  [ Christian Perrier ]
  * Translations:
    - Updated French debconf translation.
    - Added Dzongkha programs and debconf translation.

  [ Luk Claes ]
  * Translations:
    - New Nepali programs translation (Closes: #373725).
    - Updated Korean debconf translation (Closes: #374152).
    - Updated Estonian debconf translation (Closes: #374324).
    - Updated Italian debconf translation (Closes: #374728).
    - Updated Finnish programs translation.
    - Updated Hungarian programs translation.
    - Updated Hindi debconf translation.
    - New Khmer debconf translation (Closes: #375064).
    - New Khmer programs translation (Closes: #375066).
    - Updated Esperanto debconf translation.
    - Updated Macedonian debconf translation.
    - Updated Catalan debconf translation (Closes: #376139).
    - Updated French manpage translation (Closes: #376186).
    - New Russian manpage translation (Closes: #376748).

  [ Colin Watson ]
  * Use printf rather than echo to send commands to debconf, to avoid
    breaking escaped commands if /bin/sh is dash (closes: #306134).

  [ Joey Hess ]
  * Fix amusing lintian warnings about debconf's own templates not meeting
    best practices for debconf templates.
  * Removed the following template translations which all had broken
    translated choices lists, which triggered lintian warnings and broke
    debhelper: dz ne km
    I can't fix those languages; feel free to re-add your translation
    when it's actually fixed. Removed bug closure numbers above for these
    and contacted translators.
  * Current version of policy.
  * Since lintian is being insanely strict about changelog formats now,
    I had to remove the comment at the end of the stripped down changelog
    that tells where to get the full changelog.
  * No longer a need to call dh_python twice, the new version apparently
    sets things up for both 2.3 and 2.4 with one call.
  * debhelper v5.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Jul 2006 16:45:25 -0400

debconf (1.5.2) unstable; urgency=low

  [ Colin Watson ]
  * Stop the Gnome and Kde frontends from displaying select questions with
    zero or one choices, or multiselect questions with zero choices; this
    was broken due to an error in multiple inheritance (thanks, Gary Coady;
    closes: https://launchpad.net/bugs/42187).

  [ Joey Hess ]
  * debconf-get-selections: Don't skip notes or errors, people may want to
    preseed those.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jun 2006 16:26:20 -0400

debconf (1.5.1) unstable; urgency=low

  [ Colin Watson ]
  * Remove trailing whitespace from some .P requests in man pages, to make
    po4a happier.
  * Strip only trailing newlines from replies in the Python confmodule,
    rather than all leading and trailing whitespace.
  * Retry readline() in the Python confmodule if it's interrupted by a
    signal.
  * Typo fixes in Debconf::Encoding documentation.
  * Add cloexec keyword argument to Python DebconfCommunicator class,
    defaulting to False; if True, the file descriptors connected to
    debconf-communicate will be marked close-on-exec.
  * Avoid needlessly marking cache db items dirty on addowner if the entry
    already had that owner.
  * Add a --no-reload option to dpkg-reconfigure, to allow you to prevent it
    from reloading templates before running confmodules. This may be useful
    for performance if you know that the templates database is already
    correct.
  * Handle escaped commas ("\,") and escaped spaces ("\ ") in Choices and
    Value fields in questions, matching cdebconf. I've grepped the archive
    for backslashes in Choices fields in templates and in db_set and
    db_subst commands and found nothing that this change would break, while
    it lets us use more code from d-i in the installed system.

  [ Joey Hess ]
  * Stop mailing notes since something like 90% of the use of that data type
    is abuse anyway. Error messages will still be mailed if necessary.
  * In the gnome and kde frontends, exit 1 not 0 when cancel is hit.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 May 2006 19:09:58 -0500

debconf (1.5.0) unstable; urgency=low

  [ Colin Watson ]
  * Define UTF-8 as the encoding for all passthrough communication (it was
    previously undefined, causing installer breakage when using non-UTF-8
    locales). Now the passthrough frontend recodes everything to UTF-8 when
    talking to the UI agent, and we recode DATA parameters from UTF-8 to the
    user's charmap. Closes: #355251
  * Note that if you try to exchange non-ASCII text with debconf at the
    moment using anything but the DATA command, you lose unless you know
    that the other end is using the same character encoding as you.
    Retrofitting encoding sanity is hard.
  * Accept -- as an end-of-options terminator in frontend, even though it
    doesn't currently take any arguments. Simplifies a corner case in
    cdebconf compatibility.
  * Notice and error out on write errors (such as ENOSPC) when saving
    databases. Should help with a lot of database corruption bugs.
    Closes: #198297, #247849 (we hope)

  [ Christian Perrier ]
  * Rename the Punjabi translation file name from pa_IN to pa
    to fit a decision taken in -i18n
  * Man pages translations:
    - French updated
    - Complete translator information in addenda

  [ Luk Claes ]
  * Translations:
    - Arabic updated programs (Closes: #357010).
    - Arabic updated debconf (Closes: #360584).
    - Brazilian Portuguese updated debconf (Closes: #357653).
    - Romanian updated programs (Closes: #361152).
    - Romanian updated debconf (Closes: #361157).
    - Indonesian updated programs (Closes: #361185).
  * Fixed typo in French debconf-devel manpage (Closes: #358525).
  * Small correction in German programs translation (Closes: #358804).

  [ Joey Hess ]
  * Finally applied Danilo Piazzalunga's gnome multiselct usability patch,
    which turns it into a list of checkboxes. Closes: #294116
  * Set maintainer to debconf-devel mailing list, this package is noticably
    Colin^Wteam maintained now. Closes: #265570

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Apr 2006 17:54:06 -0400

debconf (1.4.72) unstable; urgency=low

  [ Colin Watson ]
  * Expand substitution variables when replying to localised METAGET
    requests for description, extended_description, or choices.
  * Add support for an 'escape' capability. If a confmodule sets this using
    CAPB, then commands it sends to debconf will be processed for backslash
    escapes (\n is a newline, \ followed by any other character is just that
    character) and debconf's replies will be backslash-escaped similarly.
    This allows such things as embedding newlines in substitutions and
    fetching extended descriptions using METAGET; the use of a capability is
    required because otherwise this would break compatibility with old
    confmodules. Closes: #126753
  * debconf.py: Avoid leaking a file descriptor from DebconfCommunicate.
  * Fix truncation of multi-line return values to handle values over two
    lines long correctly.
  * Add a debconf-escape program and make the confmodules unescape text
    automatically in escape mode. At present we don't escape text
    automatically, but you can use 'debconf-escape -e' yourself if you want
    an easy way to do that.
  * Remove *.pyc and *.pyo on clean.

  [ Luk Claes ]
  * Translations:
    - Hungarian new programs. Closes: #353933

  [ Joey Hess ]
  * Add the same insane kind of fork check for Qt having a working display as
    we already had for GTK, since both libraries are written by monkeys who
    think that having a *library* exit(3) is a good idea if there's not a
    usable display. Sheesh. (On the plus side, the same monkeys have taught
    users to not care if it takes a 9 ghz machine to run a simple dialog, so
    who cares if we have to use expensive forking to work around your brain
    damage.) Closes: #354656, #244972, #246133

  [ Christian Perrier and the French team ]
  * Switch to po4a for man pages translations
  * Complete update of the French manpages translations

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Mar 2006 12:58:20 +0000

debconf (1.4.71) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Brazilian portuguese updated programs. Closes: #352415
    - Bulgarian updated debconf. Closes: #351046
    - Catalan updated programs. Closes: #350966
    - Danish updated programs. Closes: #352238
    - Dutch updated programs. Closes: #351538
    - French updated programs. Closes: #351227, #352485
    - Hungarian updated debconf. Closes: #352271
    - Portuguese updated debconf and programs.
    - Turkish updated debconf and programs.
    - Ukrainian updated debconf and programs. Closes: #350680

  [ Christian Perrier ]
  * Translations:
    - Corrected encoding of Turkish

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Feb 2006 15:11:09 -0500

debconf (1.4.70) unstable; urgency=low

  [ Christian Perrier ]
  * Fix spelling error in French translation

  [ Colin Watson ]
  * Add experimental confmodule support for cdebconf, now that the file
    conflicts between debconf and cdebconf have been removed: set
    DEBCONF_USE_CDEBCONF to have /usr/share/debconf/confmodule try to run
    the cdebconf frontend rather than the debconf frontend. (I expect this
    not to work smoothly yet; for a start, cdebconf won't have a useful
    database!)
  * Only conflict with cdebconf (<< 0.96).

  [ Luk Claes ]
  * Translations:
    - Baskish updated programs.
    - Czech updated programs.
    - Dutch updated debconf.
    - Finnish updated debconf.
    - Galician updated programs.
    - German updated debconf and programs.
    - Greek updated programs.
    - Hebrew updated debconf and programs.
    - Italian updated programs. Closes: #350387
    - Japanese updated programs. Closes: #350251
    - Latvian updated debconf.
    - Lithuanian updated debconf.
    - Norwegian (nb) updated debconf and programs.
    - Polish updated debconf and programs.
    - Punjabi updated debconf.
    - Russian updated programs. Closes: #350159
    - Simplified Chinese updated programs.
    - Slovak updated programs.
    - Slovenian updated debconf.
    - Spanish updated debconf and programs.
    - Swedish updated programs.
    - Tagalog updated programs.
    - Traditional Chinese updated programs.
    - Vietnamese updated debconf and programs. Closes: #350087

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jan 2006 10:16:01 +0000

debconf (1.4.69) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Japanese updated debconf and programs. Closes: #348965
    - Simplified Chinese updated debconf. Closes: #349600

  [ Colin Watson ]
  * Fix shadowing of 'bool' builtin in debconf.py getBoolean() (found by
    pychecker).
  * Add support for templates of type 'error', which are largely treated
    like notes except that they are displayed no matter what the priority
    and even if they've previously been seen. For example, this can be used
    for input validation errors. This is compatible with cdebconf.
  * Fix crash in kde frontend while handling PROGRESS STOP.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jan 2006 09:53:46 +0000

debconf (1.4.68) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Italian updated debconf. Closes: #346114
    - Slovak updated debconf and programs. Closes: #346371
    - Turkish updated debconf. Closes: #347714

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Jan 2006 14:37:34 -0500

debconf (1.4.67) unstable; urgency=low

  [ Christian Perrier ]
  * Translations:
    - Greek updated programs. Closes: #344643
    - Tagalog updated debconf. Closes: #344749
    - Catalan updated debconf and programs. Closes: #344966
    - Czech updated debconf and programs. Closes: #345339

  [ Joey Hess ]
  * debconf.conf(5) typo fix. Closes: #344336

  [ Colin Watson ]
  * Add bash completion file (thanks, Alexandra N. Kossovsky).
    Closes: #301998
  * Fix DebconfCommunicator inheritance.

  [ Luk Claes ]
  * Translations:
    - Catalan updated programs and debconf. Closes: #344966

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Jan 2006 18:42:30 +0000

debconf (1.4.66) unstable; urgency=HIGH

  [ Colin Watson ]
  * DEBCONF_DB_REPLACE causes all databases from the config file to be
    opened read-only, including the templates database, partly because it's
    hard to do otherwise and partly because DEBCONF_DB_REPLACE is used for
    passthrough applications which want to avoid two debconf instances both
    opening the same templates database read-write. Unfortunately this
    breaks if anyone tries to register new templates. As a workaround, stack
    a throwaway pipe database in front of the configured templates database
    if DEBCONF_DB_REPLACE is in use. Closes: #343902

  * Translations:
    - Indonesian updated debconf (Closes: #344512).
    - Greek updated debconf (Closes: #344585).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Dec 2005 10:46:36 +0000

debconf (1.4.65) unstable; urgency=HIGH

  * Remove my progress bar check of the last version since it breaks
    passthrough, especially where the actual progress bar was started by the
    destination frontend.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Dec 2005 03:37:19 -0500

debconf (1.4.64) unstable; urgency=HIGH

  [ Colin Watson ]
  * debconf-apt-progress: Make sure to start up a debconf frontend properly
    (including saving/restoring @ARGV) in all modes except --config, not
    just in the all-in-one mode. Closes: #344159

  [ Joey Hess ]
  * Add a check in the ConfModule to make sure that a progress bar is
    available before trying to use it.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Dec 2005 19:16:14 -0500

debconf (1.4.63) unstable; urgency=low

  [ Colin Watson ]
  * debconf-apt-progress: Allow --from and --to to be used with --start to
    change the endpoints of the created progress bar.
  * Add DebconfCommunicator class to debconf.py to allow speaking the
    debconf protocol over a debconf-communicate subprocess. Useful for
    querying the debconf database noninteractively.

  [ Luk Claes ]
  * Translations:
    - Basque updated programs and updated debconf (Closes: #342093).
    - Russian updated programs translation (Closes: #342771).
    - Russian updated debconf translation (Closes: #342773).
    - Galician updated debconf translation (Closes: #343056).
    - Danish updated debconf translation (Closes: #343431).
    - Swedish updated debconf translation (Closes: #344059).

  [ Joey Hess ]
  * Slightly optimised the postinst script while leaving old transition
    handling code in it by moving old code into blocks with a single check for
    really old versions of debconf.

  [ Christian Perrier ]
  * Add debconf-updatepo to the clean rule as recommended to always have
    up-to-date PO files for debconf translations.
  * Debconf translations:
    - French updated

  [ Joey Hess ]
  * Changes to the Makefile to deal with changed quoting rules for continued
    strings in new version of make.
  * Current standards version.
  * Use commas as separator in the choices list for nb and fa
  * Split build-depends and -indep.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Dec 2005 15:30:31 -0500

debconf (1.4.62) unstable; urgency=low

  [ Colin Watson ]
  * Add debconf-apt-progress, as discussed on debian-boot@, to install
    packages using debconf to display a progress bar. Requires apt 0.6.41.
  * Fix DEBCONF_DB_REPLACE to work properly when given a database name from
    debconf.conf.

  [ Joey Hess ]
  * Remove newline removal code from perl mangling in Makefile.
  * Reword debconf-apt-progress/preparing template since it might be used for
    removals too.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Dec 2005 12:51:54 -0500

debconf (1.4.61) unstable; urgency=low

  * The default debconf priority changes from medium to high in this release.
    This is consistent with the default pririty used already for fresh
    installs by d-i, and with the definitions of debconf priorities -- high
    priority questions have no reasonable default answer so should be
    displayed, while medium priority questions do have a default and can be
    skipped easily.

    Please do not use this change as an excuse to inflate priorities of
    questions!

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Dec 2005 18:07:08 -0500

debconf (1.4.60) unstable; urgency=low

  [ Luk Claes ]
  * Programs translations:
    - Swedish updated. Closes: #338607, #339832.
    - Tagalog updated. Closes: #338611.

  [ Christian Perrier ]
  * Programs translations:
    - French updated.

  [ Joey Hess ]
  * Improve message diplayed if kde frontend cannot start due to missing Qt.
    Closes: #341315

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Dec 2005 16:14:16 -0500

debconf (1.4.59) unstable; urgency=low

  [ Christian Perrier ]
  * Remove the obsolete entries from the Ukrainian translation of
    debconf. Closes: #325413
  * Fix some typos in debconf-devel(7). Closes: #335035

  [ Joey Hess ]
  * Fix variables in man page example. Patch from Jérémy Bobbio.
    Closes: #326134
  * debconf-get-selections: Include a comment with available choices for
    select and multiselect questions.
  * Don't compress demo templates file. Closes: #336477

  [ Colin Watson ]
  * Add progress indicator to dpkg-preconfigure if we're running in apt mode
    and there are more than 30 packages (arbitrarily selected) to
    preconfigure. We'll make more calls to apt-extracttemplates as a result,
    but the progress indicator only ticks once every 30 packages so it
    shouldn't be too bad.
  * Fix typo in debconf-show(1). Closes: #326739
  * Mention in debconf(1) that debconf(7) is in the debconf-doc package.
    Closes: #308888
  * Look at the output of 'lsb_release -is' (falling back to 'debian' if
    /etc/debian_version is present) to figure out which logo to display in
    the Gnome frontend.
  * Install python confmodule for both python2.3 and python2.4 (since
    /usr/lib/site-python doesn't work properly yet).

  [ Luk Claes ]
  * Programs translations:
    - Russian updated. Closes: #332880
    - Swedish updated. Closes: #333811
  * Debconf translations:
    - Romanian updated. Closes: #333199
    - Portuguese updated. Closes: #332934

 -- Colin Watson <cjwatson@debian.org>  Tue,  8 Nov 2005 13:59:30 -0500

debconf (1.4.58) unstable; urgency=low

  [ Joey Hess ]
  * debconf-set-selections: support wrapping of long lines with "\".

  [ Christian Perrier ]
  * Rewrite the debconf/priority short description to have the same
    wording than cdebconf
    Translations merged from cdebconf translations (languages not yet
    supported in debconf added with translations from cdebconf)

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Aug 2005 12:09:51 -0400

debconf (1.4.57) unstable; urgency=low

  * Run puic in LC_ALL to fix build failure in French locale in August.
    Closes: #322122

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Aug 2005 08:22:25 -0400

debconf (1.4.56) unstable; urgency=low

  [ Luk Claes ]
  * Debconf translations:
    - Arabic added (thanks Mohammed Adnène Trojette). Closes: #320762

  [ Colin Watson ]
  * Force dialog progress bars to the full available screen width right from
    the start, to avoid the box flashing as longer info messages are added.
    Matches cdebconf.
  * Fix zero-arg case of passthrough's title method to return the title
    rather than emptying it.
  * The approach used by progress bars of saving the title when a progress
    bar starts and restoring it when it stops doesn't work if somebody sets
    the title when a progress bar is up. Instead, remember the last title
    that was explicitly requested and restore that on progress stop.
  * If DEBCONF_SYSTEMRC is set to a file that exists, use it in preference
    to the system debconf.conf files. Closes: #299216
  * Never send STOP through the passthrough interface. One of the uses for
    passthrough is putting a progress bar in front of base-config's package
    installation, and that previously sent a STOP after every package, which
    shut down the debconf instance running the progress bar. Frontends shut
    themselves down anyway when their input goes away, so the STOP was
    unnecessary.
  * Allow setting the pipe driver's outfd to 'none' to throw the database
    away on shutdown. Helps with #312072.

 -- Colin Watson <cjwatson@debian.org>  Thu,  4 Aug 2005 20:55:12 +0100

debconf (1.4.55) unstable; urgency=low

  [ Joey Hess ]
  * confmodule: avoid using non-XSI local variables; instead use a nasty
    temporary IFS setting hack and _db_local_ namespace. Closes: #242011

  [ Colin Watson ]
  * Fix error message on uninitialised template database.
  * Add DEBCONF_DB_REPLACE environment variable with the same syntax as
    DEBCONF_DB_OVERRIDE and DEBCONF_DB_FALLBACK, which bypasses all the
    normal databases (thus avoiding locking them). Useful for local testing
    or for running two concurrent debconf instances.
  * Start a new, bigger dialog instance when updating a progress bar with
    info text that won't fit into the current instance.
  * Start/restart dialog progress bars at the correct percentage.
  * Fix showdialog return values.

 -- Colin Watson <cjwatson@debian.org>  Tue,  2 Aug 2005 15:04:55 +0100

debconf (1.4.54) unstable; urgency=low

  * Make dialog progress bars interruptible: if a question needs to be asked
    while a progress bar is up, we tear down the progress bar and restore it
    afterwards where we left off. The gnome frontend is still broken in this
    situation, although at least kde and readline work fine.

 -- Colin Watson <cjwatson@debian.org>  Mon,  1 Aug 2005 16:20:20 +0100

debconf (1.4.53) unstable; urgency=low

  [ Luk Claes ]
  * Manpage translations:
    - Updated French confmodule manpage. Closes: #318410

  [ Sylvain Ferriol ]
  * add Test::Debconf::DbDriver::CommonTest::test_shutdown to verify sync of
    data between cache and file on shutdown.
  * add Test::Debconf::DbDriver::CommonTest::test_shutdown to verify sync of
    data between cache and ldap on shutdown.
  * add unit tests to validate debconf_copydb.
  * add Test::CopyDBTest::test_201431. Closes: #201431
  * modify debconf.schema because extendedDescription attribute has an
    inappropriate matching rule => slapd (2.2.23-8) failed
  * set the type of the template in Template::new because if we don't
    use Template::load, it do not appear in template instance
  * call Cache::shutdown in LDAP::shutdown to synchronize data between
    cache and ldap.

  [ Joey Hess ]
  * Add Kamion to the uploaders.
  * debconf-get-selections: Use new d-i logfile path for --installer mode.

  [ Colin Watson ]
  * Fix template -C handling to avoid clobbering $field for later requests
    for the same template.
  * debconf-get-selections: Tolerate both old and new d-i logfile paths.
  * Implement the DATA command, so that debconf can act as a UI agent
    communicating with another instance of debconf running the passthrough
    frontend.
  * Add myself to debian/copyright for progress bar support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Jul 2005 18:19:41 +0100

debconf (1.4.52) unstable; urgency=low

  * Colin Watson:
    - Lower-case the field name passed to METAGET, since the template
      database stores fields that way.
    - If a template name ending in -C is requested (e.g. via METAGET),
      return the untranslated template regardless of the locale.
    - Strip off DOS line endings in debconf-set-selections.
    - Autoflush stdout in debconf-communicate so that stdout can be a pipe.
    - Clean up stray newlines in DEBCONF_DEBUG=developer debconf-communicate
      output.
    - Add read and write keyword arguments to debconf.py:Debconf.__init__(),
      to allow using this module with a debconf-communicate subprocess
      rather than having to re-exec the current process inside a frontend.
  * Debconf translations:
    - Vietnamese added. Closes: #313509
  * Programs translations:
    - Romanian updated. Closes: #303804

 -- Colin Watson <cjwatson@debian.org>  Wed,  6 Jul 2005 13:00:57 +0100

debconf (1.4.51) unstable; urgency=low

  * Colin Watson
    - Fix spelling of "unknown" in copied database items with no owners.
    - Pass SETTITLE straight through the passthrough frontend (with
      accompanying DATA) rather than turning it into TITLE. Closes: #292989
  * Joey Hess
    - Patch from mfz to allow dpkg-reconfigure -fnoninteractive to work
      consistently with DEBIAN_FRONTEND=noninteractive and with common sense,
      by testing for forced_frontend. Closes: #312550
  * Programs translations:
    - French spellchecked

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Jun 2005 23:03:01 -0400

debconf (1.4.50) unstable; urgency=low

  * Colin Watson
    - Generate po/debconf.pot in sorted order by source filename, rather
      than having it be in whatever order find(1) happens to produce.
    - Implement INFO command from cdebconf, to display an out-of-band
      informative message. Closes: #304332
    - Revert stdin/stdout inversion from debconf 1.1.30; that caused the
      dialog child process to read from stdout and write to stdin (which
      miraculously happened to work, at least for terminals). Instead, avoid
      the perl warning from #155682 by restoring stdin first after the open3
      call.
    - Add progress bar support, using the cdebconf PROGRESS protocol. The
      editor and web frontend implementations are stubs.
    - Correct location of standalone template files in debconf-devel(7)
      (should be /usr/share/debconf/templates/progname.templates).
    - Extend passthrough protocol slightly to send SUBST commands for any
      substitution variables that are set for each question.
    - Translate select/multiselect defaults to the current locale when
      sending them to a passthrough UI agent, and translate the value
      returned by the UI agent back to C.
  * Joey Hess
    - debconf man page update. Closes: #309698
  * Christian Perrier
    - Man pages typos corrected. Closes: #309010, #309011, #309013
  * Programs translations
    - Italian updated. Closes: #310288

 -- Colin Watson <cjwatson@debian.org>  Sat, 28 May 2005 21:08:59 +0100

debconf (1.4.49) unstable; urgency=low

  * Debconf translation updates:
    - Italian. Closes: #304908
  * Fix an enxironment variable name in debconf(7). Closes: #305260
  * Document in the debconf-set-selections man page that
    debconf-get-selections is in debconf-utils. Closes: #305262
  * Fix typo in Debconf/Template.pm : s/speerated/separated
    Unfuzzy translations
    Closes: #307165
  * Program translation updates:
    - Italian.
    - French, directly received from l10n team
    - Danish. Closes: #305994
    - Vietnamese. Closes: #307067

 -- Joey Hess <joeyh@debian.org>  Wed,  4 May 2005 19:24:09 -0400

debconf (1.4.48) unstable; urgency=low

  * Joey Hess
    - Apply patch from Denis Barbier to translate --help output. See #167177
    - Make debconf-set-selections not fail if it encounters an unknown
      question type.
    - Overload the type field in preseed files; if it's "seen" then
      instead set the seen flag; this allows for preseeding that only changes
      a default value but still leaves the question unseen.
    - This obsoletes the --unseen flag in debconf-set-selections, but
      I've left it in and working for now since things probably already use
      it.
  * Christian Perrier
    - Man page typo fixs. Closes: #302746, #302749, #302747, #302748, #302752
  * Program translation updates:
    - Slovak. Closes: #302509
    - Spanish. Closes: #302528
    - Traditional Chinese. Closes: #302532
    - Hebrew
    - Brazilian Portuguese. Closes: #302539
    - Japanese. Closes: #302552
    - Dutch. Closes: #302580
    - Ukrainian. Closes: #302595
    - Turkish. Closes: #302596
    - Basque. Closes: #302616
    - Simplified Chinese: Closes: #302636
    - Czech: Closes: #302679
    - Portuguese: Closes: #302691
    - Greek: Closes: #302850
    - Tagalog: Closes: #303172
    - Romanian: Closes: #303804

 -- Christian Perrier <bubulle@debian.org>  Sat,  9 Apr 2005 07:55:27 +0200

debconf (1.4.47) unstable; urgency=low

  * Since python confmodule checks only to see if DEBIAN_HAS_FRONTEND
    exists, dpkg-reconfigure needs to delete it, not unset it. Closes: #302004
  * Translations:
    - Galician updated. Closes: #296470
    - Spanish updated. Closes: #301126

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Mar 2005 12:19:37 -0500

debconf (1.4.46) unstable; urgency=low

  * Translations:
    - Greek updated. Closes: #293912
    - Polish updated. Closes: #295378
    - Traditional Chinese added. Closes: #294892
    - Tagalog updated (programs) and added (debconf). Closes: #296050

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2005 19:39:21 -0500

debconf (1.4.45) unstable; urgency=low

  * Fix bad use of gettext from previous patch. In fact, debug statements are
    not intended to be translated, so revert that part of it. Closes: #293675

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Feb 2005 20:14:08 -0500

debconf (1.4.44) unstable; urgency=low

  * Fix a rogue quotation mark intorduced in the translatable string patch
    in the previous version. Closes: #293666 (and approximatly 2e5 other bugs
    that will be filed before dinstall tomorrow).

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Feb 2005 17:39:04 -0500

debconf (1.4.43) unstable; urgency=low

  * Christian Perrier
    - Mark more strings as translatable. Closes: #225463
  * Colin Watson
    - The passthrough frontend sets the value of visible questions by
      getting the value from the UI agent, but it didn't set the value of
      invisible questions as the confmodule expects it to. It now sets the
      value of invisible questions in the same way as the noninteractive
      frontend.
  * Joey Hess
    - In dpkg-reconfigure man page, note that -a works as --all.
      Closes: #292416
  * Translations:
    - French updated
    - Italian updated. Closes: #291797
    - Simplified Chinese updated. Closes: #291799
    - Dutch updated. Closes: #291805
    - Russian updated. Closes: #291806
    - Czech updated. Closes: #291810
    - Portuguese updated. Closes: #291837
    - Ukrainian updated. Closes: #291861
    - Catalan updated. Closes: #291868
    - Norwegian Nynorsk updated. Closes: #291882
    - Spanish updated. Closes: #291885
    - Hebrew updated. Closes: #291906
    - Japanese updated. Closes: #291924
    - Danish updated. Closes: #291988
    - Finnish updated. Closes: #292051
    - Indonesian updated. Closes: #291948
    - Brazilian Portuguese updated. Closes: #291980
    - Slovak updated. Closes: #291947
    - Swedish updated. Closes: #292036
    - Basque updated.
    - Romanian updated. Closes: #292306
    - Korean updated (but still incomplete)
    - Tagalog added. Closes: #292608
    - Arabic added (from Arabeyes CVS)

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Jan 2005 11:29:10 -0500

debconf (1.4.42) unstable; urgency=low

  * Fix bug in man page example script. Closes: #286335
  * Add --unseen flag to debconf-set-selections. Closes: #286318
  * Fix typo in man page example. Closes: #285099
  * Patch from mdz to improve the passthrough frontend:
    - Use DEBCONF_READFD and DEBCONF_WRITEFD for passthrough communication
      if DEBCONF_PIPE is not set to a socket.
    - Change passthrough protocl for INPUT command so it is the same as in
      the debconf protocol, and pass the type of the question in a "DATA type"
      command.
    - Fix passing of extended descriptions in DATA. Note they're newline
      escaped.
    - Pass choices for multiselect questions.
    - Now usable with cdebconf as the client on the other side of the
      passthrough channel.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2005 19:01:58 -0500

debconf (1.4.41) unstable; urgency=low

  * Translations:
    - Finnish updated (programs). Closes: #280709
    - Romanian added (programs). Closes: #283209

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 17:22:42 -0500

debconf (1.4.40) unstable; urgency=low

  * Joey Hess
    - Force PERL_DL_NONLAZY=1 in confmodule, confmodule.sh, debconf.py, and
      Debconf::Client::ConfModule to avoid bad behavior of the dynamic linker
      when Text::Iconv is loaded but its symbols have not really been
      resolved. This caused debconf to be killed with a relocation error
      in certian upgrades from woody involving packages that use debconf in
      their preinst. Closes: #278417 Thanks to Andrew Suffield and Branden
      Robinson for analysis.
    - Add check in frontend and debug message if PERL_DL_NONLAZY is not set
      to 1 when it's run from a preinst, in case I missed other entry points.
  * Colin Watson
    - Set the seen flag on questions asked in the noninteractive frontend if
      DEBCONF_NONINTERACTIVE_SEEN is set to true. This allows debootstrap to
      behave better (partly fixes #238301).
  * Translations:
    - Indonesian added (programs). Closes: #275981
    - Traditional Chinese renamed from zh_TW.Big5.po to zh_TW.po
      (Christian Perrier)
    - Simplified Chinese added (programs). Closes: #277470
    - Slovak translation added (programs and debconf). Closes: #279299

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 14:20:39 -0500

debconf (1.4.39) unstable; urgency=low

  * Joey Hess
    - Avoid a warning message in DbDriver::Copy that's triggered by d-i
      debconf preseeding. Closes: #275122
  * Translations:
    - Spanish updated (programs). Closes: #274148
    - Hebrew added (both). Closes: #274381
    - Italian added (programs) and updated (debconf). Closes: #274582, #274584
    - Norwegian Nynorsk added (programs). Closes: #275081
    - Polish updated (debconf). Closes: #275815

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:16:57 -0400

debconf (1.4.38) unstable; urgency=low

  * Joey Hess
    - Tightended the versioned conflicts/replaces on debconf-utils in
      debconf-i18n. Closes: #273970
  * Translations:
    - Updated Brazilian Portuguese translation (programs). Closes: #273941

 -- Christian Perrier <bubulle@kheops.frmug.org>  Thu, 30 Sep 2004 11:11:00 +0200

debconf (1.4.37) unstable; urgency=low

  * Translations:
    - Correct errors in Greek translation by Konstantinos Margaritis
    - Italian debconf update. Closes: #272521
    - Czech debconf update. Closes: #273522
    - Russian translation updates. Closes: #272723
    - Dutch translation added. Closes: #272535
    - Portuguese translation added. Closes: #273227
  * Spelling error in "man page" of debconf-show fixed. Closes: #272541

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 22:14:59 -0400

debconf (1.4.36) unstable; urgency=low

  * Joey Hess
    - Used wrong regexp in last version.
  * Translations:
    - Updated French translation (programs and debconf)
      Closes: #242935, #264152, #271373, #255657
    - Updated/added Ukrainian translations (programs and debconf)
      Closes: #270088
    - Polish debconf translation updated
      Closes: #271398
    - Brazilian Portuguese debconf translation checked
      Closes: #271412
    - Correct trivial errors to Russian and Polish translations headers

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 23:09:14 -0400

debconf (1.4.35) unstable; urgency=low

  * Fix debconf-get-selections to not choke on files with comments followed
    by nothing.
  * Allow multiple spaces between all values except the last one in preseed
    files.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 13:30:42 -0400

debconf (1.4.34) unstable; urgency=low

  * Skip questions with no known type also in debconf-get-selections.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 01:25:20 -0400

debconf (1.4.33) unstable; urgency=low

  * Skip title questions in debconf-get-selections along with the notes, text,
    and errors previously skipped.
  * Add titles to the list of known types in debconf-set-selections, just in
    case.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 00:42:50 -0400

debconf (1.4.32) unstable; urgency=low

  * Hack in an --installer parameter in debconf-get-selections so the d-i
    manual can document a sane way to generate d-i preseeding files.
  * Add the question's short description as a comment in
    debconf-get-selections output, and skip notes, text, and errors.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 14:46:03 +0100

debconf (1.4.31) unstable; urgency=low

  * Improve the man page with state machine improvements and better back out
    handling from Bruce Perens.
  * Minor Danish po file update. Closes: #262131
  * Patch from David Schweikert to let dpkg-reconfigure use the noninteractive
    frontend if forced to do so. Closes: #263398
  * Patch from Julien Louis to add translations of debconf-communicate and
    debconf-set-selections to debconf-i18n. Closes: #264140
  * Ran recode latin1..utf-8 debian/changelog. Closes: #214563
  * Add Tukish po file translation from Recai Oktas. Closes: #264713
  * Japanese po file update from kmuto. Closes: #265984

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Aug 2004 23:11:33 +0100

debconf (1.4.30) unstable; urgency=low

  * Fix and update German translation. Thanks, Michael Piefel. Closes: #260572
  * Update Basque templates translation. Thanks, Piarres Beobide Egaña.
    Closes: #260678

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Jul 2004 02:41:35 -0400

debconf (1.4.29) unstable; urgency=low

  * Force two spare lines to be available for select and multiselect lists
    in the dialog frontend. Closes: #255652

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jun 2004 20:16:31 -0400

debconf (1.4.28) unstable; urgency=low

  * Typo fixes in debconf-devel.7. Closes: #253341
  * Put back the PREVIOUS_MODULE stuff, at least console-data "uses" it,
    although it does nothing, is undocumented, etc.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Jun 2004 17:28:25 -0400

debconf (1.4.27) unstable; urgency=low

  * Change the shell confmodule to not construct functions on the fly.
    The new code is smaller, a bit faster, and simpler, but the important
    thing is that it does not clobber $@. The old version messed up $@ if
    parameters contained spaces.
  * Removed the never completed PREVIOUS_MODULE stuff from the shell,
    perl, and python confmodules.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jun 2004 17:14:31 -0400

debconf (1.4.26) unstable; urgency=low

  * Add Basqe translation by Piarres Beobide Egaña. Closes: #247321
  * German translation update. Closes: #251731
  * Catalan translation update. Closes: #251786
  * Remove soi-unsightly trailing blanks in debconf-show output.
    Closes: #252482

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 14:35:50 -0400

debconf (1.4.25) unstable; urgency=low

  * Overload Template object's stringification, so metaget of a question's
    template field returns the name of the template. Closes: #244089

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 17:50:09 -0400

debconf (1.4.24) unstable; urgency=low

  * Patch from Eugeniy Meshcheryako to make the dialog frontend use a
    utf-aware width function when calculating dialog sizes. Closes: #245688

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Apr 2004 15:15:52 -0400

debconf (1.4.22) unstable; urgency=low

  * Update po/ja.po. Closes: #241786
  * Fix frontend capitalisation warning. Closes: #242277
  * Wording tweak in dpkg-reconfigure. Closes: #242917
  * Update po/da.po. Closes: #243202

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Apr 2004 19:01:02 -0500

debconf (1.4.21) unstable; urgency=low

  * Remove old stuff for cvs repo in README. Closes: #241252
  * Improve handling of bad priorities, and documentation. Closes: #241292

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Mar 2004 17:29:43 -0500

debconf (1.4.20) unstable; urgency=low

  * Update Ukrainian po file. Closes: #241044
  * Fix more encoding problems with the gnome frontend introduced by the last
    patch. Closes: #240898
  * In the KDE frontend, don't show the window until there is a question to
    ask. Closes: #239109

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 12:04:56 -0500

debconf (1.4.19) unstable; urgency=low

  * Fix Gnome frontend's display of select and multiselect questions
    and notes to use more of the available space. Closes: #229009
    Thanks to Mark Howard for this patch.
  * Use tooltips to display the help texts for questions in the Gnome
    frontend. Closes: #240299 (Mark Howard). The Help bttons are still
    left in the UI for now.
  * Updated Greek po file from Konstantinos Margaritis. Closes: #240641
  * French po update from Julien Louis. Closes: #240648

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Mar 2004 10:41:16 -0500

debconf (1.4.18) unstable; urgency=low

  * Removed all sigils. Closes: #223020, #182239, #239916

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Mar 2004 22:01:40 -0500

debconf (1.4.17) unstable; urgency=low

  * Added Turkish po file translation from Recai Oktas. Closes: #239141

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Mar 2004 22:29:51 -0500

debconf (1.4.16) unstable; urgency=medium

  * Dialog and whiptail differ in their handling of --nocancel with
    --defaultno. Never use the two options together. Closes: #236943
  * Bump the urgency, this bug can cause bad things to happen and needs to be
    fixed in testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 10:59:28 -0500

debconf (1.4.14) unstable; urgency=low

  * Fix call to to_Unicode in KDE String element. Closes: #236574

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Mar 2004 13:13:00 -0900

debconf (1.4.13) unstable; urgency=low

  * Fix display on non-latin symbols in the KDE frontend. Closes: #235837
    (Thanks, Eugeniy Meshcheryakov)
  * Added Chinese po files. Closes: #235950 (thanks, Carlos Liu)

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Mar 2004 15:36:18 -0500

debconf (1.4.12) unstable; urgency=low

  * Updated French manpages from Julien Louis, includes new
    debconf-{get,set}-selections translations. Closes: #235690

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 12:31:51 -0500

debconf (1.4.11) unstable; urgency=low

  * Updated Spanish templates translation. Closes: #232662
  * Fix dialog frontend's handling of user entering nothing in an inputbox,
    in this case whiptail's output FD is eof, and care must be taken to not
    return undef. Closes: #233618, #226963, #227732

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Feb 2004 20:35:36 -0500

debconf (1.4.10) unstable; urgency=low

  * Use treeview for gnome multiselect lists (kov). Closes: #232090

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Feb 2004 18:33:40 -0500

debconf (1.4.9) unstable; urgency=low

  * Patch from Sylvain Ferriol:
    - allow empty calues in LDAP DbDriver
    - change debconf.schema to support slapd 2.1.x. Closes: #215878
    - adds a test suite for DbDrivers.
    Thanks, Sylvain!
  * Work around perl bug #231619 by unnecessarily using fields in
    DirTree.pm. Closes: #227013
  * Patch from Eugeniy Meshcheryakov to fix display of messages in KOI8
    locales using the GNOME frontend. Closes: #231302
  * Re-introduce debconf-get-selections and debconf-set-selections.
    The former goes in debconf-utils, the latter in debconf so it can be
    used for preseeding during new installs.
  * Patch example in debconf-devle(7) to deal with variables that the admin
    removed from the config file, but when turned back on via a
    dpkg-reconfigure. Thanks, Daniel Kobras.
  * Update Polish translation. Closes: #230869
  * New Ukrainian translation by Eugeniy Meshcheryako. Closes: #230964
  * Update French translation. Closes: #231496
  * Update Dutch translation, sorry that took so long. Closes: #227884

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Feb 2004 22:08:43 -0500

debconf (1.4.8) unstable; urgency=low

  * Remove padding whitespace from the end of lines in select questions
    in the teletype frontend.
  * Explicitly waitpid on dialog in the dialog frontend, to work around
    some kind of perl / linux 2.6 behavior change with plain wait.
    Closes: #228987
  * New Czech translation by Miroslav Kure. Closes: #230600
  * Updated Danish translation. Closes: #230618 (non-templates)

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 23:08:08 -0500

debconf (1.4.7) unstable; urgency=low

  * Fix debian/po/fi.po.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Jan 2004 11:17:33 -0500

debconf (1.4.6) unstable; urgency=low

  * Updated de.po from Leonard Michlmayr.
  * Gustavo Noronha Silva:
    - work around encoding problems when using UTF-8 locales and Gnome
      frontend. Closes: #226896
    - use a scrooled window instead of a vscrollbar so that
      looong texts will fit better.
    - addbutton now accepts mnemonics, good for usability!
  * Fix misc formatting and tab damange.
  * pt_BR update from Gustavo Noronha Silva.
  * Updated debian/po/ja.po from Kenshi Muto. Closes: #227462
  * Updated debian/po/da.po from Morten Brix Pedersen. Closes: #227617

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jan 2004 11:05:55 -0500

debconf (1.4.5) unstable; urgency=low

  * Updated Finnish translation. Closes: #226900

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jan 2004 11:36:52 -0500

debconf (1.4.4) unstable; urgency=low

  * Add a Greek translation by Konstantinos Margaritis. Closes: #226834
  * Updated the French translation. Closes: #226226

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Jan 2004 20:02:02 -0500

debconf (1.4.3) unstable; urgency=low

  * Port of the gnome frontend to GNOME2 libs:
  * Debconf/Frontend/Gnome.pm, Debconf/Element/Gnome.pm,
    Debconf/Element/Gnome/*.pm:
    - fixed debian logo exibition
  * Makefile, debian-logo.png, debian-logo.xpm:
    - use a png instead of a xpm to have a cuter interface =P
  * Above changes from Gustavo Noronha Silva. Closes: #225503
  * Fix broken fallback from noninteractive frontend in dpkg-reconfgure.
    Closes: #226205

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jan 2004 21:49:21 -0500

debconf (1.4.2) unstable; urgency=low

  * Deal better with hostname -f during debootstrap.

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Dec 2003 15:36:48 -0500

debconf (1.4.1) unstable; urgency=low

  * Patch from Denis Barbier to fix return values from select and multiselect
    in the KDE frontend to take localisation into account. Closes: #225504

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Dec 2003 10:16:38 -0500

debconf (1.4.0) unstable; urgency=low

  * Add an exerimental KDE frontend, contributed by Peter Rockai.
    Closes: #224040
  * Generate Debconf/FrontEnd/Kde/WizardUi.pm in Makefile using puic,
    so build-depend on libqt-perl.
  * Added basic pod docs for the Kde frontend, though it could stand
    improvements.
  * Fix code formatting to match the rest of debconf.
  * Use frontend debug facility instead of developer.
  * Remove some dead code and useless init methods that just call super.
  * Split modules into their own files where appropriate; better handling
    of libqt-perl less systems with Kde frontend selected.
  * Suggest libqt-perl.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Dec 2003 19:03:46 -0500

debconf (1.3.22) unstable; urgency=medium

  * When the teletype frontend is processing the answer to a boolean
    question, accept English answers even if the locale is set to some other
    language, as the question may not yet be translated. Closes: #220472
  * Remove cruft that acted as if "" was a default value in Teletpye Boolean.
    Closes: #210671
  * debconf-copydb, DbDriver/Copy: deal better with input dbs that have no
    Owners fields, such as cdebconf templates dbs. Assume that the owner is
    "unknown" in this case.
  * Add support for the SETTITLE command to better handle translated titles.
    Closes: #172218, #213184
  * Drop ucfirst of package name in default title.
  * Make Debian::DebConf::Client::ConfModule deprecation warning go to stderr,
    not log.
  * Conflict with versions of whiptail before --default-item was added.
  * Use --default-item in dialog frontend, instead of the nasty menu
    reordering. Yay!
  * Move debconf-communicate from debconf-utils to debconf, it is needed by
    base-config 2.0.
  * Urgency medium to help the new base-config get into testing quickly.
  * Dialog frontend set values to "" or defaults when the user hit cancel or
    escape and capb backup was not enabled. Instead, in this case do not
    change any values.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Nov 2003 13:05:22 -0500

debconf (1.3.21) unstable; urgency=low

  * Fix multiselect elements in non-C locales. Closes: #221410
    Thanks to Kenshi Muto and Akira TAGOH for the debugging.
  * Numerous typo and consistency fixes in man pages by Yann Dirson.
    Closes: #221670

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Nov 2003 12:49:43 -0500

debconf (1.3.20) unstable; urgency=low

  * The locations of debconf-get-selectons and debconf-set-selections are
    swapped. The former should move to debconf, while the latter moves to
    debconf-utils. Since dpkg is broken and doesn't allow me to move them
    at all, I have removed both of them from the binary packages for now.
    Closes: #218648, #218698, #218712, #218661, #218685, #218683, #218658
    Closes: #218667, #218646, #218676, #218644 (Well, I hope that's all!)

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Nov 2003 10:42:52 -0500

debconf (1.3.19) unstable; urgency=low

  * Added debconf-get-selections and debconf-set-selections, based
    loosely on work by Petter Reinholdtsen. Closes: #214617

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Oct 2003 17:12:10 -0500

debconf (1.3.18) unstable; urgency=low

  * Various man page fixes (Closes: #217170).
  * Add translated debconf-devel.fr.7, and update Debconf::Client::ConfModule
    and debconf translations. All from Julien Louis. Closes: #217536

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Oct 2003 11:52:13 -0400

debconf (1.3.17) unstable; urgency=low

  * Sort list of owners in Question.pm before returning it. The changes to
    hash randomization in perl 5.8.1 made the order random otherwise, which
    breaks owners = choices style comparisons. It was also possible before
    that if a db was moved to a different dbdriver backend, the order would
    change. Closes: #217088

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Oct 2003 18:14:18 -0400

debconf (1.3.16) unstable; urgency=low

  * Patch from Fabian Franz to add support for Xdialog to the dialog
    frontend, removing the old gdialog cruft.
  * Fix some indentation from Xdialog patch.
  * Set selectspacer for Xdialog.
  * Remove undocumented DEBCONF_FORCE_GDIALOG variable, add
    DEBCONF_FORCE_XDIALOG.
  * Document DEBCONF_FORCE_XDIALOG.
  * Patch from Denis Barbier to fix handling of locales containing a @.
    Closes: #215345
  * Danish update Morten Brix Pedersen. Closes: #216531

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Oct 2003 12:56:38 -0400

debconf (1.3.15) unstable; urgency=low

  * Spanish update. Closes: #212401
  * Russian update. Closes: #214364

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Oct 2003 20:01:00 -0400

debconf (1.3.14) unstable; urgency=low

  * Move from build-depends-indep to build-depends, to match current policy.
  * Updated Japanese template po file from Kenshi Muto. Closes: #210374
  * Removed the outdated debconf tutorial which was aimed at converting
    pre-debconf packages to debconf. Use debconf-devel(7) for all your debconf
    development needs.
  * Got rid of all the xml stuff, trimmed build deps down.
  * Lots of other doc reference updates.
  * Removed the pre 0.9 downgrade warning from prerm.
  * Removed the debconf.cfg removal code from postinst.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Sep 2003 17:18:16 -0400

debconf (1.3.13) unstable; urgency=low

  * pt_BR template po update. Closes: # 207963
  * French po file update. Closes: #208365

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Sep 2003 10:24:53 -0400

debconf (1.3.12) unstable; urgency=low

  * Update Spanish templates. Closes: #206803
  * Fix name of dpkg-preconfigure in its help output. Closes: #206892

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Aug 2003 14:48:21 -0400

debconf (1.3.11) unstable; urgency=low

  * Removed the showold question, and all showold support except what's
    necessary for dpkg-reconfigure. Closes: #129666, #184142

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Aug 2003 19:28:56 -0400

debconf (1.3.10) unstable; urgency=low

  * Dutch templates po file translaton. Closes: #204916

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Aug 2003 15:47:43 -0400

debconf (1.3.9) unstable; urgency=low

  * French man page updates from Julien Louis. Closes: #204745
  * Move dh_python to python2.3 module directory. Closes: #206165

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Aug 2003 17:15:25 -0400

debconf (1.3.8) unstable; urgency=low

  * Make the LDAP driver not crash debconf if it is not Required and it fails
    to connect. Closes: #203780
  * Added perl to Suggests line since perl and/or perl-modules are
    needed by eg, the readline frontend. Also added note to man page.
    Closes: #203766

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Aug 2003 18:12:29 -0400

debconf (1.3.7) unstable; urgency=low

  * Updated French translaton by Christian Perrier. Closes: #203101
  * debconf-i18n conflicts/replaces older debconf-utils, which used to have
    the translated copydb manpages. Closes: #203619

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Jul 2003 11:38:25 -0400

debconf (1.3.6) unstable; urgency=low

  * Fixed a typo.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jul 2003 12:58:54 -0400

debconf (1.3.5) unstable; urgency=low

  * Improved wording of error message while parsing config file.
    Closes: #184991
  * debconf-copydb: Include --owner-pattern option in the synopsis and usage.
    Closes: #201680

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jul 2003 12:58:02 -0400

debconf (1.3.4) unstable; urgency=low

  * readline and teletype frontends do not display default in brackets,
    and do not special case empty string as the default. It's more important
    that the user be able to enter an empty string reliably. Default values
    are still provided if Term::Readline::Gnu is installed. Closes: #183970

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jul 2003 22:03:19 +0200

debconf (1.3.3) unstable; urgency=low

  * FORCE_DIALOG is now renamed to DEBCONF_FORCE_DIALOG, and documented.
    Also, it now simply sets the preference; if dialog is not installed
    debconf will use whiptail with this variable set.

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Jul 2003 12:16:09 +0200

debconf (1.3.2) unstable; urgency=low

  * The "free meals all week" release.
  * Do the debconf-utils doc dir transition in its postinst, not preinst.
    Closes: #201018, #201024, #201019, #201018, #201017

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Jul 2003 10:18:35 +0200

debconf (1.3.1) unstable; urgency=low

  * The "Amaya says I can't eat until I fix a RC bug" release.
  * Updated ja.po. Closes: #200764
  * Fix debconf-utils preinst to not try to remove the old directory on a
    fresh install. Closes: #200941
  * debconf-i18n needs to Replaces debconf, as it takes over files from the
    old version.
  * First DebConf^3 upload.

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jul 2003 15:12:03 +0200

debconf (1.3.0) unstable; urgency=low

  * Debconf will now use Tomohiro KUBOTA's Text::WrapI18N module for line
    folding, thus supporting proper display of:
     - multibyte encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5,
     - combining characters and fullwidth characters which occupy zero
       and two columns on screen, and
     - languages which don't use whitespace between words (Chinese and
       Japanese) and mixture of such languages and other languages.
  * Debconf also makes use of Tomohiro's Text::CharWidth module for character
    counting.
  * Known bugs:
    - Line-folding of prompt line in readline frontend is not aware of
      multibyte encodings nor combining/fullwidth characters (Bug#195678).
    - For dialog frontend, "dialog" package should not be used because
      it doesn't yet support multibyte encodings nor combining/fullwidth
      characters (Bug#195674). (Dickey is working on it.)
  * The above is made possible thanks to the work of Tomohiro KUBOTA
    <kubota@debian.org>.
  * Extended Deconf::Encoding module to provide wrap, $cols, and width.
    It loads Tomohiro's modules if available, and falls back Text::Wrap and
    length if not.
  * Reorganized the i18n support, so all necessary packages are installed by
    default (Closes: #196475, #173647), and so it can easily be removed
    (saving 500k) for those who don't need it and lack disk space.
    Introduced debconf-i18n and debconf-english packages.
  * Link debconf-utils doc dir to debconf's, since it depends on it anyway.
    With transition preinst script. Saves 60k.
  * debconf-english and debconf-i18n are linked also.
  * debconf-show: Act on all packages named on command line. Closes: #198036
  * debconf.fr.7 update. Closes: #198096
  * debian/po/fr.po update
  * SCHEIDLER Balazs <bazsi@balabit.hu> provided a patch to make the
    passthrough frontend skip hidden elements. Closes: #198503

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Jul 2003 12:53:20 -0400

debconf (1.2.42) unstable; urgency=low

  * Make the conflict with whiptail-utf8 versioned (to the last version
    before it was removed) since whiptail provides it. Closes: #197863

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Jun 2003 12:01:37 -0400

debconf (1.2.41) unstable; urgency=low

  * Follow up with a Spanish template update, also from Carlos.
    Closes: #196786

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Jun 2003 20:03:28 -0400

debconf (1.2.40) unstable; urgency=low

  * Spanish translation update from Carlos Valdivia Yagüe. Closes: #196672

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Jun 2003 12:44:13 -0400

debconf (1.2.39) unstable; urgency=low

  * Conflict with whiptail-utf8 until it gets --output-fd support.
    Closes: #195818

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jun 2003 11:35:38 -0400

debconf (1.2.38) unstable; urgency=low

  * Conflict with whiptail versions before 0.51.4-7, which adds --output-fd
    support.
  * Turn on output-fd support for whiptail.
  * Wrap priority question better on narrow terminals. Closes: #195485
  * Make Net::LDAP use LDAPv3 since that's the default provided by slapd
    now. Closes: #195673

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Jun 2003 13:31:15 -0400

debconf (1.2.37) unstable; urgency=low

  * Conflict with dialogs older than 0.9b-20020814-1, which added --output-fd.
  * Add support to dialog frontend for using the --output-fd switch when using
    dialog, to separate error messages and output. Closes: #194331
    However, whiptail does not yet implement --output-fd, so you can still
    screw your system up using whiptail and a bad TERM setting. This is
    whiptail bug #55182.
  * Updated Japanese translation. Closes: #193747
  * Updated French translation. Closes: #194525

 -- Joey Hess <joeyh@debian.org>  Wed, 28 May 2003 11:50:49 -0400

debconf (1.2.36) unstable; urgency=low

  * 822 formatter: Support values beginning with whitepace. (See #189026)

 -- Joey Hess <joeyh@debian.org>  Mon,  5 May 2003 15:51:32 -0400

debconf (1.2.35) unstable; urgency=low

  * Several French translation updates from Julien Louis. Closes: #189448

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Apr 2003 12:43:38 -0400

debconf (1.2.34) unstable; urgency=low

  * Don't need PATH munging for dh_installdebconf since po-debconf is used
    now. Closes: #185913

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Mar 2003 21:07:00 -0800

debconf (1.2.33) unstable; urgency=low

  * Updated pt_BR template po file again. Closes: #184950
  * typo, Closes: #185587

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Mar 2003 09:21:34 -0800

debconf (1.2.32) unstable; urgency=low

  * Updated pt_BR template po file. Closes: #183301
  * Complete de and da translations downloaded from DDTP.
    (NB, some have trailing whitespace fuzzyness issues.)
  * debconf-mergetemplates: Split field and lang non-greedily on field,
    to properly split eg, fr.iso-8859-1. Patch from Dennis.
  * Patch from Roderich Schupp:
    - PackageDir needs to manually remove files on shutdown, calling
      inherited remove method fails as the items are not in the cache
      anymore. This only shows up if using PackageDir for both config and
      templates.
    - Fix typo in Directory::remove which kept it from removing "-old"
      backup files.
    - Make PackageDir::shutdown Call endfile on format.
    Closes: #182725

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Mar 2003 16:46:54 -0500

debconf (1.2.31) unstable; urgency=low

  * Use ! not ^ in confmodule character class. Closes: #183032

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Mar 2003 12:32:23 -0500

debconf (1.2.30) unstable; urgency=low

  * Now provides the debconf-2.0 virtual package. Note that 2.0 is the debconf
    protocol version, not the package version. Packages that depend on debconf
    should begin to migrate over to the new virtual package, as it will
    eventually let cdebconf be used as an alternate.
    (However, I will wait for this to get into testing before changing
    dh_installdebconf's generated dependencies, to avoid blocking too much
    from testing.)
  * No longer provides debconf-tiny.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2003 22:06:18 -0500

debconf (1.2.29) unstable; urgency=low

  * confmodule: split on only one whitespace. Closes: #182287

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Feb 2003 11:40:20 -0500

debconf (1.2.28) unstable; urgency=low

  * Update for debconf-show.fr.1 and confmodule.fr.3.
  * debconf-getlang and debconf-mergetemplate now print deprecation warnings.
  * Set $Text::Wrap::break = qr/\n|\s(?=\S)/ Closes: #159653

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Feb 2003 14:23:16 -0500

debconf (1.2.27) unstable; urgency=low

  * Debugf message when skipping 1 or 0 select select question.
    Closes: #181620

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Feb 2003 15:28:57 -0500

debconf (1.2.26) unstable; urgency=low

  * With a name like POSIX_ME_HARDER, what do you expect? Turned it off in
    dialog frontend. Closes: #178746

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Feb 2003 12:23:56 -0500

debconf (1.2.25) unstable; urgency=low

  * To find .debconfrc, look up the home directory of the current user with
    getpwuid, instead of trusting $HOME, which is untrustworthy thanks to
    programs like sudo. Closes: #181288
  * Sylvain Ferriol enhanced debconf-show so it can list debconf databases,
    owners of questions, and so it can be limited to list only owners or
    questions in a given database.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Feb 2003 18:20:17 -0500

debconf (1.2.24) unstable; urgency=low

  * French man page updates from Julien Louis.
  * Updated Russian po files from Serge Winitzki. Closes: #180891
    (corrected po/ru.po broken quote and added missing \n)

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Feb 2003 12:29:11 -0500

debconf (1.2.23) unstable; urgency=low

  * LDAP DbDriver: If bind to server fails, throw an error (that can be
    downgraded to a warning by making the DbDriver non-required), instead of
    calling a method of an undefined value. Closes: #175989
  * Applied Denis Barbier's LANGUAGE env variable support patch.
    Closes: #172704

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Feb 2003 22:15:14 -0500

debconf (1.2.22) unstable; urgency=low

  * Updated pt_BR.po from Andre Luis Lopes, Closes: #177224

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jan 2003 23:49:51 -0500

debconf (1.2.21) unstable; urgency=low

  * debconf-copydb: Fixed -c parsing for passwords with colons in them, etc.
    Closes: #173796

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Dec 2002 21:33:41 -0500

debconf (1.2.20) unstable; urgency=low

  * Build-depend on python for dh_python. Closes: #172839

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Dec 2002 22:30:59 -0500

debconf (1.2.19) unstable; urgency=low

  * Added --default-priority to dpkg-reconfigure.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Dec 2002 12:28:33 -0500

debconf (1.2.18) unstable; urgency=low

  * Added a python binding for debconf written by moshez. If you use it, you
    must take care of making your package depend on python; debconf itself
    does not. It only works with python 2.2.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Dec 2002 12:13:35 -0500

debconf (1.2.17) unstable; urgency=low

  * Updated da.po. Closes: #171890
  * Force unset POSIXLY_CORRECT in dialog frontend; whiptail cannot use
    sleect list params after -- (the only truely safe way to pass them) if
    this variable is set. Closes: #170646
  * Fixed a typo in debconf-devel man page. Closes: #172152

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Dec 2002 16:01:43 -0500

debconf (1.2.16) unstable; urgency=low

  * Mention text data-type in deconf-devel(7). #168761
  * Updated French man pages.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Nov 2002 11:05:53 -0500

debconf (1.2.15) unstable; urgency=low

  * Fixed up templates and po/output. Closes: #167600
  * Patch from Roderich Schupp fixes double lock issue with PackageDir
    DbDriver.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Nov 2002 12:11:25 -0500

debconf (1.2.14) unstable; urgency=low

  * Reworded debconf/priority template. Closes: #60541
  * Updated zh_TW.Big5.po.

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Oct 2002 13:27:08 -0500

debconf (1.2.13) unstable; urgency=low

  * Fix debconf/helper confusion in debconf-devel(7). Closes: #166585
  * Don't let readline frontend be used with Term::ReadLine::GNU and emacs
    shell buffers, as those two don't get along. See bug #166987

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Oct 2002 20:49:53 -0500

debconf (1.2.12) unstable; urgency=low

  * Include topmost 100 changelog entries now in the hope that I will rarely
    release debconf 100 times between entries into testing. I'm still leery of
    bloating the base system with 50k of ancient changelog. Closes: #165399
  * Added debconf.conf.fr.5.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Oct 2002 23:44:05 -0400

debconf (1.2.11) unstable; urgency=low

  * Ongoing French manpage translations.
  * Italian template update. Closes: #164807

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Oct 2002 20:24:19 -0400

debconf (1.2.10) unstable; urgency=low

  * Added DEBCONF_SYSTEMRC environment variable, which reportbug can set to
    make it ignore ~/.debconfrc when gathering debconf information.

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Oct 2002 14:39:58 -0400

debconf (1.2.9) unstable; urgency=low

  * dpkg-reconfigure: run prerm script. Should be safe.
  * Doc update Closes: #162978
  * Use po-debconf for debconf package's own template translations.
  * debconf-getlang and debconf-mergetemplate are deprecated in favour of
    po-debconf.
  * Added docs to debconf-devel(7) about using po-debconf.
  * Remove old translation section from tutorual.
  * Remove bts-script.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Oct 2002 19:33:30 -0400

debconf (1.2.8) unstable; urgency=low

  * Updated ja.po. Closes: #162268
  * Updated ca.po.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Sep 2002 20:12:09 -0400

debconf (1.2.7) unstable; urgency=low

  * Fixed name of french debconf-getlang(1) translation file so it will be
    put into the binary package. Closes: #161879
  * Similar for debconf-copydb and debconf.1. Closes: #161878

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Sep 2002 22:35:05 -0400

debconf (1.2.6) unstable; urgency=low

  * Turn on binmode on output to avoid encoding re-conversion.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Sep 2002 12:17:16 -0400

debconf (1.2.5) unstable; urgency=low

  * Experiment in signing a deb for the archive failed: apt-ftparchive and all
    apt deb parsing are horribly screwed.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Sep 2002 19:39:09 -0400

debconf (1.2.3) unstable; urgency=low

  * Typo, Closes: #161518
  * dpkg-reconfigure: Don't imply that a package is broken if it is not
    installed. Closes: #161528

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Sep 2002 18:38:24 -0400

debconf (1.2.2) unstable; urgency=low

  * Removed fileutils dep. Debconf's postinst has changed a lot and it is not
    needed. Closes: #161421

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Sep 2002 22:12:41 -0400

debconf (1.2.1) unstable; urgency=low

  * Hmm, I wasn't aware that perl ran use's inside eval {} blocks at compile
    time. Use quotes instead. Closes: #161308, #161273
  * Updated ja.po from Junichi Uekawa.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Sep 2002 11:26:08 -0400

debconf (1.2.0) unstable; urgency=low

  * Added support for encoding specification in translated templates. Use
    field names of the form "Field-ll_LL.charset". Example:
    Description-de_DE.UTF-8
  * The reccommended encoding of all debconf templates files is UTF-8.
    Whenever it is possible, do not use other encodings. The possibility to
    support non-UTF-8 encodings is provided just in case.
  * Prefer a field matching the user's charset and language. If one is
    not found, look for one matching the user's language, and use iconv to
    convert to their charset.
  * Suggest libtext-iconv-perl, without which the above will not work.
  * This is all experimental, untested, and undocumented.
  * Closes: #148490

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Sep 2002 14:22:02 -0400

debconf (1.1.33) unstable; urgency=low

  * Add question when loading a template if the question is gone and the
    template still claims to own it. This should never happen unless you
    have a disk crash or bad kernel hang when using debconf, but enough
    people experience it to waste too much of my time. This is more robust.
    Closes: #151406, #160960
  * Update fr.po
  * Fixed typos in debconf.conf.
  * fix_db.pl: Loop only 10 times. Closes: #153775

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Sep 2002 14:03:47 -0400

debconf (1.1.32) unstable; urgency=low

  * Added back Polish template translation. Closes: #160183
  * Fixed bad use of gettext in gnome hostname thing. Closes: #160209
  * Updated Polish po file. Closes: #160210

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Sep 2002 12:36:08 -0400

debconf (1.1.31) unstable; urgency=low

  * Fixed undefined sigil problem with [More] prompt.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Sep 2002 13:02:21 -0400

debconf (1.1.30) unstable; urgency=low

  * Fixed stdin/stdout inversion in call to open3 in dialog frontend.
    Closes: #155682

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Sep 2002 20:05:31 -0400

debconf (1.1.29) unstable; urgency=low

  * Allow stacked dbdrivers with readonly databases on top.
  * Patch from Michel Dänzer to put the hostname in the gnome window title.
    Closes: #141235

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Sep 2002 12:24:55 -0400

debconf (1.1.28) unstable; urgency=low

  * Man page type fixes and translations from Philippe Batailler
    and Julien Louis.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Aug 2002 00:49:11 -0400

debconf (1.1.27) unstable; urgency=low

  * Minor templates fixes by Denis Barbier. Closes: #158189

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 17:16:53 -0400

debconf (1.1.26) unstable; urgency=low

  * Typo, Closes: #157885

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Aug 2002 21:35:59 -0400

debconf (1.1.25) unstable; urgency=low

  * Added several translated French man pages from Julien Louis.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Aug 2002 00:41:34 -0400

debconf (1.1.24) unstable; urgency=low

  * Be forgiving of leading/trailing whitespace in lines of debconf.conf.
    Closes: #157010

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Aug 2002 10:59:00 -0400

debconf (1.1.23) unstable; urgency=low

  * Typos. Closes: #155547, #155572
  * debconf-devel(7) example conffile premision preservation pathch
    Closes: #157134

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Aug 2002 01:55:46 -0400

debconf (1.1.22) unstable; urgency=low

  * Added DEBCONF_DB_OVERRIDE and DEBCONF_DB_FALLBACK environment variables
    that are very useful for feeding databases to remote hosts for unattended
    ad-hoc mass upgrades. Based on a patch by Sam Vilain.

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Aug 2002 20:49:36 -0400

debconf (1.1.21) unstable; urgency=low

  * Deal better with empty or soly-comments config files.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jul 2002 18:22:12 -0400

debconf (1.1.20) unstable; urgency=low

  * Corrected references to /usr/doc in man page. Closes: #154571

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 10:44:16 -0400

debconf (1.1.19) unstable; urgency=low

  * Patch from "Devin Carraway" <debbug-debconf-20020724@nospam.devin.com>
    to debconf-mergetemplate outputs what part is fuzzy. Closes: #154109
  * Used said output to quickly fix up debconf's two fuzzy template items.
    Very nice!
  * Allow regular user to run dpkg-reconfigure --help. Closes: #153916

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jul 2002 23:08:51 -0400

debconf (1.1.18) unstable; urgency=low

  * Don't override default die; that makes catching dialog frontend failure
    to run in an eval when TERM is unset fail.
  * Detect multiline protocol errors and warn, and work around.
  * Updated debconf.conf.5 pt_BR translation.
  * Make dialog frontend refuse to run with TERM=unknown. Closes: #153122

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Jul 2002 22:04:08 -0400

debconf (1.1.17) unstable; urgency=low

  * Fixed bug in PackageDir exists when called on nonexistant items that
    were part of an existing package.
  * Directory DbDriver is pure virtual now; I had to move exists and iterator
    out of it, and it is fairly useless by itself.
  * Seems that LDAP has no end of quoting problems, and Dagfinn Ilmari
    Mannsåker sent in a patch to update more of them (changes the schema again
    amoung other things). Closes: #152477
  * Stop leaking priority fields into the config database.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2002 00:38:55 -0400

debconf (1.1.16) unstable; urgency=low

  * Fixed up iterator for PackageDir DbDriver. PackageDir still has problems
    with a few edge conditions.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Jul 2002 20:58:45 -0400

debconf (1.1.15) unstable; urgency=low

  * The "no, DebConf 2 is over there" release.
  * Added a new dbdriver called "PackageDir" that stores items for each package
    in separate files (shared items go in their own file) in a subdirectory.
    This is a tradeoff between the load speed of DirTree and the
    manageability and smaller size of the flat file that has been the default
    so far. Locality of reference is reasonable when debconf is used on a
    per-package basis, as in debian. This dbdriver is planned to superceed
    File as the default once it's gotten some testing.

    If you want to test this, edit your debconf.conf to define new databases
    of this type into it, use debconf-copydb to copy your existing databases
    into the new ones, and then make the new ones be used by default.

  * Applied a patch from ilmari@ping.uio.no (Dagfinn Ilmari Mannsåker) to the
    LDAP dbdriver to change fields to IA5 text, skipping empty fields.
    Closes: #139779
  * Made more vocal about use of capitalized frontend names, which are
    deprecated. Fixed the couple of places in the debconf tree that still used
    the old style.
  * Note that debconf.conf(5) pt_BR translation is outdated.
  * Make Directory (and not just DirTree) dbdriver refuse to accept
    names with .. in them.
  * Added support for backup files to Directory, and thus to DirTree as well,
    and defaulted it to on.
  * Modified cache load methods to call a cacheadd method to add items back
    to cache; this allows a load method to actually load up related items when
    asked for one item.
  * Doc updates.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Jul 2002 22:18:33 -0400

debconf (1.1.14) unstable; urgency=low

  * moved debconf.8 and debconf-devel.8 to section 7, and updated all
    references. Closes: #150594

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jun 2002 20:09:07 -0400

debconf (1.1.13) unstable; urgency=low

  * Redesigned sigil classes a trifle, and added sigils to dialog frontend.
    Using the boring punctuation ones by default there.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jun 2002 18:41:53 -0400

debconf (1.1.12) unstable; urgency=low

  * Added priority sigils to the readline frontend. If you don't like the
    smileys, put Smileys: false in debconf.conf. To disable sigils entirely,
    use Sigils: false. I will implement smiley customization for $25. (Ads
    in a changlog -- you saw it here first :-P)

    Besides looking cute, the intent here is to make it obvious what priority
    a question is being asked at, to help combat priority inflation. Varying
    types of sigils will be added to the other frontends as well.
  * Made the examples in debconf.conf have some acuaintance with reality.
    Closes: #150078
  * A patch from Sam Vilain <sam@vilain.net> to debconf.8 documents ways of
    using debconf in clusters and large installations. Closes: #150206, I
    guess.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Jun 2002 13:23:20 -0400

debconf (1.1.11) unstable; urgency=low

  * Fixed warnings if a question was displayed, then unregistered, then
    debconf tries to set its seen flag. Triggered by packages that ask a
    question and then purge in their postrm.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Jun 2002 12:17:58 -0400

debconf (1.1.10) unstable; urgency=low

  * Fixed nasty uninitalized values from DirTree driver.

 -- Joey Hess <joeyh@debian.org>  Wed, 29 May 2002 12:27:58 -0400

debconf (1.1.9) unstable; urgency=low

  * French po update from Martin Quinson <Martin.Quinson@tuxfamily.org>.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 May 2002 10:20:27 -0400

debconf (1.1.8) unstable; urgency=low

  * Have Debconf::Log override die and print a stack trace.
  * Denis Barbier sent in a nice patch to clean up gettext strings. Thanks!

 -- Joey Hess <joeyh@debian.org>  Thu, 23 May 2002 22:18:13 -0400

debconf (1.1.7) unstable; urgency=low

  * dpkg-reconfigure now sets DEBCONF_RECONFIGURE=1 before running postinst
    scripts. A postinst with an expensive operation to avoid at
    reconfiguration time can look at this. This is a hack and we will
    eventually transition to passing "reconfigure" to postinst scripts;
    postinst scripts that use debconf are encouraged to begin accepting such a
    parameter already.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 May 2002 14:27:32 -0400

debconf (1.1.6) unstable; urgency=low

  * Fixed transition_db.pl to pass the new extra type argiments to
    Question->new and Template->new. Thanks to the help of Pre and Cliph on
    irc. Closes: #147932
  * Don't run all the db mangling code in the whole postinst on fresh
    installs.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 May 2002 12:53:57 -0400

debconf (1.1.5) unstable; urgency=low

  * Fixed something to do with propigation of template types through database
    stack driver into accept method when setting up a brand-new template with;
    clearly broken at version 1.1.0. Looks like I recoded it properly but forgot
    to delete the old code. Closes: #147576, #147684, #147620

 -- Joey Hess <joeyh@debian.org>  Wed, 22 May 2002 02:28:48 -0400

debconf (1.1.4) unstable; urgency=low

  * Tighthened up the version number in the dbeconf-utils conflicts.
    Closes: #147490

 -- Joey Hess <joeyh@debian.org>  Sun, 19 May 2002 22:12:38 -0400

debconf (1.1.3) unstable; urgency=low

  * Push 1.1 branch into unstable from experimental.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 May 2002 21:06:29 -0400

debconf (1.1.2) experimental; urgency=low

  * Really fixed apt.conf.d file.

 -- Joey Hess <joeyh@debian.org>  Thu,  2 May 2002 21:03:07 -0400

debconf (1.1.1) experimental; urgency=low

  * debconf-mergetemplate will now only drop old templates if it is passed
    a --drop-old-templates parameter. The old waqy broke base-config's build,
    and might break anytime someone calls the program by hand in a weird way.
    I will turn this parameter on in dh_installdebconf though.
    Closes: #145436
  * Updated french po file.
  * Tomohiro KUBOTA <tkubota@riken.go.jp> sent in a new Japanese templates
    file.
  * Fixed apt.conf.d file.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Apr 2002 17:24:29 -0400

debconf (1.1.0) experimental; urgency=low

  * NOT targeted at woody.
  * debconf-mergetemplate now drops out of date translations by default.
    The --outdated flag allows for the old behavior of keeping them.
    Closes: #131173
  * Added a "debconf" program, which runs a given program inside debconf
    without all the nasty hackiness that auto-debconf invocation entails.
    The future hope is that dpkg becomes smart enough to run postinst scripts
    that use debconf by means of this program. Closes: #75578, #119338
    This means a conflict with cdebconf.
  * This command is the best way to debug debconf-using scripts, you can run
    a command like debconf sh -x my-script. Documented that, Closes: #84864
  * And the debconf command has a --showold option. I added a DEBCONF_SHOWOLD
    variable for good measure. Closes: #130072
  * Split the configdb into two files, a password database and a database for
    all else. This allows normal users to query the debconf db for items that
    are not passwords, which should be generally useful. The immediate
    application is a bug report plugin that includes debconf-show output..
  * The configdb split will happen automatically on systems with an unmodified
    debconf.conf. Admins of systems with a modified debconf.conf will need to
    do it manually, if it is done at all.
  * I had to move debconf-copydb into the main debconf package, since it is
    used to do the db split.
  * Make failure to open a database cause the init method to abort, even if
    the db is not required. Cuts down on ugly messages.
  * Fixed accept method to look up the real template of a question instead of
    assuming that there will be a template by the same name as the question.
  * I had to add a third parameter to Debconf::Question->new to make
    accept/rejecttype really work right. And similar to all the addowner
    methods. And fixed a typo that had prevented it from working at all.
  * Added a DEBCONF_NOWARNINGS environment variable. Amoung other things this
    can be used to turn off the frontend fallback messages. Closes: #103288
  * Have debconf-show open the db readonly, so it will not contend for locks.
  * Put debconf-show in /usr/bin/.
  * Turned on comment stripping of some more files.
  * Now supports escaped substitution variables in templates, do it like
    "\${foo}", and "${foo}" will be displayed. Closes: #122818
  * Made the dialog frontend smarter about exceedingly wide select and
    multiselect choices. Closes: #129224
  * Using upper-case in the value of DEBIAN_FRONTEND is deprecated, and
    debconf now warns when it detects this if DEBCONF_DEBUG is set to
    developer. Closes: #131800
  * Do not skip displaying multiselect questions that have only one choice;
    the user still needs to choose between one and none. Closes: #139489
  * Don't load Getopt::Long unless there are options to process in
    Debconf::Config.
  * A multiselect question, once displayed, gets its value set to the selected
    choices, in the same order as those choices appear in its Choices field.
    Previously, the order had been undefined. Closes: #129768, #135961
  * Warn when an unknown field is found in a template. Closes: #131227
  * Stronger reccommendation of libterm-readline-gnu-perl in documentation.
    Closes: #136284
  * Settled on one email address.
  * Some s/Syntax:/Usage:/
  * Patch from Manuel Estrada Sainz <ranty@debian.org> to let debconf-copydb
    filter by owner. Closes: #136488
  * Uses debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Apr 2002 13:54:03 -0400

debconf (1.0.33) unstable; urgency=low

  * Made fix_db.pl more robust in the face of really screwed up db's.
  * Updated debconf schema using OID numbers allocated under
    enterprise.Debian.package.debconf by Wichert.
  * Fixed ancient program name in old tutorual. Closes: #141904
  * Fixed some typos and crazy man escapage in debconf.devel(8),
    Closes: #140991

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Mar 2002 13:27:43 -0500

debconf (1.0.32) unstable; urgency=low

  * Fixed a bug in the Stack driver's iterator, needed by FAI.
    Thanks to Joerg Lehmann <joerg@luga.de> for the patch.
  * Typo and spelling corrections (did not change verbiage to verbage however;
    I do not intend that connotation). Closes: #131807
  * Added --force to dpkg-reconfigure.
  * Fixed typo in debconf.conf. Closes: #140085

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Mar 2002 21:27:18 -0500

debconf (1.0.31) unstable; urgency=low

  * Versioned conflicts with debconf-tiny, see #137019
  * Corrected some wording in the German translation. Closes: #137005
  * Removed translated default fields in the Russian template (don't do that,
    folks).

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Mar 2002 19:54:40 -0500

debconf (1.0.30) unstable; urgency=low

  * Matthew Palmer <mjp16@ieee.uow.edu.au> contributed a LDAP backend
    database for debconf. This will open up all kinds of new possiilities
    for using debconf in a cluster, etc. It is currently experimental, and
    will not be used unless you enable it; so there is no chance this new
    code will impact the freeze.
  * Wrote debconf-devel(8) man page, which attempts to be a complete
    reference for developing packages that use debconf. Read it.
  * Fixed the doc-base name of the debconf tutorial.
  * Minor change to debconf-mergetemplate man page synopsis.
  * Refuse to use the dialog frontend if the screen is too small,
    it'll fall back to the text frontend which will work on screens
    down to about 2 lines of 20 characters each. Closes: #132972
  * Fixed typo, Closes: #134161
  * Patch from Denis Barbier <barbier@debian.org> to make debconf-getlang
    work better with ll_LL form languages. Closes: #134307
  * Display choices for boolean questions in the editor frontend,
    Closes: #135078
  * Improved the section in the tutorial on translations. Patch from Denis
    Barbier. Closes: #96836
  * Added a new Russian template from Ilgiz Kalmetev, Closes: #135839

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Feb 2002 20:37:19 -0500

debconf (1.0.26) unstable; urgency=low

  * Removed uninitialized value warning in Teletype frontend.
    Actually, this was a bug that did not let it display only one column on
    choices when necessary; triggered by quake2-data.
  * Incuded a short README.Debian for debconf-utils, Closes: #129541
  * Made the README point to all the main docs for users and developers.
    Closes: #129545
  * Deregister SIGPIPE handler after confmodule finishes, so it is not called
    after the object is gone. Closes: #129463
  * Chomp whitespace at the end of field continuation lines; this fixes a
    bug that caused some indented lines to be accidentially wrapped up to
    the previous line.
  * Stop using funky grave quotes in this package's templates.
  * Updated Spanish template. Closes: #128838
  * Updated Catalan.
  * Added German po file, updated templates.
  * Killed the following overly-outdated translated templates: pl, ru,
    zh_CN, zh_TW, nl, ja, it.
  * fi and gl have one fuzzy translation each, and all the rest are fine.
  * Corrected incorrect indents in a number of translated templates, sigh.
  * debconf(8) tweak, Closes: #130348

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jan 2002 23:30:25 -0500

debconf (1.0.25) unstable; urgency=medium

  * The "bite the bullet" release.
  * Enhanced fix_db.pl to detect and deal with every debconf db corruption
    scenario that has been reported to me. Run it on upgrade from versions
    prior to this one. I suspect that all instances of inconsistent and
    corrupt debconf db's are due to past bugs in debconf and especially the
    transition from the crufty old data::dumper db, and the "fix" for the
    missing template problem, plus possibly some unclean shutdown problems.
    So fix them all now, and either the problems go away for good or I prove
    my theories wrong if they pop back up later.
  * Closes: #128707, #128265, #99786

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jan 2002 13:25:06 -0500

debconf (1.0.24) unstable; urgency=low

  * Reverted the $Text::Wrap::break change from the last version, as that was
    making Text::Wrap eliminate multiple \n's, which leads to display
    problems. Closes: #128034

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jan 2002 14:59:58 -0500

debconf (1.0.23) unstable; urgency=low

  * Delete vanishing extended descriptions when merging templates.
    Closes: #126239
  * Set $Text::Wrap::break=q/\s+/ everywhere I use Text::Wrap,
    see bug #126202
  * zh_TW.Big5.po update

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 17:13:39 -0500

debconf (1.0.22) unstable; urgency=HIGH

  * I've had a number of reports of truncated templates files (that make
    debconf crash later). Some if not all are related to system hangs while
    an upgrade is in progress. Since debconf is already very careful to do
    updates atomically, nearly the only safety feature left is to sync files
    after writing them, which I have now done for all db file writes. My
    hypothesis is that the atomicity was being thwarted by disk caching.
    Closes: #122891, #112921, #122825, #112921 (??)
  * Directory DbDriver was unlocking the db too early, fixed.
  * ConfModule: on startup(), automatically CLEAR. Closes: #122176
  * Fixed crash if a question is INPUT, UNREGISTERed, and then we GO.
    Closes: #120303
  * Updated fr.po from Martin Quinson <Martin.Quinson@ens-lyon.fr>
  * Also a patch from Martin to make 'make check' in po output stats.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Dec 2001 11:10:12 -0500

debconf (1.0.21) unstable; urgency=high

  * High urgency upload to get this into testing before the freeze, as it
    fixes a bug that can cripple upgrades from stable.
  * Conflict with whiptail << 0.50.17-7, as some version between that one and
    the 0.50-7 in stable changes something that is required to make the
    fix I put in for values starting with dashes work. Closes: #122182
  * Added a number of Brazilian Portuguese man pages.
    Closes: #122011, #122012, #122017, #122018, #122019, #122026, #122028
    Closes: #122027, #121982, #122001
  * Updated Swedish translation.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Dec 2001 20:55:23 -0500

debconf (1.0.20) unstable; urgency=low

  * Documented that debconf-getlang runs descriptions through a word-wrapper.
    Closes: #97049
  * When parsing a template description, if there is a " \n", don't turn that
    into "  " when collapsing newlines, and instead go with just a single
    space.
  * From Federico Di Gregorio <fog@debian.org>, a patch to the Gtk frontend
    that makes it more usable with packages with a large multiselect widget,
    or with lots of concurent questions. The main change is that the window
    now scrolls. Closes: #113801
  * Federico also sent a patch that moves widgets in the gtk frontend around
    for better cosmetics.
  * Added a debconf.8 man page translated to pt_BR by Andre Luis Lopes
    <andrelop@ig.com.br>, Closes: #121155

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Nov 2001 21:47:23 -0500

debconf (1.0.19) unstable; urgency=low

  * Updated pt_BR debconf translation thanks to Gustavo Noronha Silva and
    #debian-br. Closes: #119029
  * Added several pointers to the debconf specification. Closes: #119340
  * Minor spelling corrections to man page. Closes: #119843

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Nov 2001 17:46:41 -0500

debconf (1.0.18) unstable; urgency=low

  * Another French update.
  * Danish translation by Morten Brix Pedersen <morten@wtf.dk>
  * frontend: don't glob unnecessarily, Closes: #117077
  * Michel Dänzer <daenzer@debian.org> figured out how to turn off the gnome
    session manager warnings. Closes: #116087
  * Turns out that the gnome frontend ARGV stomping was not being backed out
    if gtk failed to init due to a bad DISPLAY. Fixed that, which probably
    Closes: #118513

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Oct 2001 14:01:51 -0400

debconf (1.0.17) unstable; urgency=low

  * Reworded the 'not preconfiguring' method, since it seems to confuse
    people.
  * Updated French translation, except for the above change.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Oct 2001 19:27:50 -0400

debconf (1.0.16) unstable; urgency=low

  * Typo, Closes: #116275
  * Added dashsep support for password and text elements in the dialog
    frontend. Closes: #116642

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2001 16:39:52 -0400

debconf (1.0.15) unstable; urgency=low

  * Frontend::Gnome: erase @ARGV before calling Gnome->init, since that
    blasted subroutine parses @ARGV, and throws untrappable exceptions if it
    sees an argument it doesn't know about. This makes tzsetup -y work with
    the gnome frontend.
  * Appled patch to japanese templates to work around the multibyte "word"
    wrapping bug. Closes: #115314

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Oct 2001 13:15:54 -0400

debconf (1.0.13) unstable; urgency=medium

  * Fixed inverted test added in last version. Aargh. This mistake means that
    any package with doubly-indented debconf descriptions built with debconf
    1.0.12 needs to be rebuilt, or the description will look nasty.
  * Dialog frontend fixups:
    - changed the spacer value for dialog to 0, instead of 4, which seems ok
      and fixes some bad displays, like 1 line tall select lists.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Oct 2001 19:50:05 -0400

debconf (1.0.12) unstable; urgency=low

  * Modified the template parser just a bit, to not add a blank line
    before any template data if a template's extended description began with
    a doubly-indented line. Closes: #114708

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Oct 2001 21:30:10 -0400

debconf (1.0.11) unstable; urgency=low

  * Whoops, I forgot that Frontend::makeelement could be used as a class
    method! This release fixes the scary, harmless, warning messages.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Oct 2001 01:46:47 -0400

debconf (1.0.10) unstable; urgency=medium

  * The "did someone mention a freeze?" release.
  * Added 'Teletype' frontend, which should work on any teletype, no matter
    how primative (yeah, even the ones with paper in them, or the one on
    the s/390, or what you get when you ssh -T).
  * Renamed the Text frontend to Readline, which better reflects what it's
    all about. Of course, it's now derived from Teletype. And of course
    I did this in a way that won't break anything that still tries to use a
    frontend called Text..
  * Added the elementtype field to FrontEnd, which lets closely related
    frontends share elements without a lot of trouble; Readline uses this.
  * Fixed a bug in the dialog frontend that made it display the same
    infobox multiple times sometimes (with very short screens).
  * Renamed Tty to ScreenSize to release confusion, and removed the
    </dev/tty thing I put in long ago, since dpkg-preconfigure reopens
    the tty, which should work around that ancient problem.
  * Editor frontend will now work on terminals w/o a controlling tty, since
    at least vim (and probably most vi's, and ed too of course!) do work ok
    on such a terminal.
  * Fixed Directory DbDriver to call SUPER on shutdown, which is necessary
    to save out the cache. I broke that in 1.0.02, and that's why this
    upload is medium urgency. Closes: #113913

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2001 20:11:54 -0400

debconf (1.0.03) unstable; urgency=low

  * Corrected multiselect text frontend help line to make sense in terse
    mode. This involved removing any mention of numbers or letters.
    Closes: #113416, #113414
  * Quick and dirty gnome multiselect scrolling patch from Federico Di
    Gregorio <fog@mixadlive.com>. Still looking for a better fix.

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Sep 2001 21:03:21 -0400

debconf (1.0.02) unstable; urgency=low

  * Removed overoptimization in File DbDriver that made it not unlock the
    file if the db was saved and there were no changes to save. This was
    breaking dpkg-reconfgigure of non-debconf packages. Closes: #113140
  * Implemented savedb menthod in the Directory driver (just unlocks the
    database), which is needed to make dpkg-reconfigure of
    non-debconfiscated stuff work.
  * Renamed savedb to shutdown, which more clearly indicates what that
    method is supposed to do.
  * pt_BR updates. Closes: #112336

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Sep 2001 11:15:13 -0400

debconf (1.0.01) unstable; urgency=low

  * dpkg-preconfigure: deal with horrendous numbers of packages
    Closes: #110894
  * Make SIGWINCH handler deal with being called in the middle of global
    destuction (not as bad as it sounds..). Closes: #111149
  * Minor French update, Finnish update Closes: #110897, and Galician
    update.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Sep 2001 00:49:35 -0400

debconf (1.0.00) unstable; urgency=low

  * Let's call it 1.0, folks!
  * This leaves the following big things for later:
    - a better confmodule interface that doesn't eat stdin/out
    - container template types
    - select list with explainations
    - a textual replacement for the dialog frontend that is just as
      easy to use, and sucks less
    - better developer's documentation
    - regression tests
    - everything else in the TODO file
  * I mention a dialog frontend replacement that does not suck. The slang
    frontend was intended to be just that, but it is a failure, with big
    problems like unscrollable extended descriptions, UI clunkiness, etc.
    Nobody wants to fix these issues, and so the best thing to do is remove
    it, before a lot of people begin to use it.
    Closes: #66170, #81344, #96302, #74722, #77085, #101643
  * Removing the slang frontend also involved:
    - getting rid of debconf/helpvisible, which was only used by it
    - modifiying the debconf/frontend's template description, thus making
      all the translatione be out of date again, right as I release 1.0.
      Bleh. I was able to clean up the french template, but all the other
      translations of that template were too out of date to live, so I
      removed it from them. I am accepting updated translations, and I would
      love to get a 1.1 release out with fully up-to-date translations of
      everything.
    - doc updates
    - libterm-stool-perl will be removed, so removed relations to it
    - ensuring an upgrade path, if not a very clean one, for people who had
      it set to use the slang frontend. You'll get dialog now, and just
      ignore that nasty set of perl errors you get while upgrading to this
      version, I can't do anything about it w/o some nasty hacking.
  * Jordi Mallach <jordi@debian.org> quickly updated the Spanish translaton
    and added Catalan as well.
  * Allow notes to be saved from the gnome frontend even if they have
    already been seen. Closes: #110510

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Aug 2001 16:37:27 -0400

debconf (0.9.97) unstable; urgency=low

  * French update from Martin Quinson <Martin.Quinson@ens-lyon.fr>.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Aug 2001 15:19:36 -0400

debconf (0.9.96) unstable; urgency=low

  * Fixed note mailed message so it doesn't hardcode where it is mailed to.
    Closes: #108287
  * Updated the zh_TW.Big5 translation.

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Aug 2001 20:33:19 -0400

debconf (0.9.95) unstable; urgency=low

  * Fixed an overloaded field problem in the Backup DbDriver.
  * Fixed the InFd field of the Pipe DbDriver so it actually works, and
    it may now be set to "none" to stop it from reading a db on startup.
    This allows use of stuff like this, to get a partial debconf db dump,
    which developers may find useful when getting info on bugs:
      debconf-copydb configdb out -c Name:out -c Driver:Pipe \
                                  -c InFd:none --pattern='^slrn/'

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Aug 2001 20:17:09 -0400

debconf (0.9.94) unstable; urgency=low

  * New logo from Jared Johnson <solomon@futureks.net>, quite nice too.

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Aug 2001 22:32:04 -0400

debconf (0.9.93) unstable; urgency=low

  * Complete zh_TW.Big5 translation from "Hin-lik Hung, Shell"
    <shell@shellhung.org>
  * html2text fixed, revert workaround

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Aug 2001 19:13:44 -0400

debconf (0.9.92) unstable; urgency=low

  * Worked around html2text bug (broken stdin handling) to make
    tutorial.txt not be empty.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Aug 2001 00:34:17 -0400

debconf (0.9.91) unstable; urgency=low

  * Added debian logo for gnome frontend. It looks like crap, but at least
    the frontend runs now. Anyone want to come up with a version of the
    debian logo that looks good on a blue background (or come up with a new
    color scheme for this frontend -- if you know how to make a gnome driud
    use some color other than white for the foreground title color ), is
    the right size (64x64 I think), and doesn't eat 200+ colors?
  * Other gnome frontend fixups:
    - Fixed help dialog; run_and_close doesn't work, so first run and then
      close.
    - Gnome elements are now responsible for packing in the label and help
      buttons. This makes it cleaner for text and notes to not include help
      buttons, and it lets booleans not pack in a label. Instead, the
      checkbox itself has the text of the question after it, which is much
      nicer. Also, text type questions are displayed as unadorned labels,
      which is the Right Thing.
    - Make the overall window title be "Debconf", while the druid title
      varies.
    - Fixed multiselect questions so the defaults are auto-selected.
    - Removed sigsegv handler thing. It seems to not be needed any more?

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Jul 2001 18:34:23 -0400

debconf (0.9.90) unstable; urgency=low

  * Merged in Progeny's gnome frontend.
  * Lots of code changes to this frontend, to bring it current from debconf
    0.3, fix tab damage, not break perl object abstractions, add some docs,
    remove dead code, and so forth. Mostly untested, probably quite a few
    bugs introduced here, but they'll just affect this frontend, so I don't
    feel _too_ bad about slipping it in so near to freeze.
  * In the gnome (well, gtk) sucks department, why does the thing throw an
    untrappable exception if the DISPLAY can't be connected to? Myopic. I
    added a nasty hack to fork an entire process that just checks to see if
    gnome is going to make debconf blow up when init'ed, or if it'll work.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Jul 2001 22:09:26 -0400

debconf (0.9.81) unstable; urgency=low

  * Made frontend fallback messages less likely to generate FRNBs
    (Frequently-Reported Non-Bugs).

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Jul 2001 22:02:56 -0400

debconf (0.9.80) unstable; urgency=medium

  * Looks like new shared templates have been ignored ever since 0.9.10!
    Symtoms that installed a second package that shared a template
    with an already installed first did not add the second owner to the
    list of owners. It's possible that this was also responsible for
    sporadic reports of db corruption; the question that should belong
    to a template going away when the only recorded other owner was purged.
  * Added a call in the postinst to a program to clean up after this
    problem.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Jul 2001 13:11:44 -0400

debconf (0.9.79) unstable; urgency=low

  * Cute, debconf was ignoring fsets of seen of questions that were asked
    previously in the same session. Overagressive caching. Closes: #104490

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jul 2001 13:28:52 -0400

debconf (0.9.78) unstable; urgency=low

  * Allow for spaces and options in $EDITOR. Closes: #104445

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Jul 2001 13:27:23 -0400

debconf (0.9.77) unstable; urgency=low

  * Expanded debconf.8 to include most of the text of the debconf user's
    guide, and removed the user's guide. Added some additional docs to the
    man page.
  * Register the debconf tutorial with doc-base. Closes: #103973
  * No longer shipping the introduction, though it's still in the source
    for historical interest.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jul 2001 17:31:22 -0400

debconf (0.9.76) unstable; urgency=low

  * Don't use double dashes for dialog, though they are needed for
    whiptail. Gag. Closes: #103867

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Jul 2001 19:08:22 -0400

debconf (0.9.75) unstable; urgency=low

  * Put back debconf/helpvisible question, and made the slang frontend
    toggle it again. This makes changes to the slang frontend help visiable
    status made by hitting the button persistant again.
  * In terse mode, default help to not visible no matter what the
    helpvisible setting.
  * Closes: #103621

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Jul 2001 14:33:45 -0400

debconf (0.9.74) unstable; urgency=low

  * Introducing terse mode. You know what you're doing, and so you're using
    the text frontend (of course!) as you do a remote upgrade from rexx over
    a 30 hop, 95% packet loss link to another continent. Every byte hurts.
    You don't need all those touchy-feely verbose help screens. Terse mode is
    for you. (Well, for me anyway. Damn this wireless link.)
       # dpkg-reconfigure debconf --terse
       What interface should be used for configuring packages? Text
       Ignore questions with a priority less than.. low
       Show all old questions again and again? no
  * Added DEBCONF_TERSE variable.
  * Added terse support to text frontend.
  * Renamed debconf/helpvisible to debconf/terse.
  * Terse can be configured in debconfrc and with --terse too.
  * Finally tracked down the mysterious text frontend title printing bug --
    it happened if nothing was displayed, but a note was mailed.
  * Updated korean translation from Eungkyu Song <eungkyu@sparcs.org>
    Closes: #103260
  * Added brazillian portuguese po file from Gustavo Noronha Silva
    <kov@debian.org>, Closes: #103253

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Jul 2001 00:22:15 -0400

debconf (0.9.73) unstable; urgency=low

  * Added debconf-show, which displays all questinos belonging to a
    package, their values, and indicates if they have been seen or not, all
    in a compact format handy for bug reports. Now why didn't I think of
    this before?
  * To keep the bit scales balanced, removed an unused template.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2001 15:22:15 -0400

debconf (0.9.72) unstable; urgency=low

  * Dropped libterm-stool-perl down to a suggests.

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Jun 2001 21:29:48 -0400

debconf (0.9.71) unstable; urgency=HIGH

  * No changes. Testing has debconf 0.9.41, which breaks under perl 5.6.1.
    5.6.1 just went into testing. This needs to go in ASAP.
  * aj, if you see this, this is your cue to slam this package into testing
    without any delay at all.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jun 2001 20:16:26 -0400

debconf (0.9.70) unstable; urgency=low

  * Fixed pod2man silly man page header issue. Closes: #101766

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jun 2001 13:11:16 -0400

debconf (0.9.69) unstable; urgency=low

  * Fix doc link, Closes: #101114

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Jun 2001 12:37:32 -0400

debconf (0.9.68) unstable; urgency=low

  * Fixed the last known bug in the text frontend, cleaned up TODO.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jun 2001 20:00:15 -0400

debconf (0.9.67) unstable; urgency=low

  * Let's make the templates cache mode 644. There's nothing sentative in
    there. (Modified the debconf.conf file.)
  * Convert Mode field to octal on the fly to precent confusion.
  * Spell checked debconf.conf.5. Along the way, I discovered that a field
    name in the debconf db was mispelled. So, "Extention" should really be
    "Extension". Update your debconf.conf. Since this is not used in the
    stock config file, and I've never seen it used, I did just rename the
    field, breaking backwards compatability.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2001 20:27:52 -0400

debconf (0.9.66) unstable; urgency=low

  * Prevent Editor::Note's from feeding undef values into the db,
    Closes: #100776

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2001 12:37:14 -0400

debconf (0.9.65) unstable; urgency=low

  * Fixed unsupported command message to include the syntax error code.
  * Also, include full line in the error message, may make debugging easier.

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Jun 2001 17:41:13 -0400

debconf (0.9.64) unstable; urgency=low

  * Updated the user's guide frontend section.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2001 00:04:57 -0400

debconf (0.9.63) unstable; urgency=low

  * Man page section fixes, Closes: #100076
  * Noted in description of shell library that yes, the protocol commands
    are lower-cased (it already explained about the db_ prefixing).
    Closes: #100276
  * Text frontend UI changes: select and multiselect lists no longer have
    lettered choices. Instead, it uses numbers, and any unique anchored
    substring of a choice is understood, too. The old system was great,
    except when it sucked. This should scale more evenly.
  * Added full completion to the text frontend! Now it really is the best
    frontend, for sure..
  * French po file update from Martin Quinson <Martin.Quinson@ens-lyon.fr>.
  * Fixed an obscure bug that made the REGISTER command fail if the owner
    was set to "" (or any other perlwise-false string).

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Jun 2001 11:53:43 -0400

debconf (0.9.62) unstable; urgency=low

  * Updated Korean translation (templates, not po file) from Eungkyu Song
    <eungkyu@sparcs.kaist.ac.kr>, Closes: #99034

 -- Joey Hess <joeyh@debian.org>  Mon, 28 May 2001 13:35:28 -0400

debconf (0.9.61) unstable; urgency=low

  * Added some space after prompts in text frontend, which seems to
    visually set off each new question more clearly.
  * Made the text frontend's long-broken shutdown() method work, to
    always ensure you have hit enter at a prompt if a message is printed
    out as the last part of a debconf run. After trying that out for a bit,
    I found I hated it, so I removed the method.
  * Put a blank line between short description and long description for
    notes.
  * In template parsing, don't add leading spaces before new paragraphs.
    (This was manifesting as an ugly one-space indent on paragraphs 2 and
    on, in the text frontend.)

 -- Joey Hess <joeyh@debian.org>  Sun, 27 May 2001 20:03:47 -0400

debconf (0.9.60) unstable; urgency=low

  * Make dpkg-preconfigure read all of its input in --apt mode, even if it
    cannot preconfigure, so apt doesn't think it failed. However, this will
    only work in normal operation, and things might break in exceptional
    circumstances. I think this is a bug in apt.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 May 2001 15:22:16 -0400

debconf (0.9.59) unstable; urgency=low

  * Now that perl-base has Getopt::Long, I can get rid of the handrolled
    option parsing code in most every debconf utility, saving quite some
    LOC's. Even better, I was able to set up some global options for many
    utilities, so -f, --frontend, -p, and --priority are standard. And all
    the programs handle -h and --help too. More global options will likely
    follow.
  * Fixed dpkg-reconfigure --all.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 May 2001 17:36:50 -0400

debconf (0.9.58) unstable; urgency=low

  * Modified Template->clearall() to actually remove fields, rather
    than just setting them to ''. The old behavior broke badly if a
    localized Choices field was "cleared" -- debconf would then refuse to
    display that question in that locale, since there were no choices to
    choose from. Closes: #95487
  * To make that fix possible, I had to add yet another function to the
    DbDriver interface, removefield().

 -- Joey Hess <joeyh@debian.org>  Tue, 15 May 2001 18:39:23 -0400

debconf (0.9.57) unstable; urgency=low

  * Removed all the lvalue stuff. Not used (I hope!), breaks under perl
    5.6.1.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2001 23:53:20 -0400

debconf (0.9.56) unstable; urgency=low

  * The POSIX_ME_HARDER release.
  * confmodule: more shell fun and games. Should now deal with spaces at
    the end of protocol lines. I will not go into the gory details, but it
    is *disgusting*. Closes: #91229 (RC)
  * ConfModule.pm: support a tab as the delimiter between numeric and
    textual return codes.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2001 16:39:22 -0400

debconf (0.9.55) unstable; urgency=low

  * A typo in debconf-getlang was making it incorrectly mark some things as
    fuzzy. Fumitoshi UKAI pointed out the fix, Closes: #97475
  * Some Spanish updates by Carlos Valdivia Yagüe.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2001 15:17:31 -0400

debconf (0.9.54) unstable; urgency=low

  * Modified extended description parsing to not stick a space at the end
    of every paragraph, Closes: #97002
  * Made template parsing less strict, allowing there to be no space after
    the colon. You should not do that though, except perhaps if the field
    value is blank. Closes: #97060

 -- Joey Hess <joeyh@debian.org>  Thu, 10 May 2001 21:14:18 -0400

debconf (0.9.53) unstable; urgency=low

  * In the dialog frontend, add a -- before the items in a select or
    multiselect list when running dialog. This allows the items to start
    with dashes..

 -- Joey Hess <joeyh@debian.org>  Wed,  9 May 2001 15:25:51 -0400

debconf (0.9.52) unstable; urgency=low

  * Dialog is the default frontend for new installs again, since slang
    still need work, and cannot work on the base system anyway.
    Closes: #96381
  * DEBCONF_ADMIN_EMAIL can be used to change where debconf mails notes and
    stuff to, overriding whatever is in the config file. Note that it may
    be set to "" to disable mails. Closes: #95956

 -- Joey Hess <joeyh@debian.org>  Tue,  8 May 2001 21:36:50 -0400

debconf (0.9.51) unstable; urgency=low

  * Changed to converting html with html2text, which does better than
    links.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 May 2001 21:02:54 -0400

debconf (0.9.50) unstable; urgency=low

  * Remove /var/lib/debconf on upgrade. Nothing uses it anymore,
    and it contains some large old database files, and on most systems,
    a large amount of cruft (temporary files, editor backup files, backups
    of the db, sockets, the list goes on and on).
  * Expunged all remaining traces of the directory from debconf and its
    documentation.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 May 2001 18:59:09 -0400

debconf (0.9.41) unstable; urgency=low

  * Correcgted bashism in docs, Closes: #96139

 -- Joey Hess <joeyh@debian.org>  Thu,  3 May 2001 15:34:06 -0400

debconf (0.9.40) unstable; urgency=high

  * Fixed a bug in dpkg-reconfigure that made reconfiguring base-config
    fail half way through because of db lock contention problems. Db->save
    was not causing the db to shut down all the way, because
    %DbDriver::drivers still had a reference to it. That should be a
    WeakRef, but WeakRef's arn't available in base, so I had to solve it
    differently: I redefined savedb() to also close the db, dropping all
    locks. Closes: #95449 (The high urgency is because this breaks new
    installs of woody..)
  * Also fixed dpkg-reconfigure to re-load the db properly after all this
    (typo).
  * Fixed an overoptimization in the Text Dialog input Element that caused
    it to default inconsistently to yes or no the first time, and y or n
    thereafter.

 -- Joey Hess <joeyh@debian.org>  Wed,  2 May 2001 14:50:57 -0400

debconf (0.9.39) unstable; urgency=low

  * Changed the debug and log stuff in debconf.conf and removed log-to.
    This will break any debconf.conf files which used that stuff, but I'm
    proably the only one. The new scheme is more realistic -- you can have
    debconf always log a given thing, while turning on debugging of other
    things temporarily on the fly.

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Apr 2001 12:04:51 -0400

debconf (0.9.38) unstable; urgency=low

  * debconf-doc moved to section doc, Closes: #94840

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Apr 2001 11:28:35 -0400

debconf (0.9.37) unstable; urgency=low

  * The "timezone bingo" release.
  * Made syslog logging work with syslogd in its default configuration,
    which only listens to the unix domain socket, not inet.
  * If any of the syslog stuff fails, catch the exception and don't
    log anything (think single user mode). I thought about falling back to
    stderr logging, but if you log to syslog you probably don't want the
    log info scrawled accross the console during routine single user mode
    upgrades.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Apr 2001 15:57:06 -0500

debconf (0.9.36) unstable; urgency=low

  * Fixed variable expansion problem if a variable existed twice in the
    same line. It was caused by $2 getting clobbered. Closes: #94395

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Apr 2001 16:01:01 -0700

debconf (0.9.35) unstable; urgency=low

  * Closes: #93493

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2001 01:37:21 -0700

debconf (0.9.34) unstable; urgency=low

  * Fixed undefined values with log_to.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Apr 2001 12:54:25 -0700

debconf (0.9.33) unstable; urgency=low

  * Updated to important priority since some important priority stuff uses
    it.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Apr 2001 00:45:07 -0700

debconf (0.9.32) unstable; urgency=low

  * The config file can have a Debug: line that is the same as always
    setting DEBCONF_DEBUG. The config file can also be used to redirect
    debug output to the syslog.

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Apr 2001 10:10:21 -0700

debconf (0.9.31) unstable; urgency=low

  * debconf-mergetemplates: ignore locale settings, as they should not take
    effect for this program. Closes: #91860

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Mar 2001 23:43:44 -0800

debconf (0.9.30) unstable; urgency=low

  * Jacobo Tarrio <jtarrio@iname.com> contributed a Galician translation,
    bringing the number of languages supported up to 15.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Mar 2001 14:49:15 -0800

debconf (0.9.29) unstable; urgency=low

  * Added Brazilian Portuguese translation by "Gustavo Noronha Silva (KoV)"
    <kov@debian.org>, Closes: #90864

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Mar 2001 20:49:51 -0800

debconf (0.9.28) unstable; urgency=high

  * The "bugger testing" release.
  * Uploaded with high urgency because I am SICK AND TIRED of getting
    2 bugs a day from people who have downgraded to the ancient debconf in
    testing and broken their systems, the 2 other bugs a day from people
    who panic at the sight of a perl -w message, and the 3 or 4 messages a
    day on -user from people who are experiencing other, tangential
    problems.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Mar 2001 12:20:53 -0800

debconf (0.9.27) unstable; urgency=low

  * Moved config file reading into Debconf::Config. This let me easily add
    support for configuring more things in the config file. You can specify
    a frontend or a priority in there with more to come soon.
  * Config file can also be used to set Admin-Email, which defaults to
    root, but can redirect mail to anyone. Also, this can be used to
    turn off mail entirely. Closes: #70677
  * Made dpkg-preconfigure print usage if called incorrectly, instead of
    a screen of crazed messages.
  * Tightened up protocol parsing.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Mar 2001 23:06:09 -0800

debconf (0.9.26) unstable; urgency=low

  * Completed and updated Finnish translation by Jaakko Kangasharju
    <ashar@iki.fi>
  * Added code in the postinst to delete any files that inexplicably linger
    in /usr/lib/perl5/Debconf/, since since files break the current debconf
    badly. I don't know why two people have reported files there; it's
    either user error or some crazy dpkg bug. Closes: #89471
  * Check to make sure a template has owners besides just existing before
    returning it in Template->new. This should not be necessary, but
    it fixes a problem with the templates db sometimes having templates
    that lack any owners. I hypothesize that the problem was caused by
    one of the early 0.9x releases, but I cannot reproduce it, so this will
    have to do for a workaround. Closes: #89155

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Mar 2001 14:26:11 -0800

debconf (0.9.25) unstable; urgency=low

  * Branden is able to trigger the most obscure cases. :-)
    Fixed a bug where a question was unregistered and removed, then
    the confmodule tried to access the question again in the same run, and
    Debconf::Question has a question object by that name cached, so it used
    it, and the results were ugly. The fix is simple: when a question is
    unregistered, remove the object from the cache. Closes: #89262

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Mar 2001 15:24:08 -0800

debconf (0.9.24) unstable; urgency=low

  * Changed how I disable echo in password prompts in the text frontend.
    For all readline libraries except ReadLine::Perl, I just use stty
    -echo. That doesn't work for ReadLine::Perl, so I had to read the line
    myself in that case. What a PITA. Closes: #89324
  * Fixed dialog frontend to display cancel button when backing up is
    enabled. Closes: #89364

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Mar 2001 09:18:56 -0500

debconf (0.9.23) unstable; urgency=low

  * dpkg-preconfigure: fixed problem with it trying to run an unlinked
    config file if there was a template parse error (triggered by tgif).

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Mar 2001 17:11:04 -0800

debconf (0.9.22) unstable; urgency=low

  * Added Debug driver and simplified some other debug output.
  * Added Pipe db driver. If Craig really wants, he can use this to do
    exactly what he was complaining that debconf could not do. I think,
    though, that there are really better ways of accomplishing the same thing.
  * Added versioning to some 'use base'es, to detect people who have an old
    base.pm floating around somewhere. See bug #89050

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Mar 2001 12:24:37 -0800

debconf (0.9.21) unstable; urgency=low

  * Simplified the functions generated by /usr/share/debconf/confmodule
    by using read -r a b instead of doing the set -- split thing.
  * Sanitize IFS in there, so things like cvs's config script that mangle
    it will not produce unexpected results. Closes: #88830

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Mar 2001 10:59:22 -0800

debconf (0.9.20) unstable; urgency=low

  * Fixed stacks so shadowing actually works and non-topmost items can be
    seen (stupid thinko). Also improved debug output. I now have some
    satellite systems that are successfully using a master debconf db for
    defaults, with local modifications stored locally (using icky nfs as
    the transport though), so stacks are useful, but still experimental.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2001 21:03:22 -0800

debconf (0.9.19) unstable; urgency=low

  * Made Db.pm read /usr/share/debconf/debconf.conf if no other config file
    is found, so it will have sensible defaults in two situations:
     1) user decides to delete file in /etc
     2) upgrade from pre-conffile version, and debconf is asked to do
        something before it is configured
    Closes: #88840

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2001 18:25:28 -0800

debconf (0.9.18) unstable; urgency=low

  * Renamed Copy driver to Backup, and renamed its fields too -- if you
    have used it already, take note!
  * Some internal restructuring of db driver classes.
  * Added debconf-copydb, the all-singing all dancing db conversion,
    excerpting, and copying tool, to debconf-utils.
  * Backups of File db's can be turned off.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2001 15:15:51 -0800

debconf (0.9.17) unstable; urgency=low

  * Made dpkg-preconfigure drop a user-level debug item including the name
    of the package and its version as the package is preconfigured.
    Closes: #88855

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2001 11:08:30 -0800

debconf (0.9.16) unstable; urgency=low

  * Updated transition_db.pl to fix skipping of items with no owner.
    Closes: #88820
  * Documented in the user's guide that it needs apt-utils 0.5 or above for
    preconfiguration (really later, since that is currently broken in
    apt..) Closes: #88705
  * Made apt-extracttemplates be less scary if apt-utils is not installed.
    We really need a better solution here, I think..
  * Updated french translation from Martin Quinson <Martin.Quinson@ens-lyon.fr>

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2001 10:19:05 -0800

debconf (0.9.15) unstable; urgency=low

  * Made the File DbDriver keep a backup file in -old, and
    greatly increased the robustness of its writes. Closes: #88804
  * Increased the robustness of the writes done by the directory driver
    too, though it doesn't keep backups.
  * For general backup purposes, introduced a new metadriver called
    Copy, which does all reads and writes to one driver, while sending
    a copy of all writes to another driver.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2001 16:56:32 -0800

debconf (0.9.14) unstable; urgency=low

  * Resetting the value of a question that had no default stuffed an undef
    into the cache dbdriver, which made the 822 formatter warn of
    uninitialized values. Fixed by making template field accesses always
    return a defined value, even if the field isn't present. Closes: #88751
  * Fixed some exporter problems.
  * Removed bogus preconfig template item (again..).
  * Moved dirty flag out into its own hash, so items in the cache can be
    marked dirty and removed at the same time. This should really fix
    unregistration of items. I had been meaning to do this last week, but
    it seems I forgot.
  * Actually enabled the optimization of not saving flatfile db if no
    changes were made, and made it not save deleted items.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2001 07:26:58 -0800

debconf (0.9.13) unstable; urgency=low

  * Modified the transition script to detect corrupt old databases that
    have some questions with undefined templates. Those are just skipped,
    and it prints out a warning. I've only had one report of this problem
    so far. Closes: #88731
  * Strip the transition script.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2001 04:38:59 -0800

debconf (0.9.12) unstable; urgency=low

  * I think the haikus are over. :-)
  * Renamed apt.conf.d file to 70debconf.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2001 00:04:40 -0800

debconf (0.9.11) unstable; urgency=low

  * Workaround a bug
    that showed up in fresh installs
    or ancient upgrades.			Closes: #88682, #88676

    The fix is simple:
    just don't abort if it fails
    to unregister.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 19:06:15 -0800

debconf (0.9.10) unstable; urgency=low

  * Though I waited long --
    twelve days -- I must upload now.
    (And thus, miss testing.)

  * The long overdue
    backend database is here:
    the missing quarter.			Closes: #50437

    And so the version
    approaches 1.0 -- joy!
    Though more work awaits.

  * Db setup lore
    is in debconf.conf(5)
    in debconf-doc.

    You'll find it's layered;
    quite a flexible design
    (many thanks, Wichert).

    Users can setup
    their own debconf db's or
    use the global one.

    (If, that is, they choose
    to use the DirTree driver
    for the global store.)			Closes: #81574

  * To make this work, though,
    debconf must conflict with old
    cdebconf versions.

    The ones that themselves
    used /etc/debconf.conf
    as their config file.

  * And I had to write
    some transition code, too (bleagh),
    to reformat stuff.

    This should work better
    than past conversions, I hope.
    Still needs testing, though.

    So, it won't delete
    the old database files yet,
    'till I'm sure that's safe.

    Anyhow, reports
    of trouble in past upgrades
    are now obsolete.				Closes: #80940, #88256

    (Report new bugs though,
    if you must. I don't mind (much).
    Just don't send dups, please.)

  * All of debconf's code
    does sane temp file opens now:
    no more cruft in var.

  * The interface to
    debconf-communicate
    has utterly changed.

  * I updated the
    Dutch translation (or rather,
    some Dutch guy did -- thanks).		Closes: #87493

    Other translations
    are probably outdated
    after these changes.

    Come to think of it,
    the Dutch one may be too; it's
    a week or two old.

  * Debconf must always
    be usable, so I made
    it pre-dep on perl.

  * The new db code
    fixes a db reload
    bug in -reconfigure.			Closes: #85873

  * Some bugs are fixed in
    the preconfigure program
    by this upload too:

    Overfiend, it makes
    two passes now, so scary
    shared templates will work.

  * Besides these changes,
    some mods to support the new
    apt slipped in somehow:

    apt.conf.d
    is used rather than munging
    apt.conf by hand.

  * I gladly removed
    apt-extracttemplates: moved
    to apt-utils.

    Preconfiguring
    requires that package now
    be installed, to work.

    A Reccommends is
    present in debconf, but, <sigh>,
    apt will ignore it.

    So you might have to
    install apt-utils by hand
    to get it working.

    On the plus side, though --
    porters everywhere rejoice --
    debconf is arch all!

    So maybe it'll
    get into testing one day,
    not many weeks hence.

  * And I think that's all
    the changes of note in this
    release of debconf.

    I'll stop sitting here
    in the dark counting fingers,
    and zinc off to bed.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 02:36:31 -0800

debconf (0.5.64) unstable; urgency=low

  * Updated to new perl policy.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Feb 2001 23:16:02 -0800

debconf (0.5.63) unstable; urgency=low

  * debconf-communicate now accepts piped input, or you can just run
    it and talk with debconf on the fly over stdin.
  * use debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Feb 2001 21:36:33 -0800

debconf (0.5.62) unstable; urgency=low

  * Fix compilation with apt 0.4. Closes: #86417

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Feb 2001 19:58:13 -0800

debconf (0.5.61) unstable; urgency=low

  * Removed outdated test of $@ from element creation code.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Feb 2001 14:24:10 -0800

debconf (0.5.60) unstable; urgency=low

  * Dutch templates file from "Thomas J. Zeeman" <tjzeeman@cs.vu.nl>,
    Closes: #85549
  * Added code to support foolish downgrades to really old and crufty
    versions of debconf. Closes: #85124

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Feb 2001 14:49:52 -0800

debconf (0.5.59) unstable; urgency=low

  * Added half a Finnish translation (the templates half), by Jaakko
    Kangasharju <ashar@iki.fi>, Closes: #85199
  * More unremarkable changes here and there.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Feb 2001 13:49:07 -0800

debconf (0.5.58) unstable; urgency=low

  * Italian template update.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Feb 2001 17:38:29 -0800

debconf (0.5.57) unstable; urgency=low

  * Corrected an off-by-one in FSET arg checking,  Closes: #84792

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Feb 2001 14:04:11 -0800

debconf (0.5.56) unstable; urgency=low

  * Another french po file update.

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Feb 2001 14:18:16 -0800

debconf (0.5.55) unstable; urgency=low

  * Updated Franch translation from Martin Quinson
    <Martin.Quinson@ens-lyon.fr>
  * debconf-getlang now preserves fuzzy translations accross multiple runs,
    if a new translation is not put in. I also had to rename the -OLD
    fields to -fuzzy.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2001 13:39:25 -0800

debconf (0.5.54) unstable; urgency=low

  * Fixed a couple of memory leaks that the absurd bug in magicfilter
    exposes. Closes: #84211

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jan 2001 14:18:46 -0800

debconf (0.5.53) unstable; urgency=low

  * Updated the Swedish translation.
  * Made debconf-getlang more or less ignore whitespace as a factor
    in fuzzy translations.
  * Now you have to list the files to look at in stats mode too,
    seems hardcoding the lookup wasn't such a good idea.
  * Removed the -q flag, just use --stats instead.
  * Added Korean translation from Eungkyu Song <eungkyu@sparcs.kaist.ac.kr>

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Jan 2001 11:19:11 -0800

debconf (0.5.52) unstable; urgency=low

  * Now that policy includes the debconf spec, I have removed the spec
    from this source tree and debconf-doc. Since the version in policy is
    canoical, I have removed the spec from cvs too. It will remain in the
    Attic for historical purposes. I do still include a copy of the priority
    table so it can go in the user's guide, and debconf-doc now suggests
    debian-policy.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jan 2001 18:46:35 -0800

debconf (0.5.51) unstable; urgency=low

  * debconf-getlang supports detection of fuzzy translations now,
    and can display translation stats for a package too. See man page.
  * Added dialog frontend back to template description for now.
    Closes: #83670

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jan 2001 16:01:07 -0800

debconf (0.5.50) unstable; urgency=low

  * Changes to do with -ll_LL field localizations. These should actually
    work now.
  * Suddenly I have to hardcode the docbook xml version in DOCTYPE. Very
    strange.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jan 2001 13:17:48 -0800

debconf (0.5.49) unstable; urgency=low

  * Clean up after bogus foo/bar template I accidentially released.
  * Added German template translation by Michael Bramer <grisu@debian.org>,
    Closes: #82914

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Jan 2001 16:07:07 -0800

debconf (0.5.48) unstable; urgency=low

  * Corrected overrides disparities.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Jan 2001 13:36:05 -0800

debconf (0.5.47) unstable; urgency=low

  * dpkg-preconfigure: Split on any whitespace, Closes: #82579
  * po/Makefile is now smart about msgmerge just updating datestamps,
    and doesn't let such trivial changes be checked into cvs.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jan 2001 11:28:24 -0800

debconf (0.5.46) unstable; urgency=low

  * dpkg-preconfigure: don't split on apt-extractemplates output on
    ' ', use \s

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Jan 2001 23:08:27 -0800

debconf (0.5.45) unstable; urgency=low

  * Fixed type that broke slang note elements, Closes: #81869

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2001 15:33:55 -0800

debconf (0.5.44) unstable; urgency=low

  * Modified slang frontend to not instantiate Term::Stool widgets until
    the GO command. This allows for thinge like:
      db_set foo yes; db_input priority foo || db_set foo no
  * All other frontends should already handle this just fine.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Jan 2001 21:38:22 -0800

debconf (0.5.43) unstable; urgency=low

  * Modified shell confmodule to use read -r, so if \ characters are
    read in, it will not interpret them. That was causing mangled password
    entry problems in base-config, Closes: #77920. It could also cause
    random hangs if the data was just right..

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Jan 2001 16:43:21 -0800

debconf (0.5.42) unstable; urgency=low

  * apt-extracttemplates null pointer checking, Closes: #77787

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Jan 2001 16:57:38 -0800

debconf (0.5.41) unstable; urgency=low

  * Modified a few places in the tutorial to refer to essential packages,
    not the base system. Closes: #81350

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Jan 2001 17:06:02 -0800

debconf (0.5.40) unstable; urgency=low

  * Build-depends perl-5.6-base, Closes: #81328

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Jan 2001 15:39:24 -0800

debconf (0.5.39) unstable; urgency=low

  * To keep debconf out of testing for nother two weeks, I fixed a bug
    involving truncation of excessively-long short descriptions in the
    slang frontend. Closes: #80163

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Dec 2000 18:04:39 -0800

debconf (0.5.38) unstable; urgency=low

  * I guess perl is fixed now, so I can remove the bogus dependancy.
    Thanks, bod!

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Dec 2000 20:39:59 -0800

debconf (0.5.37) unstable; urgency=low

  * Aw hell, that won't work; too many things still depend on old versions
    of perl.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Dec 2000 23:48:07 -0800

debconf (0.5.36) unstable; urgency=low

  * The "I didn't get a fixed perl for $MAJOR_WINTER_HOLIDAY" release.
  * Conflicts with every perl-*-base package before perl-5.6-base, because
    perl's alternatives system has been known to make /usr/bin/perl point
    at some old version of perl, even though debconf depends on 5.6, which
    breaks things pretty badly.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Dec 2000 23:28:04 -0800

debconf (0.5.35) unstable; urgency=low

  * Both dialog and whiptail now support --nocancel, which the dialog
    frontend will use now if a cancel button is not appropriate.
    Closes: #67419
  * Reluctantly brought back a *temoporary* dependancy on perl-5.6 until
    it gets it act in order. Closes: #79571 (Debian *cannot* be released
    while debconf has this bogus dependancy.)

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Dec 2000 11:00:59 -0800

debconf (0.5.34) unstable; urgency=low

  * Fixed umask-related build problem, Closes: #78453

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Dec 2000 14:41:56 -0800

debconf (0.5.33) unstable; urgency=low

  * Removed screen refresh forcing in the slang frontend, it makes
    it look like crap and if someone writes to the screen, that is their
    problem, not mine.
  * Corrected recently introduced resizing bug in slang frontend.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Dec 2000 13:42:52 -0800

debconf (0.5.32) unstable; urgency=low

  * Removed bogus perl-5.6 dependancy, now that perl is fixed.
  * Now that base.pm is in perl-5.6-base, I no longer need to do hackery in
    my Makefile to avoid using that module. Got rid of it, and versioned
    dep on perl-5.6-base.

 -- Joey Hess <joeyh@debian.org>  Mon,  4 Dec 2000 20:07:46 -0800

debconf (0.5.31) unstable; urgency=low

  * Put README.translators in debconf-doc.
  * Finally broke in and implemented multiselect support for the slang
    frontend. Closes: #65782, #67242, #67340, #71095, #78571
  * That was harer than it seems, I had to change Slang Elements to hold
    groups of widgets, and support that everywhere. I also found it best to
    move all the wiget positioning code into Elements from the frontend.

 -- Joey Hess <joeyh@debian.org>  Sat,  2 Dec 2000 14:51:53 -0800

debconf (0.5.30) unstable; urgency=low

  * Modified tutorial, Closes: #78537

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Dec 2000 15:24:07 -0800

debconf (0.5.29) unstable; urgency=low

  * Two chinese translations of the templates file (zh_CN, zh_TW), from
    zw@debian.org

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Nov 2000 09:34:51 -0800

debconf (0.5.28) unstable; urgency=low

  * Removed test from dpkg-reconfigure for .config script. The test
    shouldn't be necessary; postinst scripts _should_ be idempotent.

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Nov 2000 16:53:29 -0800

debconf (0.5.27) unstable; urgency=low

  * If debconf is run without a controling tty..
    - TERM will not be defined. This breaks the dialog frontend (which is
      broken pretty badly by the lack of a tty too ;-), so detect
      lack of TERM and refuse to use that frontend.
    - Same for slang frontend.
    - Lack of a controlling tty messes with the Text frontend,
      though it still half-way works in some circumstances.
      I've made its parent, the Tty frontend, detect this and bail.
    - That also affected the Editor frontend (which could perhaps work in
      this situation, but only if you use an X based editor, and tough
      luck then).
    ... so in conculsion, if you do this, you'll probably get the
    Noninteractive frontend. Woe on you if you're upgrading ssh and it
    clobbers PermitRootLogin. :-(
  * Tagged all frontend fallback messages for i18n.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Nov 2000 13:26:38 -0800

debconf (0.5.26) unstable; urgency=low

  * Corrected uninitialized value leading to looping bahavior in text
    frontend, Closes: 77923

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Nov 2000 16:37:21 -0800

debconf (0.5.25) unstable; urgency=low

  * dpkg-reconfigure: Wait until after loading db before doing frontend
    fix up. Closes: #77847

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Nov 2000 13:54:19 -0800

debconf (0.5.24) unstable; urgency=low

  * Typo.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Nov 2000 23:23:56 -0800

debconf (0.5.23) unstable; urgency=low

  * Fixed noninteractive note element to not let the shell get its grubby
    little hands on unvalidated input, which was making it puke.
    Closes: #77589 and a whole raft of other bugs filed against X which we
    will be merging to it. Special thanks to Ingo Saitz for providing many
    debug logs, and the person I've forgot who should delete my debug
    account from their box now.

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Nov 2000 23:22:09 -0800

debconf (0.5.22) unstable; urgency=low

  * Temporarily depends on perl-5.6 until perl-5.6-base is fixed so
    POSIX.pm works without the former package installed. Grrre.
    Closes: #77399, #77397 (really perl's bugs, but it has enough open on
    this issue already).

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Nov 2000 22:27:56 -0800

debconf (0.5.21) unstable; urgency=low

  * The stuff the postinst adds to apt.conf now doesn't return a error
    code and make the apt run fail even if peices of the system like perl
    are broken, as they are now for so many people. I had held off on this
    change for a long time, but enough is enough.
  * Also some not-yet-ready copletion stuff in the text frontend.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Nov 2000 21:22:26 -0800

debconf (0.5.20) unstable; urgency=low

  * The text frontend now supports backing up! It's now probably the
    most usable of all debconf frontends, if you're comfortable at the
    command line. Give it a try! (Tab completion is on the horizon, too.)
  * A pretty painful reorganization of how all Elements return and validate
    values -- at least it's consistent now.
  * Probability I broke something this time: 76.51%

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Nov 2000 13:55:05 -0800

debconf (0.5.01) unstable; urgency=low

  * Added something to the help to make select widgets more obvious.
  * Fixed sizing of select widgets.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Nov 2000 21:19:05 -0800

debconf (0.5.00) unstable; urgency=low

  * Modified all the frontends to deal with this scenario:
        A config scripts asks questions a, b, and c. a and c are asked at
        priorities that make them visible, b is not. The user gets to c,
        and backs up.
    Previously, debconf would loop back to b, skip it again, and return the
    user to c. Now it is smart enough to go back to a once b is skipped.
  * Changed how debconf keeps track of what questions have been seen
    before. Now it tracks this info on a per confmodule basis, and when a
    confmodule terminates, sets the "seen" flag on (almost) all questions
    that were displayed. Questions that are shown multiple times during the
    same confmodule run will indeed appear multiple times[1]. This makes
    supporting backing up trivial; it means that people have no excuse to
    play around with the isdefault flag anymore, which they almost always
    got wrong anyway; and it renames that flag to the much clearer "seen".
  * It is possible that this change breaks confmodules that expect to be able
    to display the same question twice with impunity.
  * NOTE NOTE NOTE if you use this new behavior, make sure to depend on
    debconf (>= 0.5)!
  * The isdefault flag will continue to work, it is just mapped to the
    inverse of the "seen" flag now, and deprecated.
  * All the frontends were reworked to various degrees to make this work,
    and I got rid of a fair bit of redundant code too.
  * Modified debconf's own config script to use these features and sure
    enough, it looks quite clean and simple now.
  * Updated all docs.
  * Added nasty code to transition from the isdefault flag to the new flag.
  * Fixed backup in dialog frontend, 255 == -1
  * Just to make life more interesting, I made debconf depend on perl 5.6;
    which allows me to remove all my crud working around bugs in perl
    5.005, and lets me use lots of nifty 5.6-specific features, but not,
    sadly, lvalues.
  * Probability of all this breaking something: 99.99%
  .
  [1] Unless they are to be displayed in the same block.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Nov 2000 21:07:19 -0800

debconf (0.4.11) unstable; urgency=low

  * Swedish translation from peter karlsson <peter@softwolves.pp.se>

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Nov 2000 15:42:51 -0800

debconf (0.4.10) unstable; urgency=low

  * Corrected man page location, Closes: #76747

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Nov 2000 17:28:16 -0800

debconf (0.4.09) unstable; urgency=low

  * Corrected italian choices list to include translation of "critical".
    I don't see any problems in the other translations. (No, there is no
    automated check yet.) Closes: #75312
  * Slang frontend now forces a refresh each time. It pains me to do this,
    but it prevents screen corruption if something is output in between.
    Closes: #72891
  * Wrote a debconf.8 man page, Closes: #58287 It's very tiny right now;
    I'd sorta like to convert the docbook userguide.xml and use it as the
    man page, but I cannot figure out docbook2man. Help!
  * Closes: #76273, this bug is only in a not really released version.
  * Randolph updated apt-extracttemplates to build with the new apt. I
    have converted that to use ifdefs so it should build with both.
  * Added a hostname to the mails sent out by the noninteractive frontend,
    as admins may have multiple hosts configured to sent mail with the same
    hostname. Closes: #76653 Also reformatted the messages some for clarity
    and conciseness.

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Nov 2000 13:58:53 -0800

debconf (0.4.08) unstable; urgency=low

  * Randolph updated apt-extracttemplates to use the new libapt.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Nov 2000 20:42:07 -0800

debconf (0.4.07) unstable; urgency=low

  * Fixed a subtle bug in the slang frontend. This bug made noninteractive
    elements not be "shown" ever, so they didn't send mail. It also made
    noninteractive select elements get "" shoved into them whenever they
    were INPUT, which messed up some things like progeny's postfix package.

 -- Joey Hess <joeyh@debian.org>  Tue, 31 Oct 2000 13:30:21 -0800

debconf (0.4.06) unstable; urgency=low

  * Added a check to the metaget command to make sure the requested field
    exists.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Oct 2000 13:47:47 -0700

debconf (0.4.05) unstable; urgency=low

  * Ignore any number of leading and trailing newlines around templates,
    since the spec doesn't really say There Must Be Only One, and it can be
    useful to have more. Closes: #75420

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Oct 2000 16:32:09 -0700

debconf (0.4.04) unstable; urgency=low

  * confmodule: Properly quote arguments to frontend, just in case.
    Closes: #74827
  * debconf-loadtemplates was totally hosed. It forgot to load the db up,
    and so it wiped it all out when it saved it! Fixed, Closes: #74826
  * Added basic syntax checking and usage to debconf-getlang (and
    debconf-loadtemplate too). Closes: #74825

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Oct 2000 12:00:41 -0700

debconf (0.4.03) unstable; urgency=low

  * Fixed a typo in the preinst.
    Closes: #75318, #66484, #75322, #75328, #75339, #75341, #75319, #75367,
    #75399 (and probably a bunch more, but they're merged anyway). Actually
    tested this time, and it actually works.
  * Patch from bod to wrapper.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Oct 2000 10:15:25 -0700

debconf (0.4.02) unstable; urgency=low

  * Bod rewrite the ConfModule wrapper. Now should handle errors properly.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Oct 2000 15:51:46 -0700

debconf (0.4.01) unstable; urgency=low

  * Moved over to a hopefully more robust check in the preinst to see if
    the database needs to be converted, after receiving two reports that
    the current check is not always firing. Closes: #75240
  * Patch from Martin Quinson <mquinson@ens-lyon.fr> to po/Makefile, adding
    stuff for translators. It automatically merges the new debconf.pot
    with .po files, and outputs stats on how up-to-date the translation is.
  * Seems that the Debian::DebConf::Client::ConfModule stub from bod
    isn't good enough. :-( The problem is code that calls stuff like
    Debian::DebConf::Client::ConfModule::title directly. Ugh. Added an AUTOLOAD
    with a nasty eval to deal with this. Closes: #75239
  * Fixed an uninitialized value if a boolean item has no default. Bleagh.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Oct 2000 11:24:03 -0700

debconf (0.4.00) unstable; urgency=low

  * Removed recursive build-dependancy on debconf-utils. There were two
    ways to do this, the quick hack way and the move lots of directories in
    cvs way. I took the latter.
  * While I was reorganizing *EVERYTHING*, I renamed all the perl modules,
    what was Debian::DebConf::foo is now Debconf::foo.
    Debian::DebConf::Client::ConfModule is now just Debconf::ConfModule, but
    a stub module exists in the old location for backwards compatability
    (thanks, bod).
  * If you use the new module, you should depend on this version of
    Debconf!
  * This hacking also required some ugly ugly hacking of the debconf
    database. Debconf needs a real database. :-(
  * I guess this means the filename in all the .po files are wrong, bug
    since those filenames are in comments, the .po files should continue to
    work, right?
  * debconf-utils now depends on debconf >= 0.4, so it will continue to
    work.
  * Needless to say, this was a massive PITA all around. I've NEVER going
    to do this again, so I hope I got it right.
  * For a short while, I considered using MakeMaker. That is, until I
    noticed MakeMaker had no way of marking scripts for install into
    /usr/sbin, and after not one but two perl gods advised me using it for
    anything more cpmplex than a simple library package was not a good
    idea. People have asked me to use MakeMaker in the past, and it's just
    not going to happen unless you send me a very nice patch.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Oct 2000 13:35:41 -0700

debconf (0.3.83) unstable; urgency=low

  * Removed CVS dirs that snuck into the binary debs.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2000 00:37:40 -0400

debconf (0.3.82) unstable; urgency=low

  * French templates and po file from
    Martin Quinson <mquinson@zeppelin-cb.de> (shrug ;-)
  * Added some useful info to Template parse exceptions.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2000 11:43:54 -0400

debconf (0.3.81) unstable; urgency=low

  * Added Spanish templates file from Enrique Zanardi <ezanard@debian.org>.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Sep 2000 17:45:28 -0700

debconf (0.3.80) unstable; urgency=low

  * Japanese now fully up to date thanks to Keita Maehara <maehara@debian.org>
    Closes: #72697

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Sep 2000 07:56:48 -0700

debconf (0.3.79) unstable; urgency=low

  * Copyright change: debconf is now licensed under the terms of the BSD
    copyright, minus the advertising clause. I have contacted all
    contributors and they agree with this license change. This also changes
    the license of the Configuration Management spec. The sole exception to
    this change is some libapt code in Client/preconfigure that is part of
    the /usr/lib/debconf/apt-extracttemplates binary. That code remains
    under the GPL, as it is part of libapt. It will hopefully be moved back
    into libapt one day. apt-extracttemplates is not necessary for the
    proper functioning of debconf; it is just a binary used in an
    optimization.
  * Motivations for this change were various. I want programs to be able to
    use debconf even if they are not licensed under the GPL, and it could
    be argued debconf serves as a library (with varying degrees of
    correctness depending which part you were talking about). I would like
    debconf to be available to others, including the BSD community, some of
    whom I know are looking at issues that could possibly be solved by
    debconf.
  * Several reogranaizations for this. Deleted doc/COPYING. Added a README.
    Included the text of the copyright into debian/copyright, since it is a
    slightly modified BSD license (minus point 3). Modified numerous files
    for the new copyright. Removed Client/preconfigure/README, and included
    the text that was in it (expended) indo debian/copyright. Added
    doc/COPYING to Client/preconfigure/ (how many copies of the GPL do
    _you_ have in your cvs repository? ;-) Caused debian/copyright to be
    linked to doc/COPYRIGHT in the source tarball.

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Sep 2000 09:02:59 -0700

debconf (0.3.78) unstable; urgency=low

  * Let's just say that you really don't want to install version 0.3.77.
    I'll probably get oh, 15 bug reports on this one. :-(

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Sep 2000 16:06:52 -0700

debconf (0.3.77) unstable; urgency=low

  * Updated templates.ja from Keita Maehara <maehara@debian.org>. Still
    out of date, though. Closes: #71937

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Sep 2000 11:30:57 -0700

debconf (0.3.76) unstable; urgency=low

  * Whoops, let's not install cvs .#* files into the binary package or
    generate POD docs for them, shall we?

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Sep 2000 11:57:17 -0700

debconf (0.3.75) unstable; urgency=low

  * Reworded and reformatted some of Debconf's questions. Translations:
    not yet up to date.

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Sep 2000 00:27:12 -0700

debconf (0.3.74) unstable; urgency=low

  * Sometimes you put in something to be helpful, and it comes back to bite
    you in a major way. Say you add some code to /usr/share/debconf/confmodule
    to allow broken postinst scripts that use debconf to still echo stuff to
    stdout and not have it go to debconf. Then you find that this hack makes
    legitimate code that uses the confmodule and uses the perl ConfModule
    library nested inside, not work. So your choices are to add a further
    hack to the perl ConfModule, or end all these hacks and do things
    cleanly. Unfortunatly, several packages have come to depend on the hack.
    What do you do?
  * Well I chickened out and hacked Client::ConfModule. But I have added an
    entry to the TODO, and if you have a broken debconf-using package,
    expect a bug report soon.
  * Some copyright file cleanups.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Sep 2000 19:35:58 -0700

debconf (0.3.73) unstable; urgency=low

  * My night for stupid debconf bugs. It turns out that the
    string element in the dialog frontend was causinng the
    default from the template to be used if the a text input
    line was returned empty. Now "" is returned as it should
    be. I know one package bitten by this is cvs, in its
    repository directory selection question.

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Sep 2000 21:27:20 -0700

debconf (0.3.72) unstable; urgency=low

  * Fixed a really stupid typo in the editor and text frontends
    that made them ignore the width of the screen.

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Sep 2000 21:08:22 -0700

debconf (0.3.70) unstable; urgency=low

  * Don't strip Client::ConfModule of pod docs.
  * Build depends on a links that support -dump. Don't know when this was
    added, so I'll just build-depend on the current version.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Aug 2000 10:30:04 -0700

debconf (0.3.69) unstable; urgency=low

  * Questions w/o extended descriptions are a bad thing. The tutorial
    now speaks more strogly about this.
  * Added Spanish translation thanks to Enrique Zanardi <ezanard@debian.org>.
    Only the .po file so far, not templates.

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Sep 2000 13:15:47 -0700

debconf (0.3.68) unstable; urgency=low

  * Corrected a title refresh bug in the slang frontend, Closes: #70693
  * Other minor fixes.

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Aug 2000 18:34:53 -0700

debconf (0.3.67) unstable; urgency=low

  * Spelling corrections from Sean, who should ispell the xml next time.
  * Killed an uninitialized value warning, Closes: #70508 (This one is
    tickled only by nasty packages like sslwrap that provide no extended
    descriptions to their questions. Evil.)
  * Fixed a debconf corrupted database crash. This is, I think, just
    another bit of fallout from the very old debconf db corruption problem
    (see changelog entry 0.3.19). Closes: #69781, #69582

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Aug 2000 14:48:48 -0700

debconf (0.3.66) unstable; urgency=low

  * Corrected the wrapping-of-bulleted-lists issue. It is now possible to
    have bulletted lists or other preformatted text in a templates file
    just like you would in a normal debian control file -- 2 space indent.
    Closes: #65518
  * This was too easy. Silly me.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Aug 2000 16:17:54 -0700

debconf (0.3.65) unstable; urgency=low

  * Fixed preconfiguring -- since version 0.3.60, it has unnecessarily
    skipped preconfiguring of all packages that Depend: on debconf w/o a
    version. Silly thinko..

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 18:27:05 -0700

debconf (0.3.64) unstable; urgency=low

  * Switched to using links to convert html to text, since it
    a) handles tables ok
    b) doesn't omit link references
  * Long-overdue fix to the specification -- added the list of commands to
    it -- they were removed when it was converted to xml.

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Aug 2000 02:06:39 -0700

debconf (0.3.63) unstable; urgency=low

  * Make a nice non-scary message if Term::Stool is not installed and one
    tries to use the slang frontend. For some reason, normal perl cannot
    load lib messages seem to be scaring users to death. Closes: #68557
  * Fixed doc dir symlink, Closes: #68558

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Aug 2000 19:24:22 -0700

debconf (0.3.62) unstable; urgency=low

  * Reworked rules file, since this package now has arch-indep and -dep
    parts. Split build dependancies along those lines. Closes: #68461
  * Removed obsolete Version.pm (Randolph's code does the checking now).

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Aug 2000 15:20:21 -0700

debconf (0.3.61) unstable; urgency=low

  * Passthrough fix. s/carp/croak/

 -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2000 18:23:25 -0700

debconf (0.3.60) unstable; urgency=low

  * So we (culus, tausq, joeyh) did some benchmarking, and figured out how
    to speed up dpkg-preconfigure by about 3x. It turns out most of the
    existing overhead was in calls to dpkg-deb, which is slow, and in all
    the forking necessary to do said calls, which is also slow. So we moved
    the initial package scanning out into a C++ program which links to apt
    code and is quite fast. (Sadly, it's also quite big, and has bloated
    debconf by 30k and made it arch-dependent.) Anyway, I guess it's worth
    it to save a few seconds. <shrug>
  * Some internal code reogranizations and function renames and stuff,
    to make things more flexable.
  * New Passthrough "frontend" to allow third-party GUI operation, by
    Randolph Chung. This is currently somewhat experimental.
  * Frontend fallback is now based on per-starting-frontend lists -- ie,
    slang can fallback to dialog while dialog falls back to slang, without
    an infinite loop being created. Closes: #68337
  * Capabilities fix: There was a problem if, eg, debconf and then cvs were
    configured. Debconf supports BACKUP, cvs does not, but the frontends
    were not informed of the change. Now they are, and the slang frontend
    properly dims out the back button in this situation.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jul 2000 23:03:09 -0700

debconf (0.3.53) unstable; urgency=low

  * Cleanups to the xml docs to use "question" consistently.
  * Fixed stupid tab expansion problem. It's really Text::Wraps' fault; bug
    filed.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jul 2000 16:56:49 -0700

debconf (0.3.52) unstable; urgency=low

  * Since jade generates the ugliest html I have ever seen, I'm now
    using tidy to clean that up and indent it properly.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Jul 2000 04:43:48 -0700

debconf (0.3.51) unstable; urgency=low

  * Fixed some undefined value warnings, Closes: 67029

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jul 2000 21:59:27 -0700

debconf (0.3.50) unstable; urgency=low

  * Fixed FrontEnd::makeelement to not crash if a question has no
    associated template. This should never happen, but a very old version
    of debconf left behind databases with that problem. The fix is trivial:
    just use $question->type instead of $question->template->type. This has
    the exact same effect, with the side effect of catching undef'd
    templates and not crashing. It goes on to not make an element in that
    case, which is reasonable.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jul 2000 14:50:46 -0700

debconf (0.3.49) unstable; urgency=low

  * s/dpkg-getlang/debconf-getlang/ # Closes: #65918
  * Typo fix, Closes: #65919
  * More debug code added for bug #66484.
  * Added italian translation of templates file (po still needs to be
    translated), from Eugenia Franzoni <eugenia@pluto.linux.it>

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Jun 2000 15:50:35 -0700

debconf (0.3.48) unstable; urgency=low

  * Added debug code to help track down bug #66484.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Jul 2000 16:24:53 -0700

debconf (0.3.47) unstable; urgency=low

  * Added Japanese translation from Akira YOSHIYAMA <yosshy@cts.ne.jp>

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jul 2000 14:54:40 -0700

debconf (0.3.46) unstable; urgency=low

  * Fixed documentation of isdefault flag, which needs to be renamed.
    Cf, Bug #64374.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Jun 2000 19:05:27 -0700

debconf (0.3.45) unstable; urgency=low

  * Corrected a bua in how text multiselect elements parsed input: A
    2-diget number would be incorrectly split into 2 numbers. Closes: #66195

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Jun 2000 14:38:36 -0700

debconf (0.3.44) unstable; urgency=low

  * Russian translation update.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2000 15:56:54 -0700

debconf (0.3.43) unstable; urgency=low

  * Don't let the dialog frontend run with with TERM=dumb either.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2000 12:33:57 -0700

debconf (0.3.42) unstable; urgency=low

  * Running debconf's dialog frontend inside an emacs shell buffer is a
    VERY bad idea. Dialog/whiptail tend to exit immediatly with an error
    message. Said error goes to stderr. Unfortunatly, the design of
    dialog/whiptail is such that you _read_ stderr to get the user's reply,
    and a return code of 1 is also not unusual. Thus, random garbage about
    emacs not being a suitable terminal gets fed into the debconf database.
    Yich. To prevent this nestiness, the dialog frontend will now refuse to
    run in an emacs shell buffer.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2000 11:06:12 -0700

debconf (0.3.41) unstable; urgency=low

  * Some Polish translation fix of which I am ignorant.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Jun 2000 17:10:43 -0700

debconf (0.3.40) unstable; urgency=low

  * Updated Polish translation.
  * Fixed perl 5.6 specific error message.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jun 2000 12:25:56 -0700

debconf (0.3.39) unstable; urgency=low

  * Fixed slang hide/show help button to be wide enough for
    the currentl localization. Closes: #64752

 -- Joey Hess <joeyh@debian.org>  Fri, 26 May 2000 15:52:33 -0700

debconf (0.3.38) unstable; urgency=low

  * Fixed a minor bug in frontend -- notice when a template file has been
    successfully loaded, and don't keep trying to find it.
  * Applied the same fix to multiselect elements that I applied to select
    elements in the last version. I think using internationalized debconf
    should work pretty well now.
  * The editor frontend now asks that you separate chocies in multiselect
    questions with spaces and commas, so it will work if the choices
    contain spaces.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 May 2000 13:19:43 -0700

debconf (0.3.37) unstable; urgency=low

  * Added Russian translation, by Michael Sobolev <mss@transas.com>
  * Added French translation, by Vincent Renardias <vincent@ldsol.com>
  * Now that I have real localizations to work with, I can find some
    related problems.
    - Fixed all select elements to translate back to C locale whatever is
      input into them. They had been storing it internally in the language
      that was being used, and passing those localized values to the
      config scripts that used them, which didn't exactly work very well..
    - Similarly, translate the default value, which is in the C locale, to
      the current locale before using it to prompt the user.
  * Made frontend fallback even more robust, mainly to deal with the results
    of the above mentioned select element nastiness.
  * Element::Editor::Select had the wrong parent; this is corrected.
  * Added a newline at the end of the files the editor frontend generates,
    since vim likes to see one there.
  * Failure to make an input element has been upgraded to be a warning
    message, instead of the debug message it was before. This should not
    happen in normal use, if it does, I want to know. (Of course, the slang
    frontend still has no multiselct elements, maybe this will remind me to
    fix that sometime..)
  * Fixed a nasty infinite recusion error in the web frontend, which
    actually works now.
  * Reworked the debconf debug mechanism. It now uses symbolic names for
    various types of debug messages, and DEBCONF_DEBUG specifies which
    types are shown. See the User's Guide for details.
  * Some reorganizations to the Tutorial; split out some big sections into
    entities to aid maintenance. Moved namespace.txt into the tutorial as
    an Appendix.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 May 2000 14:05:37 -0700

debconf (0.3.36) unstable; urgency=low

  * Fixed typo that broken the web frontend (#64474)

 -- Joey Hess <joeyh@debian.org>  Sun, 21 May 2000 20:36:51 -0700

debconf (0.3.35) unstable; urgency=low

  * Updated and completed the Polish l10n thanks to Marcin Owsiany
    <porridge@pandora.info.bielsko.pl>.
  * Now build depends on the latest debhelper to automatically merge
    translated templates files.
  * Corrected stupid mistake I made when I added sprintf() calls. Now new
    Polish translation is fully functional.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 May 2000 14:21:49 -0700

debconf (0.3.34) unstable; urgency=low

  * Fixed minor bug in Template stringification.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 May 2000 12:43:56 -0700

debconf (0.3.33) unstable; urgency=low

  * Note to self: test before uploading

 -- Joey Hess <joeyh@debian.org>  Mon, 15 May 2000 22:09:35 -0700

debconf (0.3.32) unstable; urgency=low

  * Fixed a minor bug in debconf-getlang to do with when Default needs to
    be translated.

 -- Joey Hess <joeyh@debian.org>  Mon, 15 May 2000 16:34:48 -0700

debconf (0.3.31) unstable; urgency=low

  * Jazzed up the Template class. It can now load in templates files and
    instantiate whole sets of templates on the fly. This is good because
    that code used to be in ConfigDb, which is the part of debconf that
    will probably go away eventually.
  * Templates can also strignify themselves now, which recreates a
    templates file entry. And there is a class method for stringifying a
    whole list of objects, which can recreate a whole templates file.
  * The above new functionality lets me use the Template class for
    something new: management of translated templates files. Added some new
    utilities to help with splitting and merging templates files for
    translation. The idea for these utilities came from Michael Sobolev
    <mss@transas.com>. Thanks, Michael!
  * Added mentions of these utilities to the tutorial.
  * Broke off all the small and non-essential utilities into a new
    debconf-utils package. Developers and extreme power users may want it,
    others will not.
  * All the programs in debconf-utils now have names starting with
    "debconf-". This means dpkg-debconf has been renmaed (again) to
    debconf-communicate, and dpkg-loadtemplate has been renamed to
    debconf-loadtemplate. I hope these are the last name changes.
  * Used sprintf in all gettext() calls that have a parameter. This may
    have messed up the polish translation though.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 May 2000 14:31:14 -0700

debconf (0.3.30) unstable; urgency=low

  * gettextized the entire source tree, so it can now be translated. I used
    Locale::gettext for this, but since it is not in base, I have arranged
    for debconf to continue working if it is not found (just using the C
    locale).
  * Added polish translation from Marcin Owsiany
    <porridge@pandora.info.bielsko.pl>.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 May 2000 17:05:56 -0700

debconf (0.3.24) unstable; urgency=low

  * Prompted priority to standard, since lynx depends on it. Closes: #63346

 -- Joey Hess <joeyh@debian.org>  Mon,  1 May 2000 18:26:53 -0700

debconf (0.3.23) unstable; urgency=low

  * Don't use the 'lib' module in Client/frontend. Closes: #62629
  * Dpkg-preconfigure in apt mode bails if it is asked to scan just one
    package. Thete's no benefit to preconfiguration if you're just doing
    one, because apt is just going to install it immediatly anyway. This
    optimizes for the "apt-get install foo" case.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Apr 2000 22:00:15 -0700

debconf (0.3.22) unstable; urgency=low

  * Catch undefined value returned if a package that is not installed is
    preconfigured, and use '' instead. This clears up the undefined value
    warning people have been seeing for months.
    Closes: #55498, #57792, #62263, #53657
  * Fixed for a while: Closes: #48816

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Apr 2000 15:40:48 -0700

debconf (0.3.21) unstable; urgency=low

  * Corrected bug in slang frontend -- if the last item in a dropdown
    select box was default, it was not highlighted as such correctly.
    Closes: #62021

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Apr 2000 20:14:37 -0700

debconf (0.3.20) unstable; urgency=low

  * debconf-doc conflicts with older versions of debconf that contained the
    manpages. Closes: #62030

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Apr 2000 14:34:14 -0700

debconf (0.3.19) unstable; urgency=low

  * Added crazy new frontend: it just makes a pseudo-config file, and
    pops up your favorite editor on it.
  * Killed question w/o template debug code, I'm reasonably sure the problem
    is just happenning to people who had a very old version of debconf, and
    that the problem is being corrected properly.
    Closes: #62004, #61970, #61947
  * Added debug code to try to track down the uninitialized value in
    confmodule startup/open2 bug.
  * Fixed a bug in the 'use base' expander that was causing multiple
    inheritance to turn into syntax errors.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Apr 2000 16:06:42 -0700

debconf (0.3.18) unstable; urgency=low

  * dpkg-reconfigure detects if your default frontend is Noninteractive,
    and uses Slang instead so you actually get to reconfigure the package.
    Closes: #57614

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Apr 2000 17:32:26 -0700

debconf (0.3.17) unstable; urgency=low

  * And this is an upload with the -doc package turned back on. Maybe one
    day a ftp admin will be kind enough to approve that new package..

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Apr 2000 16:08:50 -0700

debconf (0.3.16) unstable; urgency=low

  * This is a quick build w/o the -doc package, to allow debconf to get
    quickly through incoming without waiting for manual approval (I have
    some important bugs fixed in the many versions below that are stuck in
    Incoming.)

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Apr 2000 16:00:44 -0700

debconf (0.3.15) unstable; urgency=low

  * Don't crash if a question has no associated template. That should never
    happen, but I have one report of it happening. I suspect that some
    rather old version of debconf caused the problem. It's also possible
    that deleting the templates.db file might cause similar problems. I've
    made debconf ask for bug reports in this case, so I can gather more
    data.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Apr 2000 15:18:33 -0700

debconf (0.3.14) unstable; urgency=low

  * Tightended up regexp that pareses Template: lines, so spaces are not
    allowed in the name of a template. As a side effect, this just ignores
    trailing space on all fields in a templates file. I hope this has no
    bad side effects..

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Apr 2000 14:37:37 -0700

debconf (0.3.13) unstable; urgency=low

  * Minor doc updates.
  * Fixed syntax error in Client::ConfModule, Closes: #61535

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Mar 2000 15:22:31 -0800

debconf (0.3.12) unstable; urgency=low

  * Used exported sub names in a few places I missed before.
  * Renamed AutoSelect::frontend and AutoSelect::confmodule to
    make_frontend and make_confmodule, and allow them to be exported
    too.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2000 16:53:55 -0800

debconf (0.3.11) unstable; urgency=low

  * Added dpkg-debconf. This is a program that lets you send commands to
    debconf directly from the command line. Will probably be quite useful
    for debugging purposes. (We used to have something like this a long,
    long time ago, but I like this new design better.)

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2000 16:26:19 -0800

debconf (0.3.10) unstable; urgency=low

  * Added dpkg-loadtemplate, a simple program that loads templates into the
    debconf database. This is *not* intended to be used by debian packages,
    but can be useful for debugging purposes and for pre-seeding the
    database before installing a package.
  * Moved all external manpages for perl programs into POD format.
  * Updated all pod docs to fix formatting problems.
  * debconf-tiny is no more. Instead, we now have debconf and debconf-doc.
    This makes debconf proper be nearly as small as debconf-tiny used to be
    and gets rid of the set of problems associated with debconf-tiny.
  * This huge and unmanageable changelog is 20k compressed. To make debconf
    a reasonable size, I am only including the last 5 changelog entries in
    debconf; the rest go in -doc.
  * Several modules are now Exporters, and I use that where possible to
    reduce code size.
  * Strip all pod docs out of modules in binary package. Ugly, but saves a
    great deal of space.
  * Killed off the gtk frontend. The code has been rotting, and it just
    needs to be rewritten.
  * Changed the AutoSelect fallbacks around, most frontends now fall back
    to Slang.
  * Text frontend no longer always prompts for a Enter press at the end of
    a run.
  * Moved some doc files into doc/ in the source package.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2000 11:57:54 -0800

debconf (0.3.01) unstable; urgency=low

  * AUTOLOAD function now creates field accessor functions on the fly.
    Slight speedup.
  * s/property/field/g

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Mar 2000 18:42:28 -0800

debconf (0.3.0) unstable; urgency=low

  * New custom slang frontend. Give it a try!
  * * warning * *
    This frontend does not yet support multiselect list boxes. So you might
    not see a very few questions that packages may ask if you use this
    frontend.
  * Build-depend on w3m, Closes: #60815
  * Added links in confmodule man page, Closes: #60780
  * Ignore backups if the client does not support them.
  * If asked to present the same question twice in a single block,
    skips the second occurrance.
  * Fairly large reorganization of code throughout debconf, and more
    internal module documentation.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Mar 2000 14:36:32 -0800

debconf (0.2.107) unstable; urgency=low

  * Made noninteractive select elements smarter. If the value is set, but
    is set to something not on the list, disregard it and pick the first
    element from the list. This is actually an important bugfix; it's been
    causing problems with apt-setup in base-config, making
    http.us.debian.org be incorrectly picked as the default when users try
    to set up apt to use a country that just has one mirror on file.
  * Closes: #60160 (important)

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Mar 2000 13:30:52 -0800

debconf (0.2.106) unstable; urgency=low

  * Added DEBIAN_PRIORITY for consitency.
  * Text frontend now prompts you to hit return if text has been displayed
    w/o a prompt. This is to prevent said text from running off the screen
    during a dpkg run. To make this work, I had to add a shutdown method to
    frontends, to be called before a frontend is destroyed.
  * Denastified the object property references all over. I just hope I didn't
    remove any direct accesses that were meant to be there (often a good
    way to introduce infinite loops, so use this version with care..)
  * Optimized the Text frontend's handling of resize events.
  * Fixed a compile error in the specification, and actually installs the
    spec's gif.

 -- Joey Hess <joeyh@debian.org>  Thu,  2 Mar 2000 18:44:30 -0800

debconf (0.2.105) unstable; urgency=low

  * Fixed noninteractive note element to not mark the item as seen if
    /usr/bin/mail doesn't exist. (Oops)

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Mar 2000 15:13:40 -0800

debconf (0.2.104) unstable; urgency=low

  * Use fully-qualified path for dpkg-preconfigure in apt.conf,
    Closes: #58469

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Mar 2000 11:36:11 -0800

debconf (0.2.103) unstable; urgency=low

  * Removed quite obsolete exim samples. I don't want to maintain samples
    anymore past those needed by the tutorial and a regression test script.
    There is quite enough real debconf code out there.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Feb 2000 17:10:11 -0800

debconf (0.2.102) unstable; urgency=low

  * Corrected three ways badly written packages could make
    dpkg-preconfigure die:
     - They could try to ask questions that didn't exist.
     - They could try to ask questions using garbage priority values.
     - They could have garbage template files that lack required fields.
    All three are now handled sanely, and debconf even tells the client
    what stupid thing it has done in the first 2 cases. To make that work,
    I made FrontEnd::add much simpler, and moved a lot of the failure-prone
    code into Confmodule::command_input, and did some other
    reorganizations.
  * Checked and I don't think any more cases like this exist in debconf.
  * While I was at it, I shut up messages about failing to make
    noninteractive elements in debug 2 mode. A common FAQ causer.
  * Added a Debian.bugtemplate file, in an attempt to get people to report
    bugs that are actually useful. This is used by newer reportbug
    packages.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Feb 2000 14:08:03 -0800

debconf (0.2.101) unstable; urgency=low

  * Fixed another stupid typo, that messed up text select and multiselect
    elements sometimes.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Feb 2000 13:15:33 -0800

debconf (0.2.100) unstable; urgency=low

  * Fixed a stupid typo introduced last version.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Feb 2000 12:34:26 -0800

debconf (0.2.99) unstable; urgency=low

  * Added --unseen-only switch to dpkg-reconfigure. This makes it only ask
    questions that have not been asked before. Closes: #59260

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Feb 2000 11:30:21 -0800

debconf (0.2.98) unstable; urgency=low

  * When debconf or debconf-tiny is purged, the database is not deleted if
    debconf or debconf-tiny is still installed. Closes: #59029

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Feb 2000 13:19:56 -0800

debconf (0.2.97) unstable; urgency=low

  * word-wrap all text that is mailed at 75 columns, Closes: #58911

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Feb 2000 20:09:43 -0800

debconf (0.2.96) unstable; urgency=low

  * Catch SIGPIPEs from confmodules and handle them. Closes: #58847, #58818

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Feb 2000 10:34:29 -0800

debconf (0.2.95) unstable; urgency=low

  * dpkg-reconfigure: Now forces priority to low when reconfiguring
    packages. People have often complained that it should do this,
    so it does now. Added a swtich to disable this behavior, which should be
    used by eg, the boot floppies when it reconfigures base-config. Also,
    re-wrote the switch parsing to match how it's done in dpkg-preconfigure.
  * Removed lots of extortions to use -plow from docs.
  * Bother. base.pm is not in perl-base. Added nasty code to fix this when
    building debconf-tiny.

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2000 11:59:11 -0800

debconf (0.2.94) unstable; urgency=low

  * Copyright and url updates.
  * dpkg-reconfigure: don't run the postrm of the package. Doing so breaks
    things when for example, the package uses dpkg-divert and tries to
    remove diversions in the postrm. This cannot be an isolated problem
    either. This reverses the change made in version 0.2.52, which did not
    say why I added it in the first place.. (suspicion: non-idempotent
    postinst scripts may need the postrm to clean up after them before being
    called again. However, such scripts are broken.)
    Closes: #58527 (important bug)
  * no changes; Closes: #58495 (I'm not going to add 3 lines of code bloat
    to a package in base just to provide a marginally better error message.)
  * Added --help to dpkg-preconfigure and dpkg-reconfigure. Closes: #58496
  * Added more cautions about passwords to the tutorial.
  * Text mode [multi]select elements now display in multiple columns. This is
    experimental, and I don't know how it will interact with having support for
    descriptions associated with items in the selection list, which is a todo
    item.
  * Use w3m again to format docs (how'd I lose that?)

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Feb 2000 20:51:44 -0800

debconf (0.2.93) unstable; urgency=low

  * Fixed minor back problem in debconf's own config script, and some
    documentation fixes.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Feb 2000 11:56:02 -0800

debconf (0.2.92) unstable; urgency=low

  * Important fix: don't accidentially delete Dialog/Text.pm from
    debconf-tiny.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Feb 2000 13:16:56 -0800

debconf (0.2.91) unstable; urgency=low

  * dpkg-preconfigure: It turns out that the trick of reading from stdin
    until EOF, then reading more later only works if stdin is a tty. When it
    was running from apt, that wasn't so, and so it caused dialog to lock up,
    in a tight loop, unable to read keypresses from stdin. The fix is
    pretty simple; just open /dev/tty and connect STDIN to it after reading
    the filelist from apt. Closes: #56518, #57771 (important bugs).
  * Disabled dialog exclusion that was added in the last release.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Feb 2000 11:52:24 -0800

debconf (0.2.90) unstable; urgency=low

  * Fixed dpkg-preconfigure to not use Getopt::Long, so it will work even on
    the base system it is now a part of.
  * As a workaround for the dialog lock problem (which seems to be a dialog
    bug), never use dialog for the text mode menus. Works around: #56518
    (grave), #57771 (important)

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Feb 2000 01:09:11 -0800

debconf (0.2.89) unstable; urgency=low

  * Use perl's "base" module throughout the code, cutting 2 lines from each
    module. Due to a bug in the module, I had to throw lots of "use"'s back
    in, in the case of child modules that had a name that just appeneded to
    the name of their parent. I have filed a perlbug about that
    (ID 20000212.001). These additions are marked "# perlbug" so I can grep
    them back out later.
  * Warning: I expect this release is very buggy. But that's why you're
    tracking unstable, right?

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Feb 2000 01:51:48 -0800

debconf (0.2.88) unstable; urgency=low

  * Add templates file, config script, postinst, and posrtm to debconf-tiny,
    so debconf/priority actually exists. This is necessary so base-config
    can change the priority if the boot-floppies were installed in verbose or
    quiet mode. This is a critical bugfix, as it fixes a bug that made newly
    installed systems unusable.
  * Added dpkg-preconfigure to debconf-tiny, since this:
    a) lets debconf-tiny use debconf's postinst unchanged
    b) is useful in general to have in debconf-tiny
  * Several k of bloat. Oh well..

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Feb 2000 19:49:38 -0800

debconf (0.2.87) unstable; urgency=low

  * Corrected 2 typos, Closes: #57605
  * Closes: #57607 -- already fixed.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Feb 2000 00:04:35 -0800

debconf (0.2.86) unstable; urgency=low

  * Fixed a typo I introduced earlier today.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Feb 2000 20:54:09 -0800

debconf (0.2.85) unstable; urgency=low

  * Fixed some uninitialized values related to multiselct questions with no
    defaults.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Feb 2000 20:20:56 -0800

debconf (0.2.84) unstable; urgency=low

  * Added code to postinst to delete long-obsolete /etc/debconf.cfg

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Feb 2000 14:41:13 -0800

debconf (0.2.83) unstable; urgency=low

  * dpkg-reconfigure: detect perl confmodules properly, by making my regexp
    match case in-sensitively. This fixes a bug that made dpkg-reconfigure
    not work at all to reconfigure packages that used ConfModule.pm.
  * dpkg-reconfigure: assume all config scripts are confmodules, it would be
    pretty weird for one not to be, and this speeds things up a tiny bit.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Feb 2000 11:37:23 -0800

debconf (0.2.82) unstable; urgency=low

  * Installed workaround from Joel Klecker to fix the annoying termcap
    warning from Term::Readline. This does not close these bugs, but it does
    work around them: #47363, #50286, #50540, #51787, #52052, #53274, #55142,
    #56987, and #46270

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Feb 2000 23:44:26 -0800

debconf (0.2.81) unstable; urgency=low

  * Added checks for wrong number of parameters in all command_* subs in
    ConfModule.pm. If the check fails, error 20 is returned (syntax error).

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Feb 2000 16:24:27 -0800

debconf (0.2.80) frozen unstable; urgency=low

  * Adjusted debconf dependancy to perl-5.005, not perl5. As Raphael points
    out, just dependong on perl5 does not guarentee Data::Dumper is available.
    Raphael thinks this is a critical bug.
  * debconf-tiny's dependancy, on the other hand, was already ok.
  * Binary and source packages no longer contain CVS backup files,
    Closes: #55860

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Jan 2000 11:44:56 -0800

debconf (0.2.79) frozen unstable; urgency=low

  * dpkg-reconfigure: Now checks each script before running it
    to see if it is a confmodule, if not, runs it as a normal script,
    not under the confmodule interface. base-config shows this is necessary,
    with its non-confmodule postinst. This change is needed in frozen to
    keep base-config working.
  * Fixed debconf's oldest bug report, which turned out to be a bug in how
    IPC::Open3 was being called. It also turns out this bug is tickeled by
    base-config, since it will be reconfiguredd from inittab, so it turned out
    to be a critical bug. Closes: #47659
  * Documented (again) in dpkg-reconfigure.8 that
    "dpkg-reconfigure --priority=medium debconf" should be used to
    reconfigure debconf. Closes: #55706

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jan 2000 12:34:30 -0800

debconf (0.2.78) frozen unstable; urgency=low

  * Woops, I forgot to let the CLEAR command be executed in any of the
    confmodule libraries!
  * base-config needs that command, so this must go to frozen.
  * Fixed an undefiend value warning in Element::Dialog::Password

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jan 2000 16:14:38 -0800

debconf (0.2.77) frozen unstable; urgency=low

  * debconf proper depends on perl5 (not -base), because some utilities
    do use Getopt::Long. debconf-tiny continues to just depend on
    perl-5.005-base, because everything in it will work without debconf.
    Closes: #55381 (important)
  * Added --all option to dpkg-reconfigure, for use by the boot-floppies
    inittab.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Jan 2000 18:11:12 -0800

debconf (0.2.76) frozen unstable; urgency=low

  * Re-enabled use of _ and . in template fields. Necessary for localaization.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Jan 2000 01:09:28 -0800

debconf (0.2.75) frozen unstable; urgency=low

  * Corrected a bug in noninteractive select elements. Amoung other things,
    this bug broke apt-setup in base-config (so it is a critical bug, yada,
    yada). I believe this also Closes: #55036

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Jan 2000 20:38:33 -0800

debconf (0.2.74) frozen unstable; urgency=low

  * I guess these changes are necessary to make debconf usable for people
    who use locales, so this should _probably_ go into frozen.
  * Switched over to using perl's setlocale() function to determine the
    current locale. This means that locale aliases work, and that users
    who have a locale like 'es_ES.ISO-8859-1' see all the es_ES messages.
  * Added one level of locale fallback: for example, it looks for 'es'
    messages too in the case above.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Jan 2000 02:20:39 -0800

debconf (0.2.73) frozen unstable; urgency=low

  * Make dpkg-reconfigure work inside a base system that has no Getopt::Long.
    This is critical to get into potato, because base-config has to be
    dpkg-reconfigure'd on initial reboot to set the root password and so on.
  * Really make dialog frontend default. I thought I did this 8 versions
    back..
  * Medium priority is now default.
  * Probably fixed bug #55174, but who knows, I cannot reproduce it anyway.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Jan 2000 20:20:44 -0800

debconf (0.2.72) unstable; urgency=low

  * Renamed dpkg-preconfig to dpkg-preconfigure, for consistency.
    Closes: #53893
  * Moved dpkg-preconfigure and dpkg-reconfigure to /usr/sbin.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2000 12:55:10 -0800

debconf (0.2.71) unstable; urgency=low

  * Sped up and simplified language code.
  * Fixed dpkg-preconfigure to not re-show old questions when running in apt
    mode (oops!)

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2000 18:01:34 -0800

debconf (0.2.70) unstable; urgency=low

  * '_' and '.' can now appear in fields names in templates. Necessary for
    some localization.. If you use them in a field name, you had better
    depend on this version; earlier ones will die if they see such a thing.
  * Fixed a logic error that broke debconf if you had LC_ALL or LANG set,
    Closes: #54615, #54638, #54655

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Jan 2000 14:03:31 -0800

debconf (0.2.69) unstable; urgency=low

  * Debconf is not yet internationalized itself, but the data it reads in
    from templates now may be.
  * Documented what else I need to do toward i18n in the TODO.
  * Client::ConfModule detects newline in text it is going to send out,
    and warns about them. This after the pain of debugging what a spare \n
    can do to the protocol..

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Jan 2000 17:41:11 -0800

debconf (0.2.68) unstable; urgency=low

  * Documented DEBCONF_DEBUG, Closes: #54434
  * Don't show "none of the above" choice in text frontend's select element.
    It is only supposed to be in multiselect elements.
  * A few more bug reports that were fixed 2 versions ago should be closed.
    Closes: #54459, #54462, #54429, #54393, #54443, #54400

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Jan 2000 14:19:33 -0800

debconf (0.2.67) unstable; urgency=low

  * When the back button is hit, clear the buffer of all questions.
    Fixes some truely confusing behavior.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Jan 2000 18:55:39 -0800

debconf (0.2.66) unstable; urgency=low

  * Fixed type that was making a sbin file, Closes: #0.2.65

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Jan 2000 15:34:56 -0800

debconf (0.2.65) unstable; urgency=low

  * Add dpkg-reconfigure to debconf-tiny.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Jan 2000 01:09:33 -0800

debconf (0.2.64) unstable; urgency=low

  * Changed default frontend (again), back to the dialog frontend. I can't
    really make my mind up on this, but my reasoning for using dialog is that
    debconf-tiny is going to be used by several packages on a fresh install,
    so the user is going to see some debconf dialog stuff right from the
    start. Changing to text half-way through is liable to be confusing.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2000 23:24:55 -0800

debconf (0.2.63) unstable; urgency=low

  * Removed apt-setup; it is in base-config now.
  * Minor README change.
  * Now build-depends on sgml-data, to follow the bouncing xml.dcl.
  * In fact, I have to change things to use a new name and path for that
    file too.
  * Really fixed that typo.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2000 20:32:15 -0800

debconf (0.2.62) unstable; urgency=low

  * Typo fix, Closes: #54205

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2000 11:53:14 -0800

debconf (0.2.61) unstable; urgency=low

  * When dpkg-preconfig is run from apt, it turns off showing of old
    questions. That remains turned off until all preconfiguration is complete.
    The effect is that you can now configure debconf to re-show old questions,
    and not have to suffer through seeing all the old questions twice. If
    you turned off showing of old questions because seeing questions twice was
    annoying, you may want to turn it back on now.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Jan 2000 22:51:45 -0800

debconf (0.2.60) unstable; urgency=low

  * Client/frontend: the templates filename guessing has been a bit broken
    in one case. I've fixed that now, Closes: #53730. Happy GNU year!

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Dec 1999 16:10:07 -0800

debconf (0.2.59) unstable; urgency=low

  * Don't use lib. Closes: #53316

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Dec 1999 12:50:50 -0800

debconf (0.2.58) unstable; urgency=low

  * Now just depends on perl-5.005-base (of sufficiently recent version),
    since that package now contains everything I need. (Closes: #53186)
  * Client/frontend: Look for templates in /usr/share/debconf/templates/
    as well as the current directory. Useful for stadalone programs that
    use debconf.
  * Include apt-setup in debconf and debconf-tiny for now, since the base
    system needs them available *now*. This is not the right long-term
    location, though. Closes: #53187 (Adam, you want to run
    "/usr/sbin/apt-setup probe")

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Dec 1999 21:31:50 -0800

debconf (0.2.57) unstable; urgency=low

  * Tightened up the perl dependancies. I think the previous looser
    dependancies might have caused a problem.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Dec 1999 16:53:22 -0800

debconf (0.2.56) unstable; urgency=low

  * Depend on the version of fileutils that supported
    --ignore-fail-on-non-empty, Closes: #52746 (should that bug really have
    been grave? It could only be triggered if you installed debconf w/o
    upgrading to potato fileutils, and then purged it.)
  * Despite what the bug report says, the postinst has never ran rmdir.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Dec 1999 16:53:20 -0800

debconf (0.2.55) unstable; urgency=low

  * Added to the tutorial.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Dec 1999 13:42:39 -0800

debconf (0.2.54) unstable; urgency=low

  * In the dialog frontend, do not pass the default password to dialog. This
    is a security hole, and besides it's very confusing since dialog doesn't
    display the passowrd, and the user might inaverdently append to it.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Dec 1999 19:09:13 -0800

debconf (0.2.53) unstable; urgency=low

  * "Cancel" (or hitting escape) in the dialog frontend is now interpreted
    to mean back up a step. Not quite intuitive, but it is the bast thing I
    can do with a cancel button, and I need the ability to backup.
    Closes: #51887
  * Reworked how question values are set. This is now done in FrontEnd::go(),
    instead of in each Element's show() method.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Dec 1999 14:27:49 -0800

debconf (0.2.52) unstable; urgency=low

  * Debconf install now asks if you want to preconfigure packages, and
    if you answer no, does not add/removes call to dpkg-preconfig in apt.conf.
  * Changed user's guide to match.
  * dpkg-reconfigure runs the postrm now. It's also substantially smaller.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 1999 14:26:26 -0800

debconf (0.2.51) unstable; urgency=low

  * Made noninteractive frontend really silent. Closes: #51952
  * Corrected debconf-tiny's conflicts.
  * Autoselect can now have loops in the frontends it tries, it is smart
    enough to break the loops. This lets the text frontend fallback to the
    Dialog frontend. Since that is the only frontend in debconf-tiny,
    this is required to make it use the dialog frontend.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 1999 13:49:16 -0800

debconf (0.2.50) unstable; urgency=low

  * Needs a versioned debhelper dependency.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 12:57:39 -0800

debconf (0.2.49) unstable; urgency=low

  * Build-Depends on docbook-stylesheets, which are needed to make the xml
    docs be formatted decently.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Dec 1999 19:35:41 -0800

debconf (0.2.48) unstable; urgency=low

  * Added comment to apt.conf that the line was added by debconf,
    Closes: #51720

 -- Joey Hess <joeyh@debian.org>  Thu,  2 Dec 1999 13:14:56 -0800

debconf (0.2.47) unstable; urgency=low

  * Element/Dialog/String.pm: Fixed a thinko that is causing the warning
    messages reported in bug #51561.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Nov 1999 12:45:26 -0800

debconf (0.2.46) unstable; urgency=low

  * Changed tutorial docs of version command. Clients are not stricly
    required to pass a version number into it.
  * Removed warning message if a client does not pass in a version,
    Closes: #51431
  * Added build dependancy info.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Nov 1999 20:36:51 -0800

debconf (0.2.45) unstable; urgency=low

  * Discovered dialog's --separate-output parameter, and use it for
    multiselect boxes, since it simplfies parsing.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 1999 10:52:03 -0800

debconf (0.2.44) unstable; urgency=low

  * w3m -dump works again, so use it.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 15:48:20 -0800

debconf (0.2.43) unstable; urgency=low

  * dpkg-preconfig: modified regexp to work under perl 5.004
    (Closes: #50854, #50880)

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Nov 1999 13:36:37 -0800

debconf (0.2.42) unstable; urgency=low

  * Improved abbreviation finding algorythm for text select elements.
  * Cleaned up the show method of Element::Text::Select.
  * Element::Text::MultiSelect can now inherit from Element::Text::Select,
    making it much shorter.

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Nov 1999 18:22:09 -0800

debconf (0.2.41) unstable; urgency=low

  * Changed how text frontend's select element indicates which choice is
    default. It can now indicate when numbers are the default. Closes: #50751
  * Detect if libterm-readline-*-perl is being used. If so, allow
    interactive editing of the default, since that is supported. If not,
    display the default as part of the prompt. This makes things more
    consistent overall.
  * Added 'none of the above' option to [multi]select elements, so if you
    don't have libterm-readline-*-perl, you can still override the default
    and choose nothing. Unfortunatly, I still don't see a way to do that with
    string input elements..
  * Since w3m is currently broken, dump pages with lynx for now.

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Nov 1999 14:08:55 -0800

debconf (0.2.40) unstable; urgency=low

  * dpkg-preconfig: Do a basic dependancy check before attempting to
    preconfigure a package. If the package depends on a newer version of
    debconf than is installed, do not preconfigure. (Closes: #50411, #50236)
    Should prevent any further breakages of the type we've seen before.
  * doc/tutorial.xml: If you use the multiselect data type, you should depend
    on debconf 0.2.26.
  * Version.pm: Added, to store the debconf version.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Nov 1999 13:16:16 -0800

debconf (0.2.38) unstable; urgency=low

  * When processing what dialog returns after showing a multiselct, there
    may be trailing space after the last double quote. Nodified to handle
    that, Closes: #50471

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Nov 1999 15:58:38 -0800

debconf (0.2.37) unstable; urgency=low

  * Client/frontend: be less aggressive when trying to guess a template
    filename. Fixes sslwrap purge problem.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Nov 1999 14:55:59 -0800

debconf (0.2.36) unstable; urgency=low

  * I've been persuaded that the Text frontend is the best default for
    new installs. This doesn't change the default for people who already
    have debconf installed.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Nov 1999 16:12:04 -0800

debconf (0.2.35) unstable; urgency=low

  * Update database files atomically, should fix the isolated empty db files
    that have been reported twice now.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Nov 1999 13:47:31 -0800

debconf (0.2.34) unstable; urgency=low

  * Fixed 3 bugs reports that will get filed in the next 36 hours. The
    debconf bug betting pool is now open -- how many times will this be
    reported now that it's been fixed? :-p
  * Specifically, now that ConfModule doesn't send a return code for STOP,
    frontends can't try to read such a return code, or they hang.

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Nov 1999 20:04:16 -0800

debconf (0.2.33) unstable; urgency=low

  * Debconf scripts now automatically load their templates when they are
    invoked manually, if the .templates file is present in the same directory.
  * This makes debconf-loadtemplate basically obsolete, so I have removed it.
  * This means there is no need for a special test.pl in the source package.
  * And this also means it's now a lot easier to debug config scripts before
    putting them in a package. Documented this in the tutorial.
  * Feh, I have to keep the debconf-tiny changelog in sync with this one,
    or the package version isn't updated. Debhelper is too smart for its
    own good. Hacked around it. (If other people have this problem, I can
    add a flag to debhelper to handle this better..)
  * Documented everywhere that when reconfiguring debconf, --priority=medium
    is a good idea. Closes: #50225

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Nov 1999 09:46:22 -0800

debconf (0.2.32) unstable; urgency=low

  * Added a debconf-tiny package, which is a very stripped down debconf to be
    used on the base system. Debconf itself is 117+k, mainly because of all
    the frontends and docs. To make debconf-tiny, I:
    - removed all docs
    - removed all frontends except dialog and noninteractive
    - removed most stuff in /usr/bin
    - stripped out all POD docs and regular comments from all perl modules
    - All this got the package down to 27k compressed. 14k compressed of that
      was this changelog (It's all the fault of long changelog entries like
      this one!)
    - So, I started a new changelog for debconf-tiny, in which I will record
      changes specific to it. debconf-tiny is now 12k.
  * Removed /etc from package.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Nov 1999 17:08:58 -0800

debconf (0.2.31) unstable; urgency=low

  * Always returns "mulitselect" as one of it's capabilities now.
    This was added because people need a way for their packages, when
    preconfigured, to check to see if they have a new enough version of
    debconf to ask a multiselect question.
  * The better, long term fix is basic dependancy checking in
    dpkg-preconfig, and that is now the top of my todo list.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Nov 1999 13:58:13 -0800

debconf (0.2.30) unstable; urgency=low

  * STOP cannot return a success code, since in all likelyhood, the pipe it
    would try to write it to is broken. (Closes: #49856, #49946)
  * debug messages are now prioritized, DEBCONF_DEBUG can be set to 1 to see
    some, 2 for more, etc.

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Nov 1999 19:40:50 -0800

debconf (0.2.29) unstable; urgency=low

  * dpkg-preconfig now clears it's progress meter when done, like apt
    does now.
  * Fixed a possible infinite recursion in the text frontend, if you
    use it on an absurdly small screen. (It tried to display the title,
    had to paginate it, went to display [More], and first decided
    to display the title...)
  * With doogie's help, simplified Client/confmodule a bit.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Nov 1999 15:38:11 -0800

debconf (0.2.28) unstable; urgency=low

  * Added a Debconf user's guide.
  * Cleaned up the doc Makefile.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Nov 1999 01:06:19 -0800

debconf (0.2.27) unstable; urgency=low

  * Corrected Client::ConfModule to return the right thing when one of its
    functions is called in scalar context. It was returning the result code
    by mistake, now it returns the value, like it is documented to do.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Nov 1999 21:18:40 -0800

debconf (0.2.26) unstable; urgency=low

  * Added multiselect data type.
  * Wrote input elements for this type for all frontends except the Gtk
    frontend. The Gtk frontend needs a bit of a redesign before it can
    handle this, I think.
  * Made dpkg-preconfig properly accept -f and --frontend, Closes: #49920

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Nov 1999 12:30:39 -0800

debconf (0.2.25) unstable; urgency=low

  * Removed gtk frontend from list of frontends. If you already have it
    selected, you can continue using it, but I'm sick of people filing bugs
    on it who didn't bother to read the note that said it had known problems
    and should not be used.
  * dpkg-reconfigure now doesn't do anything if it's told to reconfigure
    packages that lack a config script. This makes it not fail on packages
    that don't use debconf, though it is just a no-op with them.
    Closes: #48190

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 1999 17:15:04 -0800

debconf (0.2.24) unstable; urgency=low

  * Fixed the stty error messages, and screen size detection should work
    again. For some reason I had to make stty use /dev/tty for stdin, plain
    default stdin doesn't work when dpkg-preconfig is being run by apt.
  * Change undefined values to '' when starting confmodules, Closes: #49797
  * Fixed web frontend to never display empty forms.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 1999 15:29:53 -0800

debconf (0.2.23) unstable; urgency=low

  * Added sane defaults if stty -a fails. (Closes: a whole slew of bug
    reports people will file over the next 2 days. :-P)

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 1999 15:00:16 -0800

debconf (0.2.22) unstable; urgency=low

  * The noninteractive frontend now mails notes to root.
  * Reworked the mechanism that makes select questions always set
    their value when they are INPUT, even if they arn't really displayed,
    to be much cleaner: This is now handled by the noninteractive select
    element.
  * Reworked how Elements are created to use eval, which kills the
    duplicated makelement() code in all the FrontEnds.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Nov 1999 21:10:26 -0800

debconf (0.2.21) unstable; urgency=low

  * frontend now works if run from something other than dpkg. Closes: #49449
  * Created a new Tty frontend to serve as a base class for Dialog and Text.
    It detects screen resizes. Made it the parent of Dialog and Text,
    and they now also detect screen resizes. Debconf in a 30x5 xterm is
    beautiful!

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Nov 1999 16:12:38 -0800

debconf (0.2.20) unstable; urgency=low

  * Fixed the text frontend to not lower-case choices in a select list.
    (Closes: #49650)

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Nov 1999 15:18:15 -0800

debconf (0.2.19) unstable; urgency=low

  * People just don't seem to get it -- NEVER use dh_input in a postinst!
    Tightened up the language about that in the tutorial, and repeated my
    self in several places in the hope people will read at least one of them.
  * Eliminated use of Fcntl, one of the modules that made us depend on perl.
  * Deleted the copy of the spec that was local to this document. The
    configuration management spec is now available as an xml document, in
    Debian CVS. For convenience, debconf includes that document now.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Nov 1999 17:34:02 -0800

debconf (0.2.18) unstable; urgency=low

  * Spelling fixes, Closes: #49587
  * Documented on each man page that talks about --frontend, how the
    frontend can be permanently changed. Closes: #49537
  * Don't crash if told to remove a nonexistant question.
  * Rationalized debug and warning message printing.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Nov 1999 11:56:07 -0800

debconf (0.2.17) unstable; urgency=low

  * So it is possible to use debconf from the preinst of a package, after
    all. Added sundry nasty hacks to make it work. (Also talked with BenC
    and Wichert about doing this right in dpkg.)
  * When a package is installed for the first time, the config script now
    gets "" as its second parameter, as it should.
  * ConfModule.pm now just execs a frontend, instead of turning into one. Not
    quite as cool, but a lot easier to maintain.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Nov 1999 12:36:13 -0800

debconf (0.2.16) unstable; urgency=low

  * Made frontend fallback message less scary.
  * Split the template data out of the main debconf database and into
    templates.db. This reduces the chances of it getting corrupted.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Nov 1999 11:19:49 -0800

debconf (0.2.15) unstable; urgency=low

  * The last changelog lies: it's actually not possible to do any debconf
    stuff in a preinst. The templates arn't available then.
  * Documented this, until someone comes up with a workaround.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Nov 1999 11:31:28 -0800

debconf (0.2.14) unstable; urgency=low

  * I found that the currently installed version of the package was being
    passed to the config script if the package was just installed with dpkg
    and not preconfiged. Fixed.
  * If a preinst sources confmodule, the config script will be run.
    Needed for packages like ssh that need to ask questions before install
    time always.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 1999 15:22:17 -0800

debconf (0.2.13) unstable; urgency=low

  * Patchs from Fumitoshi UKAI <ukai@ukai.org> to:
     - fix typo that was breaking gtk frontend, Closes: #49074, #49076
     - call set_locale so gtk frontend can display text in any language,
       Closes: #49075

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 1999 12:26:45 -0800

debconf (0.2.12) unstable; urgency=low

  * dpkg-preconfig is now more robust: If a config script fails, it
    outputs an error message, but continues so as much as possible of the
    install can still complete.

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Nov 1999 13:08:07 -0800

debconf (0.2.11) unstable; urgency=low

  * Fixed spelling error, Closes: #49032, which was filed on base for
    unfathomable reasons.

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Nov 1999 12:47:39 -0800

debconf (0.2.10) unstable; urgency=low

  * For some reason, jade was inserting '&#13;' into generated html, which
    looks nasty in w3m. Fixed that, and also use w3m to dump html to text
    now, so tables are legible.

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Nov 1999 16:55:15 -0800

debconf (0.2.9) unstable; urgency=low

  * Squashed a ConfModule startup warning.
  * Removed an implicit apt dependancy.
  * _Really_ fixed problem with newline after owner. Tested and retested
   this time. Closes: #48450

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Nov 1999 12:45:54 -0800

debconf (0.2.8) unstable; urgency=low

  * Fixed xml stylesheet to include legalnotice.
  * Fixed a stupid error that was making parameters never get passed into
    confmodules. Closes: #48824, #48853
  * Closes: 47458 (been fixed for a while)

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Nov 1999 11:31:28 -0800

debconf (0.2.7) unstable; urgency=low

  * Select Elements are not shown if they have less than 2 choices. However,
    for conistency, even if not shown, the value of the Question they represent
    is changed as if they were shown.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 1999 21:28:40 -0800

debconf (0.2.6) unstable; urgency=low

  * Expanded and fixed up the Debian::DebConf::Client::ConfModule.2pm
    man page. Closes: #48809
  * Moved that man page to man section 3. Closes: #48810
  * Corrected Question->value to return undef if there is no default set.
    This Closes: #48829, and is the right thing to do. It does, however,
    break slews of debconf code that never expected to get an undef there.
    So I dug around and fixed it all, I think.
  * Fixed entering of '0' into text box in dialog frontend, which was broken.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 1999 12:11:44 -0800

debconf (0.2.5) unstable; urgency=low

  * Removed stupid debugging code. (oops)

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Oct 1999 22:38:59 -0700

debconf (0.2.4) unstable; urgency=low

  * Just for Culus, sped up dpkg-preconfig by a factor of 3.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Oct 1999 20:26:29 -0700

debconf (0.2.3) unstable; urgency=low

  * Fixed confmodule.sh reentrancy bug again.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Oct 1999 18:34:30 -0700

debconf (0.2.2) unstable; urgency=low

  * Corrected debconf upgrade problem. If an old version of debconf
    preconfig'd a newer version, the config script failed.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Oct 1999 17:15:53 -0700

debconf (0.2.1) unstable; urgency=low

  * Confmodule.pm fixes I forgot in the last version.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Oct 1999 18:20:46 -0700

debconf (0.2.0) unstable; urgency=low

  * Now uses version 2.0 of the configuration management protocol.
    - All commands in the protocol now return a numerical return code,
      optionally followed by a space and a text return code.
  * confmodule is a new shell library that handles this by making each
    command it provides now return the numerical return code. They continue
    to set $RET to the text return code. This means that you now have to
    check the return codes of those commands, or the set -e script you are
    running them in may exit if they return an error code.
  * confmodule.sh is now deprecated, but remains for backwards compatability,
    and has special compatability code in it.
  * ConfModule.pm handles this by making each of its commands, when called
    in list contect, return a list consiting of the numeric return code, and
    the string return code. When called in scalar context, it behaves
    in a backwards compatable way.
  * Deprecated the VISIBLE command. Check to see if INPUT returns 30 instead.
  * Deprecated the EXIST command. Check for return code 10 from commands that
    try to use the question, instead.
  * The GO command no longer returns "back"; instead, it returns 30.
  * Documented all this.
  * Hey, a state machine is the way to go if you want to support back buttons!
    Converted the tutorial to reccommend this, and converted debconf's own
    config script into a state machine.
  * Used tables in several places in the tutorial where they make sense.
  * Split the actual working templates and code out of the tutorial, and put
    it in the samples direcotry. It is included inline so it is still
    available in the tutorial, but now I can also debug it and make sure it
    works..
  * Added the noninteractive frontend to the list of choices you get when
    configuring debconf.
  * If the text frontend fails (this can really happen, if you run debconf
    w/o a controlling tty in an autobuilder, say), falls back to the
    noninteractive frontend. (Closes: #48644)
  * The web frontend now only accepts connections from localhost.
  * The web and noninteractive frontends now print out text saying they are
    running.
  * If a frontend fails, the failure message is always printed, not just in
    debug mode.
  * Fixed checkboxes in the web frontend so if they are unchecked, this
    fact is noted.
  * Added debconf-loadtemplate to the .deb.

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Oct 1999 14:04:13 -0700

debconf (0.1.75) unstable; urgency=low

  * Fixed confmodule.sh reentrancy problem.
  * Fixed a problem with empty text input fields in the Dialog frontend
    setting the value of the question back to default instead of to ''

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Oct 1999 12:41:41 -0700

debconf (0.1.74) unstable; urgency=low

  * Added a very important note to the tutorial.

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Oct 1999 15:38:42 -0700

debconf (0.1.73) unstable; urgency=low

  * In the dialog frontend, if a prompt is too big to fit on a dialog and
    has to be slit up, it will now display just the extended description
    in a dialog, and then display a new dialog with the short description
    and the actual input element in it. This is intended to reduce confusion
    when a user sees a question at the bottom of a dialog and an "Ok"
    button beneath it -- that won't happen any more, and I think it's
    ok to say this change Closes: #47644
  * Reduced the amount of code in Dialog Elments a lot.
  * Fixed yet another bug in dialog select box sizing. WIll they never end?
  * Dialog select boxes no longer have numbered items. Looks better.

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Oct 1999 14:14:51 -0700

debconf (0.1.72) unstable; urgency=low

  * dpkg-preconfig: fixed so it chomps the package name, to prevent ugliness
    like \n in the owners field. Closes: #48450

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Oct 1999 12:48:54 -0700

debconf (0.1.71) unstable; urgency=low

  * The dialog frontend can now use --passwordbox with both whiptail and
    dialog, so I made that change. (Closes: #47196)
  * Added a section to the tutorail on adding backup capabilities to config
    scripts. (Closes: #47676)

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Oct 1999 15:02:10 -0700

debconf (0.1.70) unstable; urgency=low

  * Some work done towards supporting containers.
  * Config scripts are now passed the version of the package that is currently
    installed when they are run, which is normally the old version of the
    package. (Analagous to postinst scripts.)

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Oct 1999 06:35:34 -0700

debconf (0.1.69) unstable; urgency=low

  * Fixed the web frontend to send a HTTP reponse header, patch from
    Fumitoshi UKAI <ukai@debian.or.jp>, Closes: #47937

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Oct 1999 16:19:43 -0700

debconf (0.1.68) unstable; urgency=low

  * s/newbie/politically_correct_language()/eg;
    Closes: #47668
  * With regards to the second part of that bug report: critical is first on
    the list, and always has been, unless you are using the dialog frontend,
    where I have to do nasty re-ordering to make the default be first. If
    you want, file a seperate (wishlist) bug on this.

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Oct 1999 15:26:34 -0700

debconf (0.1.67) unstable; urgency=low

  * Fixed a truely braindead problem in Container.pm, which was breaking
    Select Elements a bit. (Closes: #47683)

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Oct 1999 15:14:17 -0700

debconf (0.1.66) unstable; urgency=low

  * Fixed typo in debconf template. (Closes: #47458)

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Oct 1999 14:44:24 -0700

debconf (0.1.65) unstable; urgency=low

  * Applied patch from Rafael Laboissiere to add an "exists" command.
    Be warned that this command is probably only temporary, I am looking
    for a better solution. (Closes: #46927)

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Oct 1999 13:52:43 -0700

debconf (0.1.64) unstable; urgency=low

  * Slighly better handing of select element in text frontend if it has more
    than 26 choices.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 1999 22:30:13 -0700

debconf (0.1.63) unstable; urgency=low

  * Fixed text fromtend boolean input element to return true if true is
    the default. (Closes: #47049)
  * Fixed tutorial typo. (Closes: #47050)

 -- Joey Hess <joeyh@debian.org>  Sat,  9 Oct 1999 18:11:24 -0700

debconf (0.1.62) unstable; urgency=low

  * Added stylesheet to turn on toc's.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Oct 1999 21:31:31 -0700

debconf (0.1.61) unstable; urgency=low

  * Converted the tutorial and introduction to xml and docbook.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Oct 1999 16:26:17 -0700

debconf (0.1.60) unstable; urgency=low

  * Disabled gdialog support just temporariy.
  * Works with the latest dialog in unstable, re-enabled dialog support.
  * Dialog select boxes are now indexed starting at 1, not 0.
  * Documented a confmodule.sh gotcha in a tew troubleshooting section of
    the tutorial.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Oct 1999 09:36:02 -0700

debconf (0.1.59) unstable; urgency=low

  * Guarded postinst code that modifies apt.conf to prevent dup entries.
  * Started doing some cleanup of the gtk frontend:
    - It no longer flashes the window up on the screen unless it really
      has a question to ask this time around.
    - Made cancel button work.
    It still segfaults on exit though.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 1999 18:21:35 -0700

debconf (0.1.58) unstable; urgency=low

  * Allowed confmodule.sh to be loaded twice. Closes: #46843

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 1999 14:44:30 -0700

debconf (0.1.57) unstable; urgency=low

  * Patch from rafael@icp.inpg.fr (Rafael Laboissiere) to fix a perl warning,
    Closes: #46871
  * Another patch from Rafael to fix a mistake in the tutorial. Closes: #46873

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 1999 13:40:02 -0700

debconf (0.1.56) unstable; urgency=low

  * Wrote a perl module dependancy grapher, and include output in the .deb
    package. I need to clean up parts of the Element hierarchy. Running this
    on all perl modules in /usr/lib/perl is amusing, too, though it needs
    some more work to be of general utility. (And I suspect someone has
    already written a better one I'm not aware of.)
  * Made a new frontend -- the Noninteractive frontend.
  * All objects in debconf now derive from a common base class, which saved
    a few dozen lines of code at least.
  * There is now only one ConfModule object, no more multiple derived
    objects per FrontEnd type. To make this work, I had to move the capb
    property into the FrontEnd.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 1999 02:52:02 -0700

debconf (0.1.55) unstable; urgency=low

  * Reorganized some modules. No user-visible changes.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 1999 16:20:43 -0700

debconf (0.1.54) unstable; urgency=low

  * Gtk frontend can use the newest gtk-perl to test whether opening the
    display will work. Closes: #46736
  * metaget'ing choices now returns a list. Fixes the other half of #46606.
  * Select boxes that consist of one item are not displayed.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 1999 11:21:01 -0700

debconf (0.1.53) unstable; urgency=low

  * Corrected db_text command in confmodule.sh, Closes: #46640
  * Corrected typo in confmodule.3 man page, Closes: #46651
  * Corrected whiptail window sizing problems, Closes: #46498, #46655

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 1999 11:21:25 -0700

debconf (0.1.52) unstable; urgency=low

  * Fixed fatal dpkg-reconfig typo.

 -- Joey Hess <joeyh@debian.org>  Mon,  4 Oct 1999 15:45:32 -0700

debconf (0.1.51) unstable; urgency=low

  * Debconf config scripts are now called with options. "configure" is
    normally passed, "reconfigure" is passed if dpkg-reconfig is
    reconfiguring the package. After that, the version of the package is
    passed.
  * dpkg-reconfigure will only work on packages that are fully installed.

 -- Joey Hess <joeyh@debian.org>  Mon,  4 Oct 1999 14:12:56 -0700

debconf (0.1.50) unstable; urgency=low

  * Corrected several errors with how the choices field is accessed.
    (Closes: #46606)
  * No longer parses the choices field at template load time. This is a
    big change and might break stuff -- we'll see.

 -- Joey Hess <joeyh@debian.org>  Mon,  4 Oct 1999 11:26:32 -0700

debconf (0.1.49) unstable; urgency=low

  * Added a simple little progress report display to dpkg-preconfig so
    when apt passes it 200 packages to be upgraded on a 386, it's clear
    that something is actually going on.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 1999 18:04:38 -0700

debconf (0.1.48) unstable; urgency=low

  * Quoted a few more bareword hash keys that were causing a perl warning. What
    puzzles me is I cannot reproduce the warning at all.. (Closes: #46545)

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 1999 17:18:36 -0700

debconf (0.1.47) unstable; urgency=low

  * Doh -- I need to update to use debhelper's debconf support! :-)
  * Gdialog only takes --defaultno options at the end. Dialog only takes
    than at the beginning. Whiptail takes them either place. Argh. I've
    changed to using the end for now, since I don't use dialog at all yet.
  * Disambiguated {owners} in Question.pm, Closes: #46347
  * Killed EXAMPLES out of the debian package.
  * Flipped ordering of short and long descriptions in notes and text in the
    dialog frontend; makes more sense this way.
  * dpkg-reconfigure aborts if you arn't root.

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Oct 1999 13:31:06 -0700

debconf (0.1.46) unstable; urgency=low

  * Yesterday's changes to the choices field broke all select lists -- fixed.
  * Added regression tests to TODO, it's clear I need them.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 23:06:49 -0700

debconf (0.1.45) unstable; urgency=low

  * Modified the README to refer to the locations of docs in the installed
    .deb, rather than the tarball, now that most people are installing debs.
    Closes: #46302.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 11:49:12 -0700

debconf (0.1.44) unstable; urgency=low

  * Added the metaget command. I did this mainly to let one get a list of
    the owners of a question, though it might have other uses later.
  * Substitutions now take effect on the choices field as well as the
    description field.
  * Put these two changes together and it's now possible to install several
    related packages (ispell dictionaries, say), and get a list of what
    dictionaries are available when the config scripts run, and only prompt
    the user once for which one they want. Added a section to the tutorial
    about this.

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 1999 15:52:14 -0700

debconf (0.1.43) unstable; urgency=low

  * Fixed the problems with the purge command, which were really package
    name guessing problems and some errors in the new purge code. BenC, it's
    ready for you.
  * Don't install frontend in /bin (Closes: #46149)
  * Fixed a problem with interpretation of the set command. The second
    parameter can have spaces in it.
  * Added data-dumper dependancy, since some perl's don't include it.
    (Closes: #46147)

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Sep 1999 17:17:42 -0700

debconf (0.1.42) unstable; urgency=low

  * Fixed a problem with Client::ConfModule.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 1999 16:12:32 -0700

debconf (0.1.41) unstable; urgency=low

  * Applied patch from Peter Vreman <pfv@cooldown.demon.nl> to correct dialog
    size guessing code. Did some additional fixes for whiptail.
    (Closes: 46060)
  * Fixed a really silly formatting bug in FrontEnd::Dialog that was
    probably leading to what looked like corrupted displays for some people.
  * When breaking a question up over multiple screens with dialog, it makes
    sure to always show the short description when it actually prompts for
    input. This is a lot less disorienting.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 1999 14:41:57 -0700

debconf (0.1.40) unstable; urgency=low

  * gdialog will soon support --defaultno, added versionsed conflicts
    with versions that don't, and support it again.
  * ConfModule::new() doesn't take a confmodule to start anymore, I broke
    that out into a separate function.
  * AutoSelect only starts up the script if it's actually passed once. TRhis
    should fix your problem, BenC.

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Sep 1999 18:16:47 -0700

debconf (0.1.39) unstable; urgency=low

  * Hm, I know I fixed this before, but the fix seems to have been lost:
    Fixed bug in the AutoSelect that was making it *always* try dialog
    first, even if something else was picked. (Closes: #46020)
  * Dialog has no --defaultno flag, which makes it unusable for debconf.
    Oh, so does gdialog. I have submitted a patch for dialog, but for now
    I have simply made debconf not accept dialog. If you don't have whiptail,
    you get text mode. I also made the --defaultno flag be passed first,
    which is how dialog will (eventually) support it. (Closes: #46047)
  * Dialog frontend no longer clears the screen when running. Makes it
    easier to get at debug messages. (Closes: #46048)
  * dpkg-reconfigure was trashing ownerships, fixed.

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Sep 1999 16:50:02 -0700

debconf (0.1.38) unstable; urgency=low

  * Added password data type. Currently supported by the Text frontend
    (though it has problems displaying right in an xterm), the Gtk frontend,
    and the Web frontend (though you'd be insane to use it!).
  * Fixed a nasty bug in the fallback code.
  * Read-protected the debconf db directory.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Sep 1999 20:13:20 -0700

debconf (0.1.37) unstable; urgency=low

  * Fixed a problem if perl failed to configure and dpkg-preconfig then
    bombed out on the next apt run, users would have an unusable apt and not
    be able to fix their system. Now dpkg-preconfigure detects a broken perl
    and exits sanely, allowing apt to continue and fix things.
    (Closes: #45927)
  * Fixed a dpkg-preconfig type introduced last version.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Sep 1999 15:55:51 -0700

debconf (0.1.36) unstable; urgency=low

  * Added fallback frontend support. If the frontend the user selects is not
    available, or fails to initialize (say DISPLAY is unset for Gtk), it will
    fall back intelligently to another frontend.
  * This means debconf doesn't really depend on much at all except perl.
    Moved most stuff to suggests.
  * The Gtk frontend was dying in a way not catchable by eval (!!) if DISPLAY
    was unset; added a fix to that so it falls back instead.
  * Removed some dpkg-preconfig spam.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Sep 1999 13:25:12 -0700

debconf (0.1.35) unstable; urgency=low

  * Mappings. What good are they? None, that I could see, so I completely
    removed them! This doesn't influence debconf's behavior at all, just
    removes many lines of code and makes it all easier to understand.
  * Added the concept that each question is owned by one or more packages.
    When the number of owners goes to zero, the question is removed.
  * Whenever a question is removed, I check to see if the template it used
    is no longer used as well. If so, it's also removed.
  * What this lets us do is it allows packages to get rid of questions and
    templates they created when they are purged. And shared questions are
    fully supported and won't go away until the last package that uses them
    does.
  * Added a "purge" command that accomplishes this easily. (You could of
    course always call unregister by hand for each question, but this is
    easier.)
  * Modifed dpkg-preconfig so all the templates in all the packages that
    are being installed are read first, and then all the config scripts are
    run.
  * The changes above have an intriguing side benefit that offers a fix to a
    vexing problem. There is now a field in each question called "owners", that
    is a comma and space delimited list of the packages that have registered
    ownership. This list is up to date as soon as all the templates are
    loaded if apt is used. A set of related packages can all provide the same
    template in them; and their config scripts can then look at the owners
    field to get the list of all related packages that is/will be installed.
    Then they can do things like turn that into a list of choices of window
    managers, or ispell dictionaries, etc, and prompt the user to pick one.
    This feels only a little hackish, and the only problem with it is that if
    they are not installing with apt, the list isn't fully complete until each
    and every package has been installed.
  * Fixed question default value code so it always inherits from the current
    template, whatever that might be.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Sep 1999 12:52:14 -0700

debconf (0.1.34) unstable; urgency=low

  * Fixed dpkg-reconfigure, which was broken since yesterday.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Sep 1999 15:48:57 -0700

debconf (0.1.33) unstable; urgency=low

  * Fixed template merge bug. This was making old descriptions show up
    even if a new template with changed descriptions was loaded.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Sep 1999 15:07:03 -0700

debconf (0.1.32) unstable; urgency=low

  * Now it properly handles config scripts and postinsts that exit with
    a return code, by propigating that return code up to dpkg.
  * Killed dpkg-frnotend for good. It's in the Attic now only.
  * In the dialog frontend, hitting cancel (or escape, maybe), will now
    break out and cancel everything.

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Sep 1999 15:01:00 -0700

debconf (0.1.31) unstable; urgency=low

  * Added "visible" command to tell if a question will be displayed.
    Very useful for preventing some kinds of loops.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 17:12:00 -0700

debconf (0.1.30) unstable; urgency=low

  * Debhelper now supports debconf, amended turorial to note this.
  * More spelling fixes.
  * Added doc/namespace.ttx, which explains the variable namespace.
  * First upload to unstable.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Sep 1999 12:28:14 -0700

debconf (0.1.29) unstable; urgency=low

  * Patch from James R. Van Zandt <jrv@vanzandt.mv.com> with:
    - spelling corrections
    - man page enhancements
    - better debian/templates text

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Sep 1999 13:04:50 -0700

debconf (0.1.28) unstable; urgency=low

  * Fixed a bug.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Sep 1999 17:00:55 -0700

debconf (0.1.27) unstable; urgency=low

  * Added default title support.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Sep 1999 14:51:36 -0700

debconf (0.1.26) unstable; urgency=low

  * Added a config script and templates for debconf itself. It uses
    them to configure what frontend to use, etc. /etc/debconf.cfg is no
    more.
  * Modified Config.pm so it contains functions that return values,
    not just hard coded values. The functions now try to pull values out of
    the database, and fall back on the defaults. Also, environment
    DEBIAN_FRONTEND always works for specifying a frontend now, overriding
    all else.
  * Changed a myriad of other files that use Config.pm to call the new
    functions.
  * The Priority module is no longer used to set priority, Config.pm can
    handle that now.
  * Added showold to Config.pm, you can always see old questions now, if
    you like.
  * Renamed the entire Line frontend to Text. Line really doesn't make as
    much sense. If you're following long in CVS, I also probably broke your
    repository again; a clean checkout is reccommended. Sorry.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Sep 1999 12:56:43 -0700

debconf (0.1.25) unstable; urgency=low

  * Modified the dialog frontend. Short descriptions now appear after long,
    instead of as dialog titles. The title appears as the dialo title, and
    the background title is "Debian Configuration"
  * Hm, that actually cleaned up the API a bit, I guess it was the right
    thing to do.
  * Fixed link.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Sep 1999 11:48:53 -0700

debconf (0.1.24) unstable; urgency=low

  * Added advanced topics section to the tutorial.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Sep 1999 18:13:51 -0700

debconf (0.1.23) unstable; urgency=low

  * Force use of gnu readline perl library. The other one is too bad.
  * dpkg-reconfigure allows you to configure it's frontend now.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Sep 1999 18:03:19 -0700

debconf (0.1.22) unstable; urgency=low

  * Fixed a typo in the tutorial, and expanded it some.
  * Fixed the apt dependancy, which was on too low a version.
  * Depend on whiptail || dialog || gnome-utils so some kind of dialog is
    installed always.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Sep 1999 17:48:12 -0700

debconf (0.1.21) unstable; urgency=low

  * All the sigchld counting and handling stuff was making debconf segfault
    and making it fragile in various ways. Removed it. Instead, I have
    modified update-menus to DTRT, and I depend on that version.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 17:10:06 -0700

debconf (0.1.20) unstable; urgency=low

  * Fixed Line::Boolean default stuff, last time, I hope.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 16:18:47 -0700

debconf (0.1.19) unstable; urgency=low

  * I had a truely nasty problem: when installing packages using the dialog
    frontend, and using dpkg directly, debconf would segfault shortly after
    the config script was run. It looks like this was due to reentrancy
    problems in my sigchld handler and I think I've squashed it.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 12:22:48 -0700

debconf (0.1.18) unstable; urgency=low

  * Expanded the tutorial, it's now a complete standalone document with
    examples. <pant, pant>
  * Oops, I never implemented the reset command! Fixed that.
  * Oops, there are 2 different reset commands! Renamed one to clear,
    contingent on Wichert's approval, and implemented the other as well.
  * Removed dpkg-frontend from the binary package. I really don't want
    people using it.
  * Added pod docs for all Element files. Rather minimal right now.
  * Tested the changes to Client::ConfModule; they work, but I have
    occasional segfaults if using dialog.
  * UI tewak to text boolean element.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Sep 1999 11:35:45 -0700

debconf (0.1.17) unstable; urgency=low

  * Added COPYING file.
  * Renamed README to EXAMPLES.
  * Wrote a new README that just points to the other files.
  * Wrote doc/INTRODUCTION, giving some history of how things
    have worked, and why debconf is better.
  * Suggests libterm-readline-gnu-perl, which is best for the Line
    frontend.
  * dpkg-preconfig uses the frontend specified in the conffile now.
  * Element::Line::Boolean now uses the correct values as the default.
  * FrontEnd::Line now actually displays titles.
  * Client::ConfModule should now run the config script like confmodule.sh
    does, for transparent installation of debconf packages. Needs testing.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Sep 1999 12:48:32 -0700

debconf (0.1.16) unstable; urgency=low

  * Got rid of the DEBIAN_FRONTEND environment variable entirely. Instead,
    /etc/debconf.cfg has a variable in it to specify the default frontend
    to use.
  * Also added a question priority variable to the config file.
  * Oh yeah, the big change is I fixed the postinst hang bug. Or rather,
    worked around it. The bug was caused by update-menus forking to
    background and waiting, but not closing stdin/out. I worked around by
    catching SIGCHLD's and closing the pipes from the other end when the
    postinst has existed. I've also contacted Joost.
  * This, barring a little bit of docs and a few packages built to use it,
    is basically ready to be shown to the world.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 1999 15:40:15 -0700

debconf (0.1.15) unstable; urgency=low

  * Broke the nasty perl code out of confmodule.sh, it's much cleaner now
    (and you don't see a page long perl -e command in ps..)
  * I now know exactly what's causing the hang problem -- update-menus!
    I still have no clue why.
  * Modified Client/frontend so it runs the config script of a package
    if the script is available, every time. This is pretty ugly, but it has
    a very nice effect: when you dpkg -i a brand new debconfed .deb, the
    config script runs as soon as the postinst tries to use debconf, and
    this lets you configure it, and then it is installed. So you don't have
    to dpkg-preconfig it first. Of course, if you're using apt, it is
    preconfiged, and then the config script is run again, redundantly (but
    doesn't do anything since it's already run). This is basically the last
    workaround needed for dpkg not preconfiguring stuff on it's own -- now
    debconf use is completly transparent.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 1999 12:58:00 -0700

debconf (0.1.14) unstable; urgency=low

  * Don't use dh_link, so it can still build on va.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 15:08:13 -0700

debconf (0.1.13) unstable; urgency=low

